Releases

87 (v. 1648)

Jul 21, 2022

Highlights

  • Bitbake updated to the 2.0.2 release
  • LMP release based on the OE/Yocto 4.0.2 Kirkstone release
  • Binutils updated to the latest 2.38 release branch
  • Bluez5 updated to the 5.64 release
  • Boot firmware update support for stm32mp15disco and kv260
  • Busybox updated to the 1.35.0 release
  • Clang updated to the 14.0.3 stable release
  • Docker-Compose updated to the 2.6.0 release (golang based)
  • EFI Secure Boot support with systemd-boot
  • EFI targets updated to use systemd-boot as the default bootloader (instead of Grub2)
  • Gcc updated to the 11.3 release
  • Glibc updated to the 2.35 release
  • Golang updated to the 1.17.10 stable release
  • Initial support for TI AM62XX-EVM
  • Linux-firmware updated to the 20220610 snapshot
  • Linux-lmp updated to the v5.15.45 stable release
  • Linux-lmp-ea-imx updated to the v5.10.72 stable release
  • Linux-lmp-rt updated to the v5.15.43-rt45 stable release
  • Linux-lmp-ti-staging updated to the v5.10.109 stable release
  • Linux-lmp-xlnx updated to the v5.15.36 stable release
  • ModemManager updated to the 1.18.6 stable release
  • NVIDIA BSP updated with L4T R32.7.2
  • NetworkManager updated to the 1.36.2 stable release
  • OPTEE updated to the 3.17.0+fio release
  • OpenSSL updated to the 3.0.4 stable release
  • Ostree updated to the 2021.6 release
  • Parsec updated to the 1.0.0 release
  • Python3 updated to the 3.10.4 stable release
  • QEMU updated to the 6.2.0 release
  • Restorable apps support extended to cover image recovery use cases
  • Rust updated to the 1.59.0 release
  • SBOM (SPDX format) generation now enabled by default
  • Support for producing recovery images along with the standard kernel and initrd
  • Support removed for the colibri-imx7-emmc, freedom-u540, corstone700 and n1sdp targets
  • SystemD updated to the 250.5 stable release
  • TI BSP updated to the 08.03.00.002 release
  • Xilinx BSP updated to the 2022.1 release

Layer Updates

Meta LmP

  • base: add efitools
  • base: add initial support for lmp recovery image
  • base: aktualizr: use updated pkcs11 engines path for openssl 3
  • base/bsp: migrate fiovb to MACHINE_FEATURES
  • base/bsp: update optee-os to 3.17.0
  • base: clang: backport submited patch to build float128 soft float builtins for x86_64
  • base: convert LICENSE to use SPDX tags
  • base: distro: Reproducible builds is now enabled by default
  • base: docker-compose: update to 2.6.0
  • base: Drop honister add kirkstone
  • base: fioconfig: leverage GO_EXTRA_LDFLAGS for extra flags
  • base: gnu-efi: enable for riscv64
  • base: go-mod: do_compile: enable network flag
  • base: image-efi-installer.wks: switch to systemd-boot
  • base:image-license-checker: Sensitive review
  • base: init-install-efi: also install systemd-boot efi at EFI/systemd
  • base: init-install-efi: switch to systemd-boot
  • base: initramfs-framework: refresh run-tmpfs.patch
  • base: kernel-lmp-fitimage: add support for creating a recovery fit image
  • base: kmeta-linux-lmp-5.10.y: bump to cf3fa2a
  • base: kmeta-linux-lmp-5.15.y: bump to 0edf6afa
  • base: lib: drop custom crate.py
  • base: linux-lmp: bump to kernel v5.15.45
  • base: linux-lmp-rt: bump to v5.15.43-rt45
  • base: linux-lmp: skip debug split with modsign
  • base: lmp: add BBMASK for meta-st-stm32mp kirkstone
  • base: lmp: add config for ostree deploy from usr/lib/ostree-boot
  • base: lmp: add custom WIC EFI size definition
  • base: lmp: add function to generate boot files for uefi certs
  • base: lmp: add kernel-lmp-efi.bbclass
  • base: lmp: Add KVM support to RPi4
  • base: lmp: add make-mod-scripts to RM_WORK_EXCLUDE
  • base: lmp: add meta-virt xilinx xen_4.14 to BBMASK
  • base: lmp: add support for ostree loader as directory
  • base: lmp: add support to split ostree boot
  • base: lmp: add systemd-boot configuration support for ota image
  • base: lmp-boot-firmware: depend on tf-a deploy if available
  • base: lmp: bump version for the 4.0.2 yocto release
  • base: lmp: customize target script needs credentials
  • base: lmp: define ETC_PASSWD_MEMBERS for /etc/passwd mirroring
  • base: lmp-device-register: add pkgconfig
  • base: lmp-device-register: bump to 959126a
  • base: lmp: do not remove systemd-boot from wks depends
  • base: lmp: drop efi from fstab, prefer systemd automount
  • base: lmp: enable create-spdx bbclass by default
  • base: lmp-feature-docker: create docker group before adding users to them
  • base: lmp-feature-docker: switch to the golang based compose
  • base: lmp-feature-efi: add efitools
  • base: lmp-feature-optee: drop sks, examples and pkcs11test
  • base: lmp-image-common: add ostree-recovery-initramfs
  • base: lmp-image-common: only add ostree-recovery-initramfs with sota
  • base: lmp: kmod: add openssl to PACKAGECONFIG
  • base: lmp: non-clangable: add mpfr for x86/x86-64
  • base: lmp: non-clangable: add non clangable exceptions
  • base: lmp: non-clangable: remove ostree as it is fixed
  • base: lmp-passwd/group: add ntp user and group
  • base: lmp: preload Apps if enabled
  • base: lmp: remove boot files installed by OE
  • base: lmp: set SPDX_ORG to Foundries.IO
  • base: lmp: use no-fstab-update on wic when sota
  • base: make efidisk-sota.wks.in systemd-boot compatible
  • base: networkmanager: Change how to enable/disable firewalld
  • base: networkmanager: Update bbappend to 1.36.%
  • base: nfs-utils: drop local changes
  • base: optee-client: update to 3.17.0
  • base: optee-examples: update to 3.17.0
  • base: optee-fiovb: build TA by leveraging optee-os-tadevkit
  • base: optee-fiovb: Fix LICENSE to match the package
  • base: optee-os-fio: 3.17: bump to b2b258efe
  • base: optee-os-fio: make append more generic
  • base: optee: python3-pycrypto: Remove obsolete pycrypto module
  • base: optee-sks: use optee-os-tadevkit for building the TA
  • base: optee-test: 3.17: add back -Wno-error=deprecated-declarations
  • base: optee-test: Avoid build error
  • base: optee-test-fio: Fix LICENSE use the right SPDX tag
  • base: optee-test: update to 3.17.0
  • base: ostree: add patches to support ostree-boot files
  • base: ostree: add patch for systemd-boot support
  • base: ostree: add patch to support boot under a directory
  • base: ostree: add upstream-status to local patches
  • base: ostree: improve ostree-boot handling logic
  • base: ostree-kernel-initramfs: add support for recovery image
  • base: ostree-kernel-initramfs: drop ostree-bootcsumdir-source
  • base: parsec-service: drop local changes
  • base: pkcs11-se050-import: use optee-os-tadevkit for building the TA
  • base: plug-and-trust-seteec: bump to f88be2ce7a
  • base: python3-docker-vxcan: bump to 54e7dd4
  • base: python3-func-timeout: Fix the LICENSE to match the package
  • base: python: plug-and-trust-ssscli: add missing runtime dependencies
  • base: recipe-sota: aktualizr-lite: bump to 632b6c1
  • base: recipes-sota: install aklite-apps
  • base: recipes-support: add a service to register images
  • base: recipes-support: early start of restorable apps
  • base: recipes-support: recover restorable apps
  • base: recipe-support: use golang compose for apps early startup
  • base: security: optee: allow upstream optee os as preferred provider
  • base: systemd-boot: add support for signing systemd-boot efi
  • base: systemd-boot: install system-boot.efi files
  • base: systemd-boot: no need for virtual-systemd-bootconf when sota
  • base: systemd: enable gnu-efi
  • base: systemd: only enable gnu-efi when efi is available
  • base: systemd: rdepend on systemd-boot based on EFI_PROVIDER
  • base: u-boot-fio: add recipe for 2022.04
  • base: u-boot-ostree-scr-fit: adjust secondary boot path
  • base: u-boot-ostree-scr-fit: adjust secondary boot path handling
  • base: u-boot-ostree-scr-fit: common: add support for redefining bootcmd
  • base: u-boot-ostree-scr-fit: common: custom handling of update
  • base: u-boot-ostree-scr-fit: common: extend debug output
  • base: u-boot-ostree-scr-fit: refactor primary image update cmd
  • base: u-boot-ostree-scr-fit: use rootpart instead of hardcoded rootfs id
  • base: u-boot-tools: Update bbappend to 2022.01
  • base: Use append instead of += operation
  • base: wic: add sdimage-split-boot-sota.wks.in
  • base: wireguard-tools: add nostamp for create_runtime_spdx
  • bsp: add machine configuration for stm32mp1-disco
  • bsp: add machine custom settings for am62xx
  • bsp: apalis-imx6-sec: fix machine overrides order
  • bsp: base-files: stm32mp15-disco: provide fstab
  • bsp: bitstream-signed: Remove one LICENSE
  • bsp: boot-firmware: This bbappend is for a removed board
  • bsp: bootimg-sota-efi: add support for systemd-boot
  • bsp: bootimg-sota-efi: also install systemd-boot efi at EFI/systemd
  • bsp: bootimg-sota-efi: use grub-ota.cfg as default config
  • bsp: cboot-t19x: drop total bytes read check
  • bsp: conf: stm32mp1: remove unused kernel-imagebootfs
  • bsp: convert LICENSE to use SPDX tags
  • bsp: Drop honister add kirkstone
  • bsp: drop sdimage-stm32mp157c-dk2-trusted-sota.wks.in
  • bsp: drop support for colibri-imx7-emmc
  • bsp: drop support for freedom-u540
  • bsp: drop support for n1sdp
  • bsp: fpga-manager-script: refresh patch for 2022.1
  • bsp: imx6ullevk-sec: fix machine overrides order
  • bsp: imx8mm-lpddr4-evk-ebbr: fix machine overrides order
  • bsp: imx8mm-lpddr4-evk-sec: fix machine overrides order
  • bsp: imx8mp-lpddr4-evk-ebbr: fix machine overrides order
  • bsp: imx8mp-lpddr4-evk-sec: add fiovb to machine features
  • bsp: imx8mq-evk-ebbr: fix machine overrides order
  • bsp: kernel-module-nxp89xx: depend on virtual/kernel
  • bsp: kernel: modules: nxp89xx: drop and use the upstream version
  • bsp: kernel: modules: nxp89xx: skip debug split
  • bsp: kv260: copy pmu-firmware settings from meta-som
  • bsp: linux-lmp-ea-imx: update to linux-ea-v5.10.72
  • bsp: linux-lmp-stm32: update to 5.10.61
  • bsp: linux-lmp-ti-staging: update to 5.10.109
  • bsp: linux-lmp-xlnx: update to v5.15.36
  • bsp: lmp-boot-firmware: uz3eg-iocc-sec: update boot.bin
  • bsp: lmp-machine-custom: am64xx: exclude some receipes from the rm_work
  • bsp: lmp-machine-custom: arm64/intel: installer: install boot and systemd efi
  • bsp: lmp-machine-custom: drop ubootenv from imx8mp-lpddr4-evk-sec
  • bsp: lmp-machine-custom: Fix IMX_DEFAULT_BOOTLOADER override
  • bsp: lmp-machine-custom: generic-arm64: switch to systemd-boot
  • bsp: lmp-machine-custom: imx: prefer bsp recipe for gpu-viv
  • bsp: lmp-machine-custom: intel: add efitools to WKS_FILE_DEPENDS
  • bsp: lmp-machine-custom: intel: add LockDown.efi to IMAGE_EFI_BOOT_FILES
  • bsp: lmp-machine-custom: intel: add uefi certs at IMAGE_EFI_BOOT_FILES
  • bsp: lmp-machine-custom: intel: enable UEFI signing by default
  • bsp: lmp-machine-custom: intel: switch to systemd-boot
  • bsp: lmp-machine-custom: intel: use kernel-lmp-efi
  • bsp: lmp-machine-custom: mx8: bump optee to 3.17.0
  • bsp: lmp-machine-custom: qemuarm64-secureboot-ebbr: use systemd-boot
  • bsp: lmp-machine-custom: stm32: consolidate options
  • bsp: lmp-machine-custom: stm32: force fitImage when sota
  • bsp: lmp-machine-custom: stm32mp15: adapt with latest bsp updates
  • bsp: lmp-machine-custom: stm32mp15-disco: add boot.itb only with sota
  • bsp: lmp-machine-custom: stm32mp15-disco: add support for lmp-base
  • bsp: lmp-machine-custom: stm32mp15-eval: fix UBOOT_DEVICETREE
  • bsp: lmp-machine-custom: stm32mp1: prefer optee-os-fio
  • bsp: lmp-machine-custom: use systemd-boot with efi installer
  • bsp: lmp-machine-custom: versal: add optee to MACHINE_FEATURES
  • bsp: machine: set u-boot-fio as default provider for u-boot
  • bsp: meta-freescale: Convert to the new override subsystem
  • bsp: mfgtool-files: imx: delete bootfirmware_version during provisioning
  • bsp: mfgtool-files: sec: zero is_secondary_boot during full_image
  • bsp: opensbi: Update bbappend to 1.0
  • bsp: optee-os-fio: provide correct uart configuration for kv260
  • bsp: optee-os-fio: support for stm32mp1 targets
  • bsp: optee-os-fio: versal: add compatible OPTEEMACHINE
  • bsp: pmu-firmware: mirror settings from meta-som
  • bsp: qemuarm64-secureboot-ebbr: fix machine overrides order
  • bsp: qemuarm64-secureboot: enable ostree split boot usage
  • bsp: Remove support of corstone700 machine
  • bsp: rename efidisk-sota.wks to efidisk-sota.wks.in
  • bsp: stm32mp15-disco: drop build of non-existent dts
  • bsp: stm32mp15-disco/eval: use proper machines names
  • bsp: stm32mp15-disco: support multiple boot.itb
  • bsp: stm32mp15-eval: drop build of non-existent dts
  • bsp: stm32mp1: add kmachine definition
  • bsp: stm32mp1: build optee as bl32 runtime by default
  • bsp: stm32mp1: disable fwu feature
  • bsp: stm32mp1-disco: deploy boot firmware imgs to sysroot
  • bsp: stm32mp1: use linux-lmp instead of linux-lmp-stm32
  • bsp: stm32mp: introduce tf-a-stm32mp dynamic recipe
  • bsp: tf-a-stm32mp: save boot auth status and partition info
  • bsp: tf-a-stm32mp: support fip-a/fip-b partitions
  • bsp: trusted-firmware-a: Update bbappend to 2.6
  • bsp: u-boot-base-scr: add support for stm32mp15-disco
  • bsp: u-boot-fio: add deploy steps from stm32mp1
  • bsp: u-boot-fio: add lmp.cfg for stm32mp1
  • bsp: u-boot-fio: apalis-imx6: explicitly unset bootcount
  • bsp: u-boot-fio: qemuarm64: enforce env load at boot
  • bsp: u-boot-fio: specify bootlimit
  • bsp: u-boot-fio: stm32mp15-disco: add fw_env.config
  • bsp: u-boot-fio: stm32mp15-disco: add lmp-base.cfg
  • bsp: u-boot-fio: stm32mp15-disco: disable fastboot and redund env
  • bsp: u-boot-fio: stm32mp15-disco: drop implicit bootcount support
  • bsp: u-boot-fio: stm32mp15-disco: enable env in fat
  • bsp: u-boot-fio: stm32mp15-disco: increase env size
  • bsp: u-boot-fio: stm32mp15-disco: provide correct device tree
  • bsp: u-boot-fio: support multiple boot.itb
  • bsp: u-boot-ostree-scr-fit: change index of rootfs partition
  • bsp: u-boot-ostree-scr-fit: imx8qm: drop update_image_boot1
  • bsp: u-boot-ostree-scr-fit: imx8: re-define update_primary_image
  • bsp: u-boot-ostree-scr-fit: kv260: add initial boot.cmd
  • bsp: u-boot-ostree-scr-fit: kv260: probe spi before every op
  • bsp: u-boot-ostree-scr-fit: qemuarm64: add support for booting recovery img
  • bsp: u-boot-ostree-scr-fit: stm32mp15-disco: boot firmware updates
  • bsp: u-boot-stm32mp: update patch for boot.cmd
  • bsp: u-boot-ti-staging: drop local patch, already available upstream
  • bsp: u-boot-xlnx: 2022.01: bump to b175231f4b1
  • bsp: u-boot-xlnx: k62: add qspi configuration
  • bsp: u-boot-xlnx: k62: drop bootcount feature
  • bsp: u-boot-xlnx: uz3eg-iocc-sec: drop bootcount support
  • bsp: update renamed meta-ti to meta-ti-bsp
  • bsp: update u-boot to support AM62xx-evm
  • bsp: Use append instead of += operation
  • bsp: vck190-versal: update system.xsa based on xilinx v2022.1 BSP
  • bsp: wic: add sdimage-stm32mp157c-dk2-optee.wks.in
  • bsp: wic: stm32mp15-disco: introduce additional fip partition
  • bsp: xilinx: arm-trusted-firmware: kv260: provide correct uart
  • bsp: xilinx: arm-trusted-firmware: update append to 2022.1
  • bsp: xilinx-bootbin: depend on optee-os when available in MACHINE_FEATURES
  • bsp: xilinx: device-tree: add optee node
  • bsp: xilinx: pmu-firmware: update append to 2022.1
  • bsp: zynqmp-lmp: bump XILINX_VER_MAIN to 2022.1
  • recipes-samples: lmp-feature-optee fiovb is set with separate feature
  • recipes-sota: Bump lmp-device-register version
  • Revert "bsp: imx-gpu-g2d: install samples at datadir instead of opt"
  • Revert "bsp: lmp-machine-custom: am64xx: set different tmpdir for k3r5"
  • u-boot-ostree-scr-fit: specify root partition id for obtaining version
  • versal: kernel command line: do not disable unused clocks
  • versal: xsa: use xilinx-k26-starterkit-v2021.1-final.bsp

Meta Clang

  • android-tools: Fix syntax overrides
  • android-tools: Use SPDX license naming convention
  • bcc: Add explicit dependency on flex target recipe
  • bcc: Enable riscv64 builds
  • bcc: Specify branch and protocol in git SRC_URI
  • bcc: Upgrade to 0.24.0
  • bpftrace: Fix build with new libbpf
  • bpftrace: Upgrade to 0.14.1
  • bpftrace: Upgrade to latest master
  • busybox: Fix 1.35 build with clang
  • castxml: add branch and switch to using https
  • castxml: bump to 0.4.4
  • clang: Add a patch to fix llvm-objdump
  • clang: Add env override for libdir
  • clang: Add packageconfig for lldb lua support
  • clang: Add patch to handle RISCV multilibs
  • clang: Avoid double libcxx in BASE_DEFAULT_DEPS
  • clang.bbclass: Be mindful of multilibs when adding tools dependencies
  • clang.bbclass: Do not export llvm-config variables
  • clang.bbclass: Export YOCTO_ALTERNATE_LIBDIR and YOCTO_ALTERNATE_EXE_PATH
  • clang.bbclass: Fix typo about big.LITTLE tune options
  • clang.bbclass: Remove commented code
  • clang.bbclass: Use BASELIB instead of base_libdir in YOCTO_ALTERNATE_LIBDIR
  • clang.bbclass: Use llvm provided binutils when using toolchain-clang
  • clang: Create cross symlinks for more binutils
  • clang: don't use lnr
  • clang: Enable altivec again for ppc32
  • clang: Fix native and nativesdk builds for hf targets
  • clang: for x86_64, correct GCC install search path for OpenEmbedded Host
  • clang_git: disable LLD usage
  • clang: Provide cross names for common llvm binutils
  • clang: Remove unintended dependency on gcc-runtime
  • clang: Set CLANG_DEFAULT_PIE_ON_LINUX to ON
  • clang: set POPULATESYSROOTDEPS so that strip is present
  • clang: support android runtime
  • clang-tools-extra: apply upstream patch
  • clang: Upgrade to 14.0.3
  • clang: Use -mno-altivec for ppc 7400
  • compiler-rt: backport a patch fixing ARMv5 cross-compile
  • compiler-rt: Build builtins only for the default target
  • compiler-rt: Build clang_rt.profile library when possible
  • compiler-rt: Fix nativesdk building
  • concurrencykit: Disable internal clang assembler
  • DEPENDS on virtual/${TARGET_PREFIX}binutils
  • fio: Disable optimization on mips
  • gcompat: Use gcc to compile on mips
  • github/workflows: Fix source uri to use https protocol
  • glibc-tests: Pin compiler to gcc
  • go-helloworld: Force use GNU strip and objcopy
  • gosu: Use binutils strip and objcopy
  • kexec-tools-klibc: Do not use llvm-strip on mips
  • layers: Bump to use kirkstone
  • libbsd: Use GNU objdump on mips
  • libclc: Export YOCTO_ALTERNATE_EXE_PATH and YOCTO_ALTERNATE_LIBDIR
  • libcxx: Drop duplicate setting of LLVM_LIBDIR_SUFFIX
  • libcxx: Fix nativesdk building
  • libcxx: Install unwind_itanium.h and unwind_arm_ehabi.h
  • libcxx: Set CMAKE_BUILD_WITH_INSTALL_RPATH
  • libeigen,opencv,ceres-solver: Disable altivec on ppc32
  • libraw: Workaround clang hang on RISCV compiling libraw
  • librsvg: Use gcc compiler on ppc32
  • libvorbis,x264,dcadec,graphviz: Use -O0 on mips
  • lldb: Disable builds for ppc32
  • llvm-config: Set YOCTO_ALTERNATE_LIBDIR and YOCTO_ALTERNATE_EXE_PATH
  • llvm-project-source: Emit all default MULTILIB_GLOBAL_VARIANTS
  • mesa: Drop clang13.patch
  • mesa: Use clang to compile on rv64
  • musl: Build with clang on ppc64
  • musl: Use gcc for ppc32 arch
  • nativesdk-clang-glue: delete spdx tasks
  • nonclangable.conf: Disable llvm-objcopy/llvm-strip on selected recipes
  • nonclangable: Enable clang for several packages pinned to gcc-only
  • ntfs-3g-ntfsprogs,cdrkit,xscreensaver: Disable -O2 to avoid clang14 hangs for riscv
  • opencv: Use gcc for ppc64
  • openmp: Enable ompt-tools and offloading-plugin
  • openmp: Exclude powerpc
  • opensbi: Enable clang as compiler for opensbi
  • php: Always use GCC for mips
  • pixman: Fix build with mips/arm on clang
  • python3-grpcio-tools: Use gcc on mips for now
  • python3: Use gcc for riscv/aarch64 and all musl
  • qtlocation: Use gcc to avoid mips/clang crash for now
  • qtpdf: It can be built with clang now
  • qtpdf: Use gcc to compile it
  • rdma-core: Use gcc on ppc32
  • README: fix typos
  • riscv: Unbolt the workaround for clang hangs
  • rpm: Do not use openmp on ppc
  • seatd: Disable -Wsign-compare with clang
  • spirv-llvm-translator: add explicit branch
  • spirv-llvm-translator: Upgrade to latest master to support clang14
  • tcf-agent: Pass $@ as parameter to llvm-ranlib
  • Use GCC runtime on ppc32 and armv5
  • yoe.yml: Change username
  • yoe.yml: Preserve .git file across rsync

Meta OpenEmbedded

  • a2jmidid: Fix build on ppc/musl
  • abseil-cpp: Fix ppc/musl patch
  • abseil: Upgrade to 20211102.0 LTS release
  • absil-cpp: Update SRC_URI to to the latest google internal sync
  • accountsservice: backport a meson 0.61 patch
  • accountsservice: upgrade 0.6.55 -> 22.08.8
  • Added usbip-tools for kernel USB/IP
  • Add gutenprint to meta-oe
  • Add pycups - python bindings for CUPS
  • Add recipe for driverctl
  • Add recipe for duktape
  • All layers: Follow oe-core's variable name changes
  • Allow several components notification
  • amtk: upgrade 5.2.0 -> 5.3.1 / build with meson
  • android-tools: adb: add u3 ss descriptor support
  • apache2: remove obsolete support for renamed libtool
  • apache2: upgrade 2.4.51 -> 2.4.53
  • Apache: Several CVE fixes
  • apache-websocket: remove obsolete support for renamed libtool
  • apitrace: Conditionally enable X11 support
  • apitrace: Upgrade to latest version
  • arno-iptables-firewall: Do not use bitbake variable inside S
  • asio: upgrade 1.18.1.bb -> 1.20.0
  • atftp: upgrade 0.7.4 -> 0.7.5
  • atkmm: Add new recipe for 2.36+
  • atkmm: Allow build with wayland
  • atop: Do not install the /var/log/atop directory
  • audit: upgrade 3.0.5 -> 3.0.7
  • autofs: upgrade 5.1.7 -> 5.1.8
  • avro-c: upgrade 1.10.2 -> 1.11.0
  • babl: upgrade 0.1.88 -> 0.1.92
  • bats: Add patch to fix false-negatives caused by teardown code
  • bats: upgrade 1.4.1 -> 1.6.1
  • bdwgc: upgrade 8.0.4 -> 8.2.0
  • bitwise: Fix build with latest ncurses 6.3+
  • bitwise: Upgrade 0.42 -> 0.43
  • blueman: fix python site-packages installation issue
  • blueman: update; add missing RDEPENDS
  • blueman: upgrade 2.2.1 -> 2.2.3
  • bluepy: Define custom PYPA_WHEEL
  • bluepy: Fix permissions on tarball
  • bluepy_git.bb: Added recipe for BluePy Python interface to Bluetooth LE on Linux (v2)
  • bluepy: Set PV and correct syntax for RDEPENDS
  • bmon: fix PV
  • boinc-client: blacklist due to openssl 3.x incompatibility
  • boinc-client: Depend on virtual/egl instead of virtual/libgl
  • boinc-client: Do not overwrite same file when using usrmerge
  • boinc-client: Make script install not depend on host install paths
  • boinc-client: Update to 7.18.1
  • boost-sml: 1.1.4+git --> 1.1.5
  • boost-sml: add new recipe
  • boost-sml: Disable examples
  • botan: upgrade 2.18.1 -> 2.19.1
  • breakpad: fix branch for gtest in SRC_URI
  • bridge-utils: upgrade 1.7 -> 1.7.1
  • broadcom-bt-firmware: upgrade 12.0.1.1105_p2 -> 12.0.1.1105_p3
  • Bump sdbus-c++ to version v1.0.0
  • byacc: switch to official HTTPS mirror
  • byacc: upgrade 20210808 -> 20220128
  • cairomm: Add recipe for cairomm 1.16
  • cairomm: correct SRC_URI
  • capnproto: Fix build on mips
  • capnproto: Link in libatomic on ppc
  • capnproto: Link with libatomic on rv32
  • capnproto: update to 0.9.1
  • c-ares: upgrade 1.17.2 -> 1.18.1
  • catfish: Do not set PYPA_WHEEL
  • catfish: Fix wheel build
  • catfish: upgrade 4.16.0 -> 4.16.3
  • cdrkit: remove ${PN} from ${PN}-dev RDEPENDS
  • ceres-solver: upgrade 2.0.0 -> 2.1.0
  • cfengine: blacklist due to openssl 3.x incompatibility
  • cgdb: upgrade 0.7.1 -> 0.8.0
  • chrony: create /var/lib/chrony by systemd-tmpfiles
  • chrony: upgrade 4.1 -> 4.2
  • clinfo: Upgrade 2.2.18.04.06 -> 3.0.21.02.21
  • cloc: upgrade 1.90 -> 1.92
  • cmatrix: new package
  • cmocka: use https protocol for fetching
  • cockpit: Package missing nonarch_libdir
  • collectd: Do not install /var/log
  • colord-gtk: introspection is not valid meson option
  • colord-gtk: upgrade 0.2.0 -> 0.3.0
  • colord: inherit pkgconfig
  • colord: introspection is not valid meson option
  • colord-native: Inherit pkgconfig
  • concurrencykit: enable 32- and 64-bit Arm targets
  • concurrencykit: use precise BSD licence version
  • conntrack-tools: Fix missing capability
  • conntrack-tools: fix postinst script
  • conntrack-tools: fix postinst script
  • contrib: allow override-style syntax for vars & routines
  • contrib: fix python warnings for oe-stylize
  • corosync: Clean up leftover support for qdevice and qnetd
  • corosync: Do not install the /var/log/cluster directory
  • cpufrequtils: remove obsolete support for renamed libtool
  • cpuid: update to 20211129
  • crash: Fix build for mips target
  • crash: Upgrade to 8.0.0
  • crda: Fix buffer overflow in sscanf
  • crossguid: update
  • cryptsetup: upgrade 2.3.6 -> 2.4.3
  • ctags: upgrade 5.9.20210905.0 -> 5.9.20220410.0
  • cukinia: upgrade 0.5.1 -> 0.6.0
  • cups-filters: upgrade 1.27.2 -> 1.28.11
  • cxxtest: Define PIP_INSTALL_DIST_PATH
  • cxxtest: move to setuptools
  • cyrus-sasl: Fix ptest builds
  • cyrus-sasl: upgrade 2.1.27 -> 2.1.28
  • dash: set precise BSD license
  • dbus-cxx: Include missingheader
  • dbus-cxx: update to 2.1.0
  • dbus-daemon-proxy: add missing return statement
  • dconf-editor: add a meson 0.61 patch
  • ddrescue: upgrade 1.25 -> 1.26
  • debootstrap: upgrade 1.0.124 -> 1.0.126
  • devilspie2: Add missing dependency on libxinerama
  • devilspie2: Switch to using github repo
  • devilspie2: upgrade 0.43 -> 0.44
  • devmem2: add support for different page sizes
  • devmem2: patches have been upstreamed
  • devmem2: reinstate previous patches, removed by mistake
  • devmem2: the source and patches moved to github repo
  • devmem2: update SRC_URI according to redirect
  • dhcp-relay: fix rebuilds
  • dhcp-relay: Package needed shared libs from bind
  • dhcp-relay: remove obsolete support for renamed libtool
  • dhcp-relay: upgrade 4.4.2p1 -> 4.4.3
  • dietsplash: specify install rootdir
  • distutils.bbclass: move from oe-core
  • dlt-daemon: Bump to latest revision on master
  • dlt-daemon: Fix build on rv32/rv64
  • dlt-daemon: upgrade 2.18.7 -> 2.18.8
  • dnfdragora: upgrade 1.1.2 -> 2.1.2
  • dnf-plugin-tui: Fix a bug of multilib
  • dnf-plugin-tui: Fix a bug with newer version rpm.
  • dnf-plugin-tui: Fix bug when generating CSV file
  • dnsmasq: Fix a typo in initscript
  • dnsmasq: Security fix CVE-2022-0934
  • dool: Added a new OSS that forked from dstat project.
  • doxygen: upgrade 1.9.2 -> 1.9.3
  • dracut: upgrade 051 -> 056
  • drbd-utils: fix for usrmerge
  • drbd-utils: update 9.13.1 -> 9.20.2
  • driverctl: Rename to have PV in recipe name
  • Drop gnome-desktop3 providers
  • dstat: Deleted terminated project.
  • duktape: Upgrade to 2.7.0
  • duktape: Use baselib to construct LIBDIR
  • ebtables: remove perl from RDEPENDS
  • edac-utils: update to latest git head
  • esmtp: fix libesmtp dependency check
  • evince: Add dbus to depnedencies on non-x11 builds
  • evince: fix meson 0.61 builds
  • evince: upgrade 40.4 -> 42.2
  • evolution-data-server: cleanup; enable vala introspection
  • evolution-data-server: Disable g-i data generation
  • evolution-data-server: Disable g-i on musl
  • evolution-data-server: Do not pass --library-path to gir compiler
  • evolution-data-server: re-enable gobject-introspection
  • evolution-data-server: try to fix g-i data generation
  • evolution-data-server: upgrade 3.40.2 -> 3.44.0
  • exo: upgrade 4.16.1 -> 4.16.4
  • fatcat: upgrade 1.1.0 -> 1.1.1
  • fbida: Fix build when x11 is not enabled in distro features
  • fb-test: fix SRC_URI
  • feh: upgrade 3.6.1 -> 3.8
  • fetchmail: upgrade 6.4.21 -> 6.4.23
  • fftw: remove unused patch
  • fftw: Update to fftw-3.3.10
  • file-roller: upgrade 3.40.0 -> 3.42.0
  • fio: upgrade 3.28 -> 3.30
  • Fix DeprecationWarning about regexps
  • fix(syslog-ng): warning about conf version
  • fltk: upgrade 1.3.7 -> 1.3.8
  • fluentbit: Disable systemd support when systemd distro feature is disabled
  • fluentbit: Fix build with usrmerge distro feature
  • fluidsynth: upgrade 2.2.2 -> 2.2.6
  • fmt: upgrade 8.0.1 -> 8.1.1
  • folks: add PACKAGECONFIG for import_tool and inspect_tool
  • folks: dont build tests as they are not installed anyway
  • folks: initial add recipe
  • folks: make some dependencies optional
  • folks: Upgrade to 0.15.5
  • fping: set precise license
  • fping: update to 5.1
  • freerdp: Add missing libusb1 dependency
  • freerdp: backport openssl 3.x patches
  • freerdp: Make PCSC dependency optional
  • freerdp: Update to FreeRDP 2.5.0
  • freerdp: Upgrade 2.3.0 -> 2.6.1
  • frr: add recipe
  • frr: inherit autotools-brokensep instead of autotools
  • frr: install correct initscript
  • fsverity-utils: Define LIBDIR
  • fsverity-utils: upgrade 1.4 -> 1.5
  • fwts: Do not use --as-needed on ppc64
  • fwts: do out-of-tree builds
  • fwts: Upgrade to 22.01.00
  • fwupd: add COMPATIBLE_HOST to match dependency
  • fwupd: add new recipe
  • fwupd-efi: add new recipe
  • fwupd-efi: upgrade to 1.2
  • fwupd: Enable build with musl
  • fwupd: fix dependency typo
  • fwupd: New release
  • fwupd: Update to 1.7.3
  • gammu: upgrade 1.32.0 -> 1.42.0
  • gattlib: Explicitly disable Python support
  • gattlib: Place pkgconfig file in correct package
  • gattlib: Upgrade to latest
  • gdm: Fix REQUIRED_DISTRO_FEATURES broken by adding introspection
  • gdm: introspection is not valid meson option
  • gdm: upgrade 3.36.3 -> 42.0
  • geany-plugins: Do not overwrite OE's pkg-config env
  • geany-plugins: Fix build with libgit2 1.4+
  • geany-plugins: upgrade 1.37 -> 1.3.8
  • geany: upgrade 1.37.1 -> 1.38
  • geary: Check for x11 in distro features
  • geary: Fix build failures with latest vala
  • geary: initial add recipe
  • geary: use sha hash for SRCREV; fix identation
  • gedit: add a meson 0.61 patch
  • gedit: Fix REQUIRED_DISTRO_FEATURES to not overwrite x11
  • gedit: introspection is not valid meson option
  • gedit: upgrade 40.1 -> 42.0
  • gegl: upgrade 0.4.30 -> 0.4.36
  • gensio: upgrade 2.2.9 -> 2.3.1
  • gerbera: Fix build with fmt 8.1+
  • gerbera: Upgrade to 1.9.2
  • gexiv2: upgrade 0.12.2 -> 0.14.0
  • gfbgraph: Check for x11 distro feature
  • gfbgraph: patch to build with latest rest
  • gfbgraph: upgrade 0.2.4 -> 0.2.5
  • gimp: Disable vector icons on 32bit systems
  • gimp: Disable vector icons on mips/rv32 using clang
  • gimp: Disable vector icons on ppc
  • gimp: Disable vector icons on x86 with clang
  • gimp: Disable vector icons with clang on arm
  • gimp: upgrade 2.10.24 -> 2.10.30
  • gjs: Add cairo to DEPENDS unconditionally
  • gjs: drop patch to satisfy meson 0.61
  • gjs: Fix build failures with meson 0.60.2
  • gjs: Inherit pkgconfig
  • gjs: introspection is not valid meson option
  • gjs: Link with libatomic on rv32
  • gjs: update; customize dependencies
  • gjs: upgrade 1.58.8 -> 1.72.0
  • glibmm: Add recipe for 2.70.0
  • glmark2: Fix build with gcc12
  • glmark2: upgrade 2021.02 -> 2021.12
  • gmime: inherit vala
  • gnome-autoar: upgrade 0.3.3 -> 0.4.3
  • gnome-backgrounds: Fix licenses
  • gnome-backgrounds: upgrade 3.38.0 -> 42.0
  • gnome-bluetooth4: initial add 42.0
  • gnome-bluetooth: Add PACKAGECONFIG pulseaudio and filter by distro-feature
  • gnome-bluetooth: avoid clashes with gnome-bluetooth4
  • gnome-bluetooth: backport a meson 0.61 patch
  • gnome-bluetooth: rename recipes to avoid suffix in future
  • gnome-calculator: upgrade 40.1 -> 42.0
  • gnome-calendar: fix meson 0.61 builds
  • gnome-calendar: upgrade 3.38.1 -> 42.0
  • gnome-commander: initial add 1.14.2
  • gnome-control-center: add a meson 0.61 patch
  • gnome-control-center: Add libhandy to DEPENDS
  • gnome-control-center: Fixup polkit directory permissions
  • gnome-control-center: upgrade 3.36.4 -> 42.0
  • gnome-desktop: introspection is not valid meson option
  • gnome-desktop: upgrade 41.0 -> 42.0
  • gnome-disk-utility: add a meson 0.61 patch
  • gnome-disk-utility: disable build of man pages
  • gnome-disk-utility: upgrade 40.1 -> 42.0
  • gnome-flashback: upgrade 3.40.0 -> 3.44.1
  • gnome-font-viewer: backport a meson 0.61 patch
  • gnome-font-viewer: upgrade 40.0 -> 42.0
  • gnome-online-accounts: Switch back to libsoup2
  • gnome-online-accounts: upgrade 3.43.1 -> 3.44.0
  • gnome-panel: upgrade 3.36.1 -> 3.44.0
  • gnome-photos: add a meson 0.61 patch
  • gnome-photos: upgrade 40.0 -> 42.0
  • gnome-screenshot: add recipe for 40.0
  • gnome-screenshot: backport a meson 0.61 patch
  • gnome-screenshot: upgrade 40.0 -> 41.0
  • gnome-session: upgrade 3.36.0 -> 42.0
  • gnome-settings-daemon: add a meson 0.61 patch
  • gnome-settings-daemon: introspection is not valid meson option
  • gnome-settings-daemon: upgrade 3.36.1 -> 42.1
  • gnome-shell: Add gnome-desktop to RDEPENDS
  • gnome-shell: backport a meson 0.61 patch
  • gnome-shell-extensions: Enable gnome-classic session for wayland
  • gnome-shell-extensions: Fix build with latest meson
  • gnome-shell-extensions: Stop copying gnome-classic session to wayland
  • gnome-shell-extensions: upgrade 3.34.2 -> 42.0
  • gnome-shell: fix bluetooth PACKAGECONFIG
  • gnome-shell: introspection is not valid meson option
  • gnome-shell: upgrade 3.34.5 -> 42.0
  • gnome-system-monitor: upgrade 40.1 -> 42.0
  • gnome-terminal: backport a meson 0.61 patch
  • gnome-terminal: upgrade 3.40.2 -> 3.42.2
  • gnome-text-editor: initial add 42.0
  • gnome-themes-extra: set correct SRC_URI
  • gnome-tweaks: Fix build on latest meson
  • gnome-tweaks: introspection is not valid meson option
  • gnome-tweaks: upgrade 3.34.0 -> 40.0
  • gnulib: Do not use git operations to install the sources
  • gnuplot: Disable libcerf and fix typo
  • gnuplot: inherit pkgconfig
  • gnuplot: upgrade 5.4.1 -> 5.4.3
  • googlebenchmark: add 1.6.1
  • googletests: Update SRC_URI to 9e71237 to move closer to lastest version
  • googletest: Switch branch from master to main
  • gosu: add new recipe
  • gparted: add UPSTREAM_CHECK_URI
  • gparted: Allow wayland or x11 distro features
  • gparted: Do not use NULL where boolean is expected
  • gparted: update to v1.4.0
  • gperftools: Disable cpu profiles for ppc/musl
  • gpsd: Correct the creation of the gps-utils-python package
  • gpsd: fix clang buid via export CC explicitly
  • gpsd: Install also the generated parts of the Python library
  • gpsd: list files for gps-utils individually
  • gpsd-machine-conf: set precise BSD-3-Clause license
  • gpsd: Only copy the Python files if they are created
  • gpsd: remove obsolete files from FILES:${PN}-dev
  • gpsd: remove obsolete files from FILES:gps-utils
  • gpsd: remove obsolete libgpsd package
  • gpsd: split python utils from gps-utils
  • graphene: enable introspection by default - gtk4 & mutter 41 require it
  • graphene: extend to native and nativesdk
  • graphene: Move from meta-gnome -> meta-oe
  • graphene: Tidy up recipe a bit
  • graphene: upgrade 1.10.6 -> 1.10.8
  • graphviz: 2.44.1 -> 2.50.0
  • graphviz: added PACKAGECONFIG for librsvg
  • graphviz: add pkg_postinst script
  • graphviz: don't clear PACKAGECONFIG for nativesdk
  • graphviz: native: create /usr/lib/graphviz/config6 in populate_sysroot
  • graphviz: rrecommends on liberation-fonts
  • grilo-plugins: upgrade 0.3.13 -> 0.3.14
  • grilo: upgrade 0.3.13 -> 0.3.14
  • grpc: add cmake support for target
  • grpc: Enable cpp plugin for target version too
  • grpc: Fix build with rv32/rv64
  • grpc: fix cross-compilation of grpc applications
  • grpc: fix cross-compilation of grpc applications
  • grpc: Remove runtime dependency between grpc and protobuf-compiler
  • grpc: remove unused patches
  • grpc: remove useless link with libatomic append
  • grpc: revert GRPCPP_ABSEIL_SYNC change from 1.40.0 to fix undefined references to absl::lts_20210324::Mutex::~Mutex()
  • grpc: upgrade 1.38.1 -> 1.45.2
  • grubby: fix conflict with debianutils
  • gsl: Disable on musl/ppc
  • gsl: upgrade 2.7 -> 2.7.1
  • gsound: upgrade 1.0.2 -> 1.0.3 / build with meson
  • gspell: inherit vala
  • gspell: upgrade 1.9.1 -> 1.10.0
  • gssdp: update to 1.4.0.1
  • gssdp: Use sniffer only when gnome layer is in mix
  • gstd: Remove empty /var/volatile/log
  • gst-shark: Upgrade to 0.7.3.1
  • gthumb: fix meson 0.61 builds
  • gthumb: upgrade 3.10.3 -> 3.12.2
  • gtk4: initial add 4.4.0
  • gtk4: set UPSTREAM_CHECK_REGEX to stable versions
  • gtk4: upgrade 4.4.0 -> 4.6.2
  • gtkmm3: add gdk-pixbuf-native to satisfy meson 0.61
  • gtkmm3: Allow wayland or x11 in distro features
  • gtk+: remove obsolete support for renamed libtool
  • gtksourceview4: upgrade 4.8.1 -> 4.8.2
  • gtksourceview5: Allow wayland or x11
  • gtksourceview5: initial add 5.2.0
  • gtksourceview5: upgrade 5.2.0 -> 5.4.1
  • gtkwave: upgrade 3.3.109 -> 3.3.111
  • guider: Set PYPA_WHEEL
  • gupnp-av: merge recipe with inc-file
  • gupnp-av: upgrade 0.12.11 -> 0.14.0 / build with mesa
  • gupnp-dlna: upgrade 0.10.5 -> 0.12.0 / build with meson
  • gupnp-igd: upgrade 0.2.5 -> 1.2.0 / build with meson
  • gupnp: merge recipe with inc-file
  • gupnp-tools: upgrade 0.10.0 -> 0.10.2 / prettify recipe
  • gupnp: upgrade 1.2.7 -> 1.4.1
  • gvfs: upgrade 1.48.1 -> 1.50.0
  • gyp: fix for compatibility with Python 3.10
  • gyp: fix for compatibility with Python 3.10 (part 2)
  • haveged: update from 1.9.14 to 1.9.18
  • hexedit: upgrade 1.5 -> 1.6
  • hiawatha: Create /var/log /var/run at runtime
  • hidapi: upgrade 0.10.1 -> 0.11.2
  • hiredis: update to 1.0.2
  • hostapd: upgrade 2.9 -> 2.10
  • hstr: add new recipe
  • htop: Update to 3.1.2
  • htpdate: update to 1.3.4
  • http-parser: Define LIBDIR
  • hwdata: Update to 0.358
  • ibus: upgrade 1.5.23+ -> 1.5.26
  • icewm:include imlib2-loaders package
  • icewm: upgrade 2.7.0 -> 2.9.6
  • idevicerestore: add recipe
  • ifenslave: upgrade 2.12 -> 2.13
  • imageio: Upgrade 2.13.5 -> 2.14.0
  • imagemagick: update SRC_URI branch to main
  • imlib2: clarify license
  • imlib2: update SRC_URI
  • imsettings: upgrade 1.8.2 -> 1.8.3
  • influxdb: Enable network during do_compile
  • influxdb: Fix build with Go 1.17 on x86_64
  • influxdb: Upgrade to 1.8.10
  • iniparser: Update to latest tip of trunk
  • inotify-tools: Disable -Werror
  • inotify-tools: Fix build on musl
  • inotify-tools: upgrade 3.21.9.6 -> 3.22.1.0
  • inotify-tools: Upgrade to 3.21.9.6
  • io-compress-lzma-perl: add recipe for version 2.096
  • io-compress-lzma-perl,io-compress-perl: Do not mark allarch
  • io-compress-lzma-perl, io-compress-perl: Rename to use debian names
  • iotop: Disable lto with clang for rv32
  • iotop: Disable LTO with clang/rv64
  • iotop: move to the C port of iotop
  • iotop: upgrade 1.20 -> 1.21
  • iotop: Use lld with clang on arm
  • iperf3: upgrade from 3.9 to 3.11
  • iperf: Set CVE_PRODUCT to "iperf_project:iperf"
  • ipmitool: Split ipmievd into a separate package
  • ippool: silence a DeprecationWarning
  • ipset: upgrade 7.11 -> 7.15
  • iptraf-ng: Create /var/log and /var/lib subdirs at runtime
  • iptraf-ng: Upgrade to 1.2.1
  • iscsi-initiator-utils: upgrade 2.1.4. -> 2.1.5
  • iscsi-initiator-utils: upgrade 2.1.5 -> 2.1.6
  • iwd: Fix build with musl
  • iwd: update to 1.26
  • jack: upgrade 1.19.19 -> 1.19.20
  • jasper: upgrade 2.0.26 -> 2.0.33
  • jemalloc: Fix build with glibc 2.35+clang
  • jemalloc: Fix license file
  • jq: Fix typo OE_EXTRACONF -> EXTRA_OECONF
  • jq: upgrade 1.6 -> 2021-10-24 git
  • jsoncpp: upgrade 1.9.4 -> 1.9.5
  • json-schema-validator: Use GNUInstallDirs in cmake
  • keyutils: fix install path
  • klibc: Recognise --dyld-prefix clang option
  • kronosnet: Correct path to poll.h
  • kronosnet: update 1.20 -> 1.22
  • lapack: upgrade 3.9.0 -> 3.10.0
  • layer.conf: change layer priority to match oe-core
  • layers: Bump to use kirkstone
  • lcms: upgrade 2.12 -> 2.13.1
  • ldns: blacklist due to openssl 3.x incompatibility
  • ldns: update to 1.8.1
  • leptonica: update to 1.82.0
  • leveldb: switch from master branch to main
  • libadwaita: initial add 1.1.0
  • libadwaita: upgrade 1.1.0 -> 1.1.1
  • libblockdev: Do not include duplicate entries in bd_lvm_lvs output
  • libbpf: Enable builds for riscv64
  • libbpf: Enable on ppc64
  • libbpf: fix PV
  • libbpf: upgrade 0.5.0 -> 0.7.0
  • libcamera: add pkg-config files
  • libcamera: Fix build break on musl
  • libcamera: fix packaging
  • libcamera: update meson options to build pipeline handlers & cam utility
  • libcamera: Update to latest commit
  • libcdio: Fix build with ncurses 6.3+
  • libcdio-paranoia: update to 10.2+2.0.1
  • libcec: Fix type mismatch for return value of LibCecBootloader()
  • libcereal: add ptest support
  • libcereal: Disable on ppc/ppc64
  • libcereal: Disable Werror with ptests
  • libcereal: Enable for glibc/ppc
  • libcereal: Link in libatomic on rv32 for ptests
  • libcereal: Link libatomics on mips for ptests
  • libcereal: Link libatomics with gcc as well
  • libcereal: upgrade 1.3.0 -> 1.3.2
  • libcgi-perl: upgrade 4.53 -> 4.54
  • libconfig-general-perl: move from meta-openstack
  • libcppkafka: Use CMAKE_INSTALL_LIBDIR instead of hardcoding lib
  • libcrypt-openssl-guess-perl: upgrade 0.13 -> 0.15
  • libcrypt-openssl-rsa-perl: Fix build with openssl3+
  • libcrypt-openssl-rsa-perl: Upgrade to 0.32
  • libdc1394: Change dependency from virtual/libgl to virtual/egl
  • libencode-perl: upgrade 3.12 -> 3.17
  • libesmtp: bump 1.0.6 -> 1.1.0
  • libextutils-cppguess-perl: upgrade 0.23 -> 0.26
  • libfile-slurper-perl: upgrade 0.012 -> 0.013
  • libgdata: add vala PACKAGECONFIG
  • libgee: upgrade 0.20.4 -> 0.20.5
  • libgphoto: Fix build with libtool 2.4.7
  • libgpiod: move test dependencies to ptest package
  • libgpiod: ptest: redirect stderr to stdout for test executables
  • libgpiod: ptest: rrecommend coreutils
  • libgpiod: ptest: rrecommend python3-unittest when building python tests
  • libgsf: upgrade 1.14.47 -> 1.14.49
  • libgtkstylus: remove
  • libgusb: add PACKAGECONFIG for vapi and keep it enabled only when introspection is
  • libgusb: upgrade 0.3.7 -> 0.3.10
  • libgusb: Use the correct args to disable vala support
  • libgweather4: Fix introspection build
  • libgweather4: initial add 4.0.0
  • libgweather: introspection is not valid meson option
  • libgweather: upgrade 3.36.2 -> 40.0
  • libid3tag: add from oe-core
  • libiec61850: upgrade 1.5.0 -> 1.5.1
  • libiec61850: Use GNUInstallDirs in cmake
  • libiio: depend on avahi only when network backed is used
  • libiio: update to version 0.23
  • libiio: use setuptools functions instead of distutils
  • libimobiledevice-glue: add recipe
  • libimobiledevice-glue: fix undefined bswap error
  • libimobiledevice-glue: update recipe
  • libio-socket-ssl-perl: upgrade 2.072 -> 2.074
  • libirecovery: add recipe
  • libjcat: upgrade 0.1.9 -> 0.1.11
  • libjs-jquery-cookie: Add recipe
  • libjs-jquery-globalize: Add recipe
  • libjs-jquery-globalize: Use a proper SHA in SRCREV instead of tag
  • libjs-jquery-icheck: Use hardcoded SHA for srcrev
  • libjs-jquery: remove
  • libjs-jquery: Upgrade to 3.3.1.
  • libkcapi: Fix build with musl
  • libkcapi: remove DEPENDS on target libtool
  • libkcapi: set precise BSD license
  • libkcapi: update to 1.3.1
  • libkcapi: Upgrade to 1.4.0
  • libldb: Fix installed-vs-shipped and rebuild error
  • libldb: fix pyext_PATTERN for cross compilation
  • libldb: upgrade 2.3.0 -> 2.3.3
  • libmbim: upgrade 1.26.0 -> 1.26.2
  • libmediaart: introspection is not valid meson option
  • libmodbus: upgrade 3.1.6 -> 3.1.7
  • libmpdclient: upgrade to 2.20
  • libmtp: Add doxygen-native dependency in case documentation build is enabled in PACKAGECONFIG. This fixes a FTBFS due to missing dependency.
  • libmtp: upgrade 1.1.18 -> 1.1.19
  • libmxml: upgrade 3.2 -> 3.3
  • libnet-dns-perl: upgrade 1.32 -> 1.33
  • libnetfilter-conntrack: upgrade 1.0.8 -> 1.0.9
  • libnetfilter-log: upgrade 1.0.1 -> 1.0.2
  • libnetfilter-queue: upgrade 1.0.3 -> 1.0.5
  • libnftnl: add ptest
  • libnftnl: upgrade 1.2.0 -> 1.2.1
  • libnma: update to 1.8.38
  • libopenmpt: Remove unnecessary python code block
  • libopenmpt: Upgrade to version 0.6.2
  • libotr: Include missing sys/socket.h header
  • libpeas: upgrade 1.30.0 -> 1.32.0
  • libpfm4: Remove -Werror from compiler flags
  • libportal: add distro features check
  • libportal: add from oe-core
  • libportal: upgrade 0.5 -> 0.6
  • libqb: upgrade 2.0.3 -> 2.0.6
  • libqb: use branch main
  • libqmi: switch to meson and git
  • libqmi: upgrade 1.30.2 -> 1.30.4
  • libqrtr-glib: add new recipe
  • librdkafka: update to 1.8.2
  • librdkafka: Use CMAKE_INSTALL_LIBDIR
  • librest: Use master with libsoup3 support
  • libsdl2-ttf: Change depenendency from virtual/libgl to virtual/egl
  • libsdl2-ttf: Remove incorrect x11 from REQUIRED_DISTRO_FEATURES
  • libsdl2-ttf: upgrade 2.0.15 -> 2.0.18
  • libsigc++-3: Upgrade to 3.2.0
  • libsigrokdecode: add a python 3.10 compatibility patch
  • libsquish: Define LIBDIR knob
  • libsquish: Fix build when libdir != 'lib'
  • libsrtp: Add support for specifying the crypto library
  • libsrtp: update to 2.4.2
  • libssh: Support building for native and nativesdk
  • libssh: use https instead of git in SRC_URI
  • libstatgrab: update 0.92 -> 0.92.1
  • libtalloc: fix pyext_PATTERN for cross compilation
  • libtdb: fix pyext_PATTERN for cross compilation
  • libteam: improve the ptest output
  • libteam: switch to python3
  • libtest-harness-perl: upgrade 3.42 -> 3.44
  • libtevent: fix pyext_PATTERN for cross compilation
  • libunix-statgrab: Use compiler driver for linking as well
  • liburing: Define libdir based on environment variable
  • liburing: update to 2.1
  • liburing: Use libc mmap() wrapper instead of calling NR_mmap syscall directly
  • libvdpau: allow to build native and nativesdk
  • libvdpau: upgrade 1.4 -> 1.5
  • libvncserver: disable ffmpeg support due to incompatiblility with ffmpeg 5.0
  • libvpx: upgrade 1.8.2 -> 1.11.0
  • libwacom: update to 2.2.0
  • libwnck3: upgrade 40.0 -> 40.1
  • libxfce4ui: disable vala
  • libxfce4ui: upgrade 4.16.0 -> 4.16.1
  • libxfce4util: inherit vala
  • libxml++-5.0: Add recipe for libxml++ 5.0
  • libxmlb: put binary into separate package
  • libxmlb: Update to 0.3.8
  • libxml++: Upgrade to 2.42.1 release
  • libyang: do not inherit binconfig-disabled
  • libyang: update from 2.0.7 to 2.0.164
  • libzip: add CVE-2017-12858 to allowlist
  • links: upgrade 2.22 -> 2.25
  • linpack: Build both sp and dp binaries
  • linux-atm: Add knob to root prefix
  • linuxconsole: Fix makefile issue found with clang
  • linuxconsole: upgrade 1.7.0 -> 1.7.1
  • lirc: Delete systemd unit files on non systemd distros
  • lirc: install systemd units only when using systemd distro feature
  • lirc: replace setuptools3-bas with distutils-common-base
  • live555: Fix rdepends of live555-dev
  • logwatch: upgrade 7.5.3 -> 7.6
  • lsscsi: upgrade 0.31 -> 0.32
  • ltrace: Fix build on ppc64 with gcc12
  • luajit: Upgrade to latest on v2.1 branch
  • luaposix: Depend on libxcrypt-native
  • luaposix: depend on target libxcrypt instead of native
  • luaposix: Fix INST_LIBDIR to honor libdir var
  • luaposix: Upgrade to 35.1
  • luaposix: Use lua 5.4
  • luaposix: Use virtual/crypt instread of hardcoding libxcrypt
  • lua: remove recipe as it is now in oe-core
  • lv-drivers: Add recipe for lvgl lib
  • lv-drivers: Lint recipe
  • lvgl: Add hints about using configuration variables
  • lvgl: Add lv_lib_png to packagegroup
  • lvgl: Add recipe for Lightweight Graphics Library
  • lvgl: Introduce global variable for configuration
  • lvgl: Lint recipe
  • lvgl,lv-lib-png,lv-drivers: Pass libdir via LIB_INSTALL_DIR to cmake
  • lvgl: Support external wayland config
  • lvgl: Update to 8.1.0
  • lv-lib-png: Add recipe for LVGL for handling PNG format
  • lv-lib-png: add wayland to REQUIRED_DISTRO_FEATURES
  • lv-lib-png: Lint recipe
  • lvm2: add UPSTREAM_CHECK_GITTAGREGEX
  • lvm2: do not install systemd units/initscripts when building native SDK tools
  • lxdm: remove conflicts setting
  • mailx: remove
  • MAINTAINERS: add entry for OpenThread
  • makedumpfile: upgrade from 1.6.9 to 1.7.0
  • makedumpfile: Upgrade to 1.7.1
  • makedumpfile: Use right TARGET for ppc32
  • mariadb: Add missing dependency on lzo
  • mariadb: Align atomic ops to help clang on x86
  • mariadb: Enable openSSL and use as default SSL option
  • mariadb: Fix i386 Clang builds
  • mariadb: Fix openssl 3.x compatibility
  • mariadb: increase MY_AES_CTX_SIZE
  • mariadb: update to 10.7.4
  • mbedtls: Upgrade to 2.28.0
  • mcelog: fix compile error
  • mcelog: update from 175 to 180
  • mctp: Add MCTP control utilities
  • mctp: Fix build with 5.15+ kernel headers
  • mctp: install dbus service configuration
  • mctp: upgrade to v1.0
  • mdns: Upgrade to 1310.140.1
  • memcached: Upgrade to 1.6.15
  • menulibre: Inherit distutils3
  • menulibre: Inherit setuptools3_legacy
  • menulibre: upgrade 2.2.1 -> 2.2.3
  • mercurial: upgrade 5.5 -> 6.1
  • metacity: upgrade 3.40.0 -> 3.44.0
  • meta-gnome: fix layer depends.
  • meta-networking,meta-python: Fix README for yocto check layer
  • meta-oe-image: fix build depends
  • meta-oe: Use new variable SYSROOT_DIRS_IGNORE
  • meta-oe: Use setuptools3-base
  • meta-openemnedded: Add myself as kirkstone maintainer
  • meta-python: Clean up recipes and classes that were moved to oe-core
  • meta-python-image: Fix build depends
  • meta-python: migrate away from setuptool3 where possible
  • meta: remove obsolete PYPA_WHEEL and PIP_INSTALL_PACKAGE assignments
  • meta-xfce: Add Andreas Müller back to maintainers list
  • meta-xfce: Convert catfish and menulibre to use setuptools3
  • mimic: Use special rateconv.c license
  • minidlna: fix obsolete license warning
  • minidlna: update 1.2.1 -> 1.3.0
  • minidlna: use precise BSD license
  • mm-common: upgrade 1.0.3 -> 1.0.4
  • modemmanager: remove intltool-native DEPENDS
  • modemmanager: update 1.16.8 -> 1.18.6
  • mongodb: A little clean up
  • mongodb: Create /var/log/mongodb in runtime
  • mongodb: Fix aarch64 build with gcc12
  • mongodb: Update to 4.4.13
  • monit: Fix build with libtool 2.4.7
  • monit: upgrade 5.29.0 -> 5.32.0
  • monkey: Keep /var/volatile empty
  • mosh: Drop perl dependencies from server
  • mosquitto: Don't depends on dlt-daemon unconditionally
  • mosquitto: upgrade 2.0.12 -> 2.0.14
  • mousepad: upgrade 0.5.5 -> 0.5.9
  • mozjs-78: Check for big-endian icu data file existence before creating it
  • mozjs-78: fix do_configure failure
  • mozjs-78: Initial add
  • mozjs-78: Pass C/C++ flags to js configure
  • mozjs-78: renumber patches
  • mozjs-78: Set X lib/include paths
  • mozjs-78: Shelve breaking lib rename/linking & split lib to separate package
  • mozjs-78: Switch to system libicu
  • mozjs-91: Add option to use system ICU
  • mozjs-91: Disable strip
  • mozjs-91: Fix build on powerpc
  • mozjs-91: fix do_configure failure
  • mozjs-91/mozjs-78: fix compile failure on centos7
  • mozjs-91: remove static library
  • mozjs-91: Upgrade to 91.8.0
  • mozjs: Add riscv32 support
  • mozjs: Disable JIT on mips
  • mozjs: Fix build for 32bit systems disabling JIT
  • mozjs: Fix build on mips/musl
  • mozjs: Fix musl miscompiles with HAVE_THREAD_TLS_KEYWORD
  • mozjs: Move back to recipes-extended - no meta-python specifics required
  • mozjs: move large static library into staticdev package
  • mozjs: update 60.9.0 -> 91.4.0
  • mozjs: Use vendored icu on ppc/clang
  • mpc: upgrade to 0.34
  • mpd: update 0.22.9 -> 0.23.6
  • mpich: Add new directory modules/hwloc/config to search path
  • mpich: upgrade 3.4.2 -> 4.0.2
  • mpv: upgrade 0.33.1 -> 0.34.1
  • msgpack-cpp: fix msgpack-cpp is a header only library
  • msgpack-cpp: Upgrade to 4.1.1 release
  • mtr: Explicitly use branch= in SRC_URI
  • mtr: Fix build with ncurses 6.3+
  • mtr: upgrade 0.94 -> 0.95
  • multipath-tools: update SRC_URI
  • mutter: Move gsettings to a separate package
  • mutter: upgrade 3.34.6 -> 42.0
  • nano: update to 6.2
  • nautilus: Add a packageconfig for libportal - disabled by default
  • nautilus: Fix build with libportal >= 0.5
  • nautilus: upgrade 40.2 -> 42.1.1
  • nbdkit: upgrade 1.25.7 -> 1.30.2
  • ncmpc: upgrade to 0.46
  • ndctl: add UPSTREAM_CHECK_GITTAGREGEX
  • ndctl: fix build failure with EXEWRAPPER_ENABLED False
  • ndctl: Upgrade to v73
  • ndpi: upgrade 4.0 -> 4.2
  • netdata: added enable/disable cloud config.
  • netdata: do not send anonymous statistics by default.
  • netdata: fixed some oelint-adv issues in the recipe.
  • netdata: fix for commit 8554624cc7f84e6b63b2ea4b94ee5fd2821021ca
  • netdata: Fix override separator syntax
  • netdata: from 1.22.1 to 1.34.1
  • netdata: Link libatomic on mips
  • netdata: Using the github.com release + upstream_check.
  • netplan: Add knob to enable tests
  • netplan: do not use -Werror
  • netplan: fix hardcoded path for /lib/netplan
  • netplan: fix parallel build failure
  • netplan: upgrade 0.103 -> 0.104
  • netserver: don't change permissions on /dev/null
  • net-snmp: Avoid running make clean as it may fail
  • net-snmp: use precise BSD license
  • networking: add new netsniff-ng recipe version 0.6.8
  • network-manager-applet: add meson 0.61 patch
  • network-manager-applet: upgrade 1.24.0 -> 1.24.0
  • networkmanager: fix build with enabled ppp
  • networkmanager: fix installed-vs-shipped error
  • networkmanager: fix parallel build failure
  • networkmanager: new configure options
  • networkmanager-openvpn: upgrade 1.8.14 -> 1.8.18
  • networkmanager: replace deprecated licenses
  • networkmanager: switch to meson
  • networkmanager: upgrade 1.32.12 -> 1.36.2
  • nftables: add ptest
  • nftables: upgrade 1.0.0 -> 1.0.2
  • nghttp2: remove recipe as it is now in oe-core
  • nginx: add gunzip PACKAGECONFIG
  • nginx: use ln -rs
  • nlohmann-json: Set CVE_PRODUCT according to NVD
  • nlohmann-json: upgrade 3.10.2 -> 3.10.5
  • nmon: Upgrade to 16m
  • nng: update to 1.4.0
  • nodejs_16.11.1.bb: only handle npm if configured
  • nodejs: add a python 3.10 compatibility patch
  • nodejs: add -fpermissive BUILD_CXXFLAGS
  • nodejs: add option to use openssl legacy providers
  • nodejs: add option to use openssl legacy providers again
  • nodejs: A little clean up
  • nodejs: Disable for powerpc
  • nodejs: Drop workaround for an absolute path in the npm shebang
  • nodejs: Drop workaround for a Python 2 dependency
  • nodejs: fix build without scrypt
  • nodejs: set precise BSD license
  • nodejs: Upgrade to 16.14.2
  • nodejs: use -fpermissive
  • nspr-native: build correclty with extended buildtools.
  • nspr-native: fix ubuntu 18.04 builds using system gcc.
  • nss: upgrade 3.64 -> 3.74
  • ntfs-3g-ntfsprogs: Set CVE_PRODUCT to "tuxera:ntfs-3g"
  • ntfs-3g-ntfsprogs: upgrade to 2021.8.22
  • ntopng: Avoid linking libm statically
  • ntopng: upgrade 5.0 -> 5.2.1
  • ntpsec: Add glibc-2.34/kernel-5.14 seccomp fixes
  • ntpsec: Add recipe
  • ntpsec: Disable documentation
  • ntpsec: Disable seccomp on musl/rv32
  • ntpsec: Disable seccomp on riscv32
  • ntpsec: require x11 in DISTRO_FEATURES
  • ocl-icd: upgrade 2.3.0 -> 2.3.1
  • octave: add PACKAGECONFIG for (Qt-)gui - disabled by default
  • octave: upgrade 4.4.1 -> 6.4.0 and overhaul recipe
  • octave: upgrade 6.4.0 -> 7.1.0
  • onboard: Inherit setuptools3-base instead of setuptools3
  • opencl-clhpp: Update 2.0.15 -> 2.0.16
  • opencl-headers: Update v2020.12.18 -> v2022.01.04
  • opencl-icd-loader: Update 2020.12.18 -> v2022.01.04
  • openconnect: upgrade 8.10 -> 8.20
  • opencv: disable sse4.1 and sse4.2 on x86
  • opencv: Fix build with gcc-12 on ppc64
  • opencv: remove setup_vars_opencv4.sh
  • opencv: update 4.5.2 -> 4.5.5
  • opencv: Update contrib 4.5.2 -> 4.5.5
  • openflow: Create /var/log/openflow in runtime
  • openflow: disable openssl PACKAGECONFIG
  • openipmi: add a python 3.10 compatibility patch
  • openipmi: upgrade 2.0.31 -> 2.0.32
  • openipmi: use precise BSD license
  • openjpeg: fix CVE-2021-29338
  • openjpeg: fix CVE-2022-1122
  • openldap: add CVE-2015-3276 to allowlist
  • openldap: correct slapd systemd service support
  • openldap: Fix build with musl
  • openldap: fix parallel build failure
  • openldap: fix strip issue with new patch
  • openldap: ignore the mkdir errors in Makefile
  • openldap: Remove libgcrypt dependency
  • openldap: upgrade 2.4.58 -> 2.5.12
  • openldap: Use renamed variable CVE_CHECK_IGNORE
  • opensaf: Create /var/log/opensaf/saflog in runtime
  • opensaf: Fix build with gcc 12
  • opensaf: Make sure a file needed by opensafd.service is not removed
  • opensaf: update to 5.21.09
  • opensaf: upgrade 5.21.09 -> 5.22.01
  • opensc: do not use -Werror
  • open-vm-tools: Fix build with musl
  • open-vm-tools: Use specific BSD-2-Clause for license
  • open-vpm-tools: update 11.2.5 -> 11.3.5
  • openvpn: Change the default cipher to AES-256-GCM for server configurations
  • openvpn: upgrade 2.5.3 -> 2.5.6
  • orage: enable notify PACKAGECONFIG by default
  • orage: upgrade 4.12.1 -> 4.16.0
  • ostree: add nativesdk support
  • ostree: prevent ostree-native depending on target virtual/kernel to provide kernel-module-overlay
  • ostree: update to 2021.6
  • ostree: use Yocto mirror
  • ostree: workaround compile error with option gcc option -Og
  • ot-br-posix: add recipe for an OpenThread Border Router
  • ot-br-posix: Disable Wsign-compare for clang
  • ot-br-posix: Fix build with gcc
  • ot-daemon: add recipe for OpenThread daemon
  • packagegroup-core-clutter: Mark TUNE_PKGARCH specific
  • packagegroup-gnome-apps.bb: add geary
  • packagegroup-gnome-desktop: Mark TUNE_PKGARCH specific
  • packagegroup-gnome-desktop: replace gnome-bluetooth by gnome-bluetooth4
  • packagegroup-meta-multimedia: include x265 only with commercial in LICENSE_FLAGS_WHITELIST
  • packagegroup-meta-networking: Add ntpsec
  • packagegroup-meta-networking: Enable mdns on musl systems
  • packagegroup-meta-networking: Remove nghttp2
  • packagegroup-meta-oe: Add cmatrix
  • packagegroup-meta-oe: Add dool and pcp
  • packagegroup-meta-oe: Add duktape
  • packagegroup-meta-oe: Add fwupd and fwupd-efi
  • packagegroup-meta-oe: Add googlebenchmark
  • packagegroup-meta-oe: Add graphene
  • packagegroup-meta-oe: Add gutenprint, python3-pycups and usbip-tools
  • packagegroup-meta-oe: Add libjs-jquery-globalize and libjs-jquery-cookie
  • packagegroup-meta-oe: Add lv-drivers and lvgl
  • packagegroup-meta-oe: Add pim435
  • packagegroup-meta-oe: Add unifex
  • packagegroup-meta-oe: Remove lua
  • packagegroup-meta-perl: Add new packages
  • packagegroup-meta-python: add poetry-core and unattended-upgrade
  • packagegroup-meta-python: Add python3-colorzero
  • packagegroup-meta-python: Add python3-gcovr
  • packagegroup-meta-python: Add python3-imgtool
  • packagegroup-meta-python: Add python3-pymetno
  • packagegroup-meta-python: Add python3-pytest-forked and python3-pytest-xdist
  • packagegroup-meta-python: add python3-pytest-lazy-fixture
  • packagegroup-meta-python.bb: Add new packages
  • packagegroup-meta-python.bb: Add python3-pytz-deprecation-shim
  • packagegroup-meta-python: Do not exclude python3-grpcio python3-grpcio-tools for ppc64
  • packagegroup-meta-python: drop recipes moved to core
  • packagegroup-xfce-base: Mark TUNE_PKGARCH specific
  • packagegroup-xfce-multimedia: Check for x11 distro feature
  • paho-mqtt-cpp: new package
  • paho-mqtt-cpp: Use CMAKE_INSTALL_LIBDIR in cmake
  • paho-mqtt-c: upgrade 1.3.8 -> 1.3.10
  • pam-plugin-ldapdb: upgrade 1.3 -> 1.3.1
  • pam-ssh-agent-auth: Use specific versions of BSD licenses
  • pangomm: Add recipe for pangomm-2.48
  • pangomm: Allow building with wayland
  • parallel-deqp-runner: Fix build with gcc 12
  • pax-utils: upgrade 1.2.2 -> 1.3.3
  • pcimem: Add riscv64 into COMPATIBLE_HOST
  • pcp: Added a new recipe which provides dstat command.
  • pcp: Disable parallel compile
  • pcp: Do not search headers on build host during cross compile
  • pcp: Enable check for x11 distro feature
  • pcp: Fix build race condition
  • pcp: Fix build to exclude qt5
  • pcp: Upgrade to 5.3.6
  • pcsc-lite: set precise BSD license
  • pcsc-tools: upgrade 1.5.7 -> 1.6.0
  • pegtl: update to 3.2.1
  • pegtl: upgrade 3.2.1 -> 3.2.5
  • phoronix-test-suite: upgrade 10.8.1 -> 10.8.2
  • phoronix-test-suite: upgrade 9.2.1 -> 10.8.1
  • php: avoid textrel QA Issue warning
  • php: Build minilua for build host
  • php: correct module name and library name
  • php: disable openssl PACKAGECONFIG
  • php: Fix build on rv32/musl
  • phpmyadmin: upgrade 5.1.1 -> 5.1.3
  • php: remove obsolete support for renamed libtool
  • php: update from 7.4.21 to 8.0.12
  • php: Update to 8.1.6
  • php: use qemu wrapper to build minilua
  • pim435: Add recipe for C implementation for userspace driver app
  • pipewire: also handle pipewire-media-session in systemd class
  • pipewire: fix build error when pipewire-jack is used
  • pipewire: remove manpages class
  • pipewire: rework PACKAGECONFIG for systemd service files
  • pipewire: Upgrade to 0.3.50
  • pkcs11-helper: backport a openssl 3.x patch
  • pkcs11-helper: Fix build with nss >= 3.73.1
  • pkcs11-helper: fix PV
  • pkcs11-helper: set precise BSD license
  • pkcs11-helper: update homepage
  • pkcs11-helper: upgrade 1.27 -> 1.28
  • plymouth: add extra kernel parameter
  • plymouth: Add the retain-splash option
  • plymouth: switch to KillMode=mixed
  • ply: upgrade 2.1.1 -> 2.2.0
  • pmdk: Fix build with newer ndctl
  • pmdk: update to 1.11.1
  • poco: upgrade 1.11.0 -> 1.11.2
  • poetry_core: add helper class
  • poetry-core: clean up class
  • poetry_core: update for renamed class pip_install_wheel to python_pep517
  • polkit: add patches for CVE-2021-4034 and CVE-2021-4115
  • polkit: Adjust to mozjs-91 in DEPENDS
  • polkit: Fix build with libtool 2.4.7
  • polkit: switch from mozjs to duktape javascript engine
  • polkit: update 0.116 -> 0.119
  • poppler-data: set precise BSD license
  • poppler: Support building for native
  • poppler: upgrade 21.09.0 -> 22.04.0
  • postfix: upgrade 3.6.2 -> 3.6.5
  • postgresql: Fix build on riscv
  • postgresql: fix CVE-2021-23214,CVE-2021-23222
  • postgresql: Update to 14.1
  • postgresql: upgrade 14.1 -> 14.4
  • pps-tools: upgrade 1.0.2 -> 1.0.3
  • proftpd: update to 1.3.7c
  • projucer: Upgrade to 6.1.6
  • protobuf-c: Export native protoc
  • protobuf-c: update to 1.4.0
  • protobuf: Disable tailcall on mips/clang
  • protobuf: Fix static init fiasco
  • protobuf: import a patch from meta-webosose to fix building protobuf-c with gold linker
  • protobuf: update to 3.19.0
  • protobuf: upgrade 3.19.1 -> 3.19.4
  • protobuf: Upgrade to 3.19.1
  • pugixml: upgrade 1.11.2 -> 1.12
  • pure-ftpd: upgrade 1.0.49 -> 1.0.50
  • pv: update from 1.6.6 to 1.6.20
  • pw-am.sh: update to new patcwork system
  • pyo3.bbclass: add class for PyO3 cross-compilation
  • python3-absl: update 1.0.0
  • python3-aenum: Upgrade 3.1.0 -> 3.1.11
  • python3-aiofiles: inherit poetry_core
  • python3-aiofiles: upgrade 0.7.0 -> 0.8.0
  • python3-aiohttp: upgrade 3.7.4 -> 3.8.1
  • python3-aiohue: Upgrade 2.6.1 -> 3.0.11
  • python3-aiosignal: Add recipe
  • python3-aiosignal, python3-frozenlist: Add native & nativestdk package support
  • python3-alembic: update to 1.7.7
  • python3-ansi2html: Upgrade 1.6.0 -> 1.7.0
  • python3-antlr4-runtime: add recipe
  • python3-anyjson: Do not enable 2to3
  • python3-anyjson: Drop recipe
  • python3-apt: add new recipe version 2.3.0
  • python3-apt: Point PYPA_WHEEL to custom location
  • python3-argcomplete upgrade 1.12.3 -> 2.0.0
  • python3-arpeggio: upgrade 1.10.2 -> 2.0.0
  • python3-astor: fix wheel build
  • python3-astroid: update to 2.11.3
  • python3-asyncinotify: add 2.0.2
  • python3-asyncio-throttle: Add recipe
  • python3-async-timeout: upgrade 3.0.1 -> 4.0.2
  • python3-autobahn: upgrade 21.3.1 -> 22.3.2
  • python3-aws-iot-device-sdk-python: Upgrade to 1.5.2
  • python3-babel: Remove
  • python3-backcall: inherit flit_core
  • python3-backports-functional-lru-cache: remove, not needed for Python 3
  • python3-bandit: Upgrade 1.7.0 -> 1.7.4
  • python3-bcrypt: Remove
  • python3-beautifulsoup: update to 4.11.1
  • python3-behave: Switch to using github src_uri
  • python3-bidict: update to 0.22.0
  • python3-bitarray: switch to setuptools
  • python3-bitarray: Upgrade 2.3.4 -> 2.4.1
  • python3-bitstruct: upgrade 8.11.1 -> 8.14.0
  • python3-blinker: Migrate to use pytest instead of nose for testing
  • python3-blivet: Adjust install location for binaries and systemd units
  • python3-blivetgui: Upgrade to 2.3.0
  • python3-blivetgui: use setuptools_legacy
  • python3-blivetgui: use symbolic list-add and edit- icons
  • python3-blivet: Upgrade to 3.4.3
  • python3-blivet: use setuptools_legacy
  • python3-cachecontrol: Upgrade 0.12.6 -> 0.12.10
  • python3-cachetools: upgrade 4.2.2 -> 5.0.0
  • python3-cantools: update to 37.0.7
  • python3-can: update t 4.0.0
  • python3-cbor2: upgrade 5.4.1 -> 5.4.2
  • python3-cchardet: add BBCLASSEXTEND = "native nativesdk"
  • python3-cchardet: Add recipe
  • python3-certifi: Remove
  • python3-certifi: update to 2021.10.8
  • python3-cffi: update to 1.15.0
  • python3-chardet: Remove
  • python3-charset-normalizer: Add recipe
  • python3-charset-normalizer: Upgarde 2.0.7 -> 2.0.12
  • python3-cheetah: upgrade 3.2.6.post1 -> 3.2.6
  • python3-click: upgrade 8.0.1 -> 8.1.2
  • python3-cmd2: upgrade 2.2.0 -> 2.4.1
  • python3-coloredlogs: Added nativesdk
  • python3-coloredlogs: fix location of coloredlogs.pth
  • python3-colorlog: update to 6.6.0
  • python3-colorzero: add recipe for python colorzero
  • python3-configargparse : upgrade 1.5.2 -> 1.5.3
  • python3-configobj: backport patch for setuptools
  • python3-configparser: remove, not needed for Python 3
  • python3-configparser: Upgrade 5.0.2 -> 5.2.0
  • python3-configshell-fb: set PIP_INSTALL_PACKAGE
  • python3-contextlib2: update to 21.6.0
  • python3-coverage: update to 6.3.2
  • python3-cppy: upgrade 1.1.0 -> 1.2.1
  • python3-crc32c: add 2.2.post0
  • python3-crc32c: set target platform via setup.cfg
  • python3-crcmod: use setuptools instead of distutils
  • python3-croniter: update to 1.3.4
  • python3-cryptography: backport patches to make this work against OpenSSL 3
  • python3-cryptography: fix wheel build
  • python3-cryptography: set precise BSD license
  • python3-cryptography: upgrade 3.3.2 -> 36.0.1
  • python3-cryptography-vectors: update to 35.0.0
  • python3-cryptography-vectors: upgrade 35.0.0 => 36.0.1
  • python3-crypto-vectors: set precise BSD license
  • python3-cson: Define PIP_INSTALL_PACKAGE
  • python3-cvxopt: upgrade 1.2.6 -> 1.2.7
  • python3-cycler: upgrade 0.10.0 -> 0.11.0
  • python3-dateparser: update to 1.1.0
  • python3-dateutil: Define PIP_INSTALL_PACKAGE
  • python3-dbussy: Define PIP_INSTALL_PACKAGE
  • python3-dbussy: port to setuptools
  • python3-decorator: Upgrade 5.1.0 -> 5.1.1
  • python3-deprecated: Upgrade 1.2.12 -> 1.2.13
  • python3-diskcache: update to 5.3.0
  • python3-diskcache: Upgrade 5.3.0 -> 5.4.0
  • python3-distro: Upgrade 1.6.0 -> 1.7.0
  • python3-distutils-extra; merge inc, fix wheel build
  • python3-django: Add recipe for 4.0.1
  • python3-djangorestframework: upgrade 3.12.4 -> 3.13.1
  • python3-django: upgrade 2.2.24 -> 4.0.2
  • python3-dnspython: inherit poetry_core
  • python3-dnspython: Upgrade 2.1.0 -> 2.2.1
  • python3-dt-schema: remove recipe
  • python3-elementpath: update to 2.5.0
  • python3-email-validator: new package
  • python3-engineio: upgrade 4.2.1 -> 4.3.1
  • python3-evdev: fix host header contamination
  • python3-evdev: upgrade 1.4.0 -> 1.5.0
  • python3-eventlet: update to 0.33.0
  • python3-execnet: depend on setuptools-scm
  • python3-fasteners: Upgrade 0.16.3 -> 0.17.3
  • python3-fastjsonschema: Upgrade 2.15.1 -> 2.15.3
  • python3-fastnumbers: upgrade 3.1.0 -> 3.2.1
  • python3-feedformatter: drop recipe
  • python3-flask-login: update to 0.6.0
  • python3-flask: update to 2.1.1
  • python3-flask-versioned: Fix PYPA_WHEEL name
  • python3-frozenlist: Add recipe
  • python3-frozenlist: Upgrade 1.2.0 -> 1.3.0
  • python3-gammu: add recipe for v3.2.4
  • python3-gast: upgrade 0.5.2 -> 0.5.3
  • python3-gcovr: add recipe
  • python3-gcovr: fix wheel build
  • python3-gcovr: update to 5.1
  • python3-geomet: fix wheel build
  • python3-gevent: update license
  • python3-gevent: update to 21.12.0
  • python3-gevent: use system libraries instead of embedding
  • python3-gmpy2: update 2.0.8 -> 2.1.2
  • python3-gmqtt: upgrade 0.6.10 -> 0.6.11
  • python3-gnupg: upgrade 0.4.7 ->0.4.8
  • python3-google-api-core: update to 2.7.1
  • python3-google-api-python-client: update to 2.43.0
  • python3-googleapis-common-protos: update to 1.56.0
  • python3-google-auth: update to 2.6.3
  • python3-graphviz: update to 0.19.2
  • python3-greenlet: remove redundant distutils3 inherit
  • python3-greenlet: upgrade 1.1.1 -> 1.1.2
  • python3-grpcio, python3-grpcio-tools: Upgrade to 1.44.0
  • python3-grpcio-tools: update to 1.45.0
  • python3-grpcio: update to 1.45.0
  • python3-h11: Upgrade 0.12.0 -> 0.13.0
  • python3-h2: update to 4.1.0
  • python3-h5py: update to 3.6.0
  • python3-haversine: update to 2.5.1
  • python3-hexdump: remove
  • python3-httplib2: update to 0.20.4
  • python3-huey: upgrade 2.4.1 -> 2.4.3
  • python3-humanize: upgrade 3.11.0 -> 4.0.0
  • python3-icu: update to 2.8.1
  • python3-idna: update to 3.3
  • python3-imageio: update to 2.17.0
  • python3-imgtool: add recipe
  • python3-imgtool: update to 1.9.0
  • python3-intervals: upgrade 1.10.0.post1 -> 1.10.0
  • python3-ipy: drop recipe
  • python3-ipython: update to 8.2.0
  • python3-iso3166: update to 2.0.2
  • python3-iso8601: inherit poetry_core
  • python3-iso8601: move to oe-core
  • python3-iso8601: update to 1.0.2
  • python3-isodate: Upgrade 0.6.0 -> 0.6.1
  • python3-isort: inherit poetry_core
  • python3-isort: Upgrade 5.9.3 -> 5.10.1
  • python3-itsdangerous: Upgrade 2.0.1 -> 2.1.2
  • python3-jdatetime: upgrade 3.6.2 -> 4.1.0
  • python3-jedi: Upgrade 0.18.0 -> 0.18.1
  • python3-jmespath: update to 1.0.0
  • python3-joblib: update to 1.1.0
  • python3-jsmin: Upgrade 3.0.0 -> 3.0.1
  • python3-jsmin: Upgrade to version 3.0.0
  • python3-jsonpath-rw: set correct license
  • python3-jsonpointer: Upgrade 2.1 -> 2.2
  • python3-jsonrpcserver: update to 5.0.7
  • python3-keras-applications: Define PIP_INSTALL_PACKAGE
  • python3-kivy: fix wheel build
  • python3-kivy: upgrade 2.0.0 -> 2.1.0
  • python3-kivy: Use branch parameter in SRC_URI
  • python3-kivy: Use new override syntax in RDEPENDS
  • python3-kiwisolver: Upgrade to 1.4.2
  • python3-langtable: Upgrade to release 0.0.57
  • python3-lazy-object-proxy: upgrade 1.6.0 > 1.7.1
  • python3-ldap: for openldap v2.5.8, link with libldap instead of libldap_r
  • python3-ldap: update to 3.4.0
  • python3-lrparsing: use setuptools instead of distutils
  • python3-lxml: check the return value
  • python3-lxml: set precise BSD license
  • python3-lxml: update to 4.8.0
  • python3-lz4: add ptest
  • python3-lz4: update to 4.0.0
  • python3-lz4: use system lz4 library
  • python3-m2crypto: address build failure with openssl 3.x
  • python3-marshmallow: add recipe at version 3.14.0
  • python3-marshmallow: fix wheel build
  • python3-marshmallow: Upgrade 3.14.0 -> 3.15.0
  • python3-matplotlib: add missing dependency
  • python3-matplotlib: Disable automatic download during do_compile
  • python3-matplotlib: Do not use setuptools_scm_git_archive
  • python3-matplotlib: Generate correctly names setup config file
  • python3-matplotlib: update to 3.5.1
  • python3-mccabe: fix LICENSE and RDEPENDS
  • python3-mccabe: upgrade 0.6.1 -> 0.7.0
  • python3-meh: fix HOMEPAGE
  • python3-meh: patch to use setuptools
  • python3-meh: upgrade 0.50 -> 0.50.1
  • python3-meh: use setuptools_legacy
  • python3-monotonic: fix wheel build
  • python3-msgpack: upgrade 1.0.2 -> 1.0.3
  • python3-multidict: upgrade 5.1.0 -> 6.0.2
  • python3-mypy: update to 0.942
  • python3-natsort: Upgrade 7.1.1 -> 8.1.0
  • python3-ndg-httpsclient: Remove
  • python3-networkx: upgrade 2.6.2 -> 2.7.1
  • python3-nmap: upgrade 1.5.0 -> 1.5.1
  • python3-nocasedict: upgrade 1.0.2 -> 1.0.5
  • python3-ntplib: pull from PyPI
  • python3-oauthlib: Drop redundant nose dependency
  • python3-oauthlib: upgrade 3.1.1 -> 3.2.0
  • python3-openpyxl: upgrade 3.0.8 -> 3.0.9
  • python3-ordered-set: Upgrade 4.0.2 -> 4.1.0
  • python3-paho-mqtt: Upgrade 1.5.1 -> 1.6.1
  • python3-pako: remove duplicate LICENSE
  • python3-pandas: upgrade 1.3.3 -> 1.4.2
  • python3-paramiko: update to 2.10.3
  • python3-parse-type: Do not ask for 2to3
  • python3-parso: Add runtime dependencies
  • python3-parso: upgrade 0.8.2 -> 0.8.3
  • python3-path: add recipe
  • python3-pillow: fix wheel build
  • python3-pillow: Upgrade 8.3.2 -> 9.0.1
  • python3-pint: update to 0.19.1
  • python3-pint: Upgrade 0.17 -> 0.18
  • python3-pkgconfig: inherit poetry_core
  • python3-ply: move to oe-core
  • python3-poetry-core: add v1.0.8
  • python3-poetry-core: Define PIP_INSTALL_PACKAGE
  • python3-poetry-core: move to oe-core
  • python3-poetry-core: self-bootstrap
  • python3-poetry-core: Setting PIP_INSTALL_PACKAGE is no longer needed
  • python3-portalocker: update to 2.4.0
  • python3-portion: update to 2.2.0
  • python3-posix-ipc: Add recipe for version 1.0.5
  • python3-posix-ipc: remove spurious dependencies
  • python3-posix-ipc: set precise BSD license
  • python3-prctl: fix wheel build
  • python3-prctl: Use https protocol for git fetcher
  • python3-pretend: move to oe-core
  • python3-prettytable: add python3-pytest-lazy-fixture to ptest RDEPENDS
  • python3-prettytable: Upgrade 2.1.0 -> 3.1.1
  • python3-prompt-toolkit: Upgrade 3.0.19 -> 3.0.24
  • python3-protobuf: update to 3.20.0
  • python3-psutil: fix test failure
  • python3-psutil: Remove
  • python3-psutil: Upgrade 5.8.0 -> 5.9.0
  • python3-ptyprocess: inherit flit_core
  • python3-pulsectl: update to 22.3.2
  • python3-pyasn1: Remove
  • python3-pyatspi: update to 2.38.2
  • python3-pybind11-json: update to 0.2.11
  • python3-pybind11: Override pip install variables
  • python3-pybind11: update to 2.8.1
  • python3-pybind11: Use setuptools3 instead of distutils3 functions
  • python3-pybluez: Do not set 2to3
  • python3-pybluez: fix a runtime issue with python 3.10
  • python3-pychromecast: update to 11.0.0
  • python3-pycocotools: Upgrade 2.0.2 -> 2.0.4
  • python3-pycodestyle: update to 2.8.0
  • python3-pycparser: RSUGGESTS cpp and cpp-symlinks
  • python3-pycparser: upgrade 2.20 -> 2.21
  • python3-pycrypto: remove obsolete pycrypto module
  • python3-pycups: Inherit setuptools_build_meta
  • python3-pycurl: fix DEPENDS
  • python3-pycurl: update to 7.45.1
  • python3-pydicti: Upgrade 1.1.4 -> 1.1.6
  • python3-pydot: add recipe
  • python3-pyephem: update to 4.1.3
  • python3-pyflakes: fix LICENSE, HOMEPAGE and RDEPENDS
  • python3-pyflakes: update to 2.4.0
  • python3-pyhamcrest: upgrade 2.0.2 -> 2.0.3
  • python3-pyiface: upgrade to latest git
  • python3-pyinotify: Add fcntl, logging to RDEPENDS
  • python3-pyjwt: update to 2.3.0
  • python3-pykickstart: fix wheel build
  • python3-pykickstart: update to 3.34
  • python3-pylint: upgrade to 2.13.5
  • python3-pymetno: Define PIP_INSTALL_PACKAGE
  • python3-pymetno: Introduce recipe on 0.7.0
  • python3-pymetno: update to 0.9.0
  • python3-pymisp: inherit poetry_core
  • python3-pymisp: upgrade 2.4.148 -> 2.4.157
  • python3-pymodbus: add 2.5.3
  • python3-pymodbus: add asyncio to package config
  • python3-pymongo: update to 4.1.0
  • python3-pynacl: upgrade 1.4.0 -> 1.5.0
  • python3-pynetlinux: patch to use setuptools
  • python3-pyopenssl: Remove
  • python3-pyparted: port to setuptools
  • python3-pyparted: upgrade 3.11.7 -> 3.12.0
  • python3-pyperf: update to 2.3.0
  • python3-pyrad: Change poetry bbclass inherit to match oe-core
  • python3-pyro4: upgrade 4.81 -> 4.82
  • python3-pyruvate: add recipe for v1.1.2
  • python3-pyruvate: disable 64 bit atomics for mips
  • python3-pyruvate: Fix build on riscv32
  • python3-pyruvate: Fix build with mips
  • python3-pyruvate: Fix build with riscv64/musl
  • python3-pyruvate: fix wheel build
  • python3-pyruvate: Update libc to 0.2.120
  • python3-pyscaffold: fix wheel build and license
  • python3-pyscaffold: update to 4.2.1
  • python3-pyserial: also remove /usr/bin/pycache
  • python3-pyserial-asyncio: add 0.6
  • python3-pysocks: Remove
  • python3-pystache: Remove need for python2x
  • python3-pystache: remove, unmaintained
  • python3-pytest-asyncio: upgrade 0.15.1 -> 0.16.0
  • python3-pytest-forked: add 1.4.0
  • python3-pytest-helpers-namespace: Enable network during do_compile
  • python3-pytest-helpers-namespace: update to 2021.12.29
  • python3-pytest-lazy-fixture: add recipe
  • python3-pytest-metadata: upgrade 1.11.0 -> 2.0.1
  • python3-pytest-runner: Define PIP_INSTALL_PACKAGE
  • python3-pytest-runner: Remove
  • python3-pytest-subtests: move to oe-core
  • python3-pytest-subtests: upgrade 0.5.0 -> 0.6.0
  • python3-pytest-timeout: update 2.1.0
  • python3-pytest-xdist: add 2.5.0
  • python3-pythonping: Upgrade 1.1.0 -> 1.1.1
  • python3-python-vlc: upgrade 3.0.12118 -> 3.0.16120
  • python3-pytz-deprecation-shim: Add recipe
  • python3-pytz: move to oe-core
  • python3-pytz: update to 2021.3
  • python3-pyudev: upgrade 0.22.0 -> 0.23.2
  • python3-pywbemtools: upgrade 0.9.0 -> 1.0.0
  • python3-pywbem: update to 1.4.1
  • python3-pyzmq: clean up recipe
  • python3-pyzmq: set precise BSD license
  • python3-qface: add recipe
  • python3-qface: upgrade 2.0.6 -> 2.0.7
  • python3-qrcode: Upgrade 7.3 -> 7.3.1
  • python3-rdflib: upgrade 6.0.0 -> 6.1.1
  • python3-redis: update to 4.2.2
  • python3-regex: update to 2022.3.15
  • python3-requests-oauthlib: upgrade 1.3.0 -> 1.3.1
  • python3-requests: Remove
  • python3-requests: Upgrade 2.26.0 -> 2.27.1
  • python3-robotframework: upgrade 4.1.1 -> 5.0
  • python3-rsa: inherit poetry_core
  • python3-rsa: upgrade 4.7.2 -> 4.8
  • python3-scapy: Define custom PYPA_WHEEL
  • python3-scapy: remove redundant pycrypto RDEPENDS
  • python3-scrypt: upgrade 0.8.18 -> 0.8.20
  • python3-sdnotify: patch to use setuptools
  • python3-semantic-version: Upgrade 2.8.5 -> 2.9.0
  • python3-sentry-sdk: update to 1.5.8
  • python3-setuptools-rust-native: add v1.1.2 recipe
  • python3-setuptools-rust-native: Define PIP_INSTALL_PACKAGE
  • python3-setuptools-rust-native: fix wheel build
  • python3-simpleeval: Remove use_2to3
  • python3-simpleeval: Upgrade 0.9.10 -> 0.9.12
  • python3-simplejson: Upgrade 3.17.5 -> 3.17.6
  • python3-slip-dbus: Fix build with wheel packaging
  • python3-smbbus: use DISTUTILS_SETUP_PATH
  • python3-smbus: fix wheel build
  • python3-smbus: use setuptools
  • python3-smpplib: upgrade 2.1.0 -> 2.2.1
  • python3-snappy upgrade 0.6.0 -> 0.6.1
  • python3-socketio: upgrade 5.4.0 -> 5.5.2
  • python3-soupsieve: Upgrade 2.2.1 -> 2.3
  • python3-soupsieve: Upgrade 2.3 -> 2.3.1
  • python3-speedtest-cli: fix RDEPENDS
  • python3-sqlalchemy: upgrade 1.4.23 -> 1.4.35
  • python3-stevedore: upgrade 3.4.0 -> 3.5.0
  • python3-supervisor: upgrade 4.2.2 -> 4.2.4
  • python3-sympy: udpate to 1.9
  • python3-sympy: update to 1.10.1
  • python3-systemd: patch to use setuptools
  • python3-termcolor: Use setuptools instead of distutils
  • python3-test-generator: drop recipe
  • python3-thrift: Upgrade 0.13.0 -> 0.16.0
  • python3-tqdm: update to 4.64.1
  • python3-trafaret: upgrade 2.1.0 -> 2.1.1
  • python3-traitlets: Upgrade 5.1.0 -> 5.1.1
  • python3-transitions: Upgrade 0.8.10 -> 0.8.11
  • python3-transitions: upgrade 0.8.9 -> 0.8.10
  • python3-twine: Upgrade 3.4.1 -> 4.0.0
  • python3-twisted: also ship Twisted dist-info
  • python3-twisted: remove empty PN-src and PN-dbg
  • python3-twisted: upgrade 21.7.0 -> 22.2.0
  • python3-twitter: update 4.8.0
  • python3-twofish: drop recipe
  • python3-twofish: patch to use setuptools
  • python3-txaio: upgrade 21.2.1 -> 22.2.1
  • python3-txws: Define PIP_INSTALL_PACKAGE
  • python3-typed-ast: Upgrade 1.4.3 -> 1.5.2
  • python3-typeguard: update to 2.13.3
  • python3-tzlocal: update to 4.2
  • python3-ujson: upgrade 4.1.0 -> 5.1.0
  • python3-unidiff: Upgrade 0.7.0 -> 0.7.3
  • python3-uritemplate: update to 4.1.1
  • python3-urllib3: Remove
  • python3-urllib3: upgrade 1.26.6 -> 1.26.8
  • python3-waitress: upgrade 2.0.0 -> 2.1.1
  • python3-watchdog: upgrade 2.1.5 -> 2.1.7
  • python3-websocket-client: upgrade 1.2.1 -> 1.3.2
  • python3-websockets: update to 10.2
  • python3-werkzeug: upgrade 2.0.1 -> 2.1.1
  • python3-wheel: drop; moved to oe-core
  • python3-wheel: upgrade 0.37.0 -> 0.37.1
  • python3-wrapt: update to 1.14.0
  • python3-wtforms: add missing dependencies
  • python3-wtforms: update to 3.0.0
  • python3-wtforms: Upgrade 3.0.0 -> 3.0.1
  • python3-wxgtk4: add distro feature check to match dependency
  • python3-wxgtk4: add recipe
  • python3-wxgtk4: backport patch to fix svg issue
  • python3-wxgtk4: Needs x11 for sip module
  • python3-wxgtk4: pass '--baselib' to WX_CONFIG
  • python3-wxgtk4: Require DISTRO_FEATURES as gtk3
  • python3-wxgtk4: Use cross prefix with native wx-config
  • python3-xlrd: fix wheel build
  • python3-xlsxwriter: update to 3.0.3
  • python3-xmlschema: update to 1.10.0
  • python3-xmodem: Move docs to /usr/share/doc
  • python3-xxhash: upgrade 2.0.2 -> 3.0.0
  • python3-yappi: add python 3.10 fix
  • python3-yappi: Upgrade 1.3.2 -> 1.3.3
  • python3-yarl: update to 1.7.0
  • python3-yarl: Upgrade 1.7.0 -> 1.7.2
  • python3-zeroconf: update to 0.38.4
  • python-cantools: update to 37.0.0
  • python: remove recipes imported to oe-core
  • pyxdg: upgrade and remove distutils
  • qpdf: remove obsolete support for renamed libtool
  • qpdf: upgrade 10.3.2 -> 10.6.3
  • rapidjson: override hard-coded lib install dir
  • rdma-core: upgrade 36.0 -> 40.0
  • recipes: Adjust for renaming flit_core -> python_flit_core
  • recipes: Update LICENSE variable to use SPDX license identifiers
  • recipes: Update SRC_URI branch and protocols
  • recipes: Use new CVE_CHECK_IGNORE variable
  • recipes: Use renamed SKIP_RECIPE varFlag
  • redis: add recipe for 7.0-rc1
  • redis-plus-plus: update to 1.3.2
  • redis-plus-plus: upgrade 1.3.2 -> 1.3.3
  • redis-plus-plus: Use GNUInstallDirs in cmake
  • redis: remove fuzz warning
  • redis: upgrade 6.2.5 -> 6.2.6
  • redis: upgrade to 7.0-rc3
  • remmina: upgrade 1.4.23 -> 1.4.24
  • remmina: Upgrade to 1.4.23
  • Rename gnome-menus3 -> gnome-menus
  • Rename mozjs -> mozjs-91 to allow multiple versions of mozjs
  • Revert "ccid: Fix floating runtime dependency on flex"
  • Revert "chipsec: platform security assessment framework"
  • Revert "libcamera: add pkg-config files"
  • Revert "libgusb: Use the correct args to disable vala support"
  • Revert "python3-cppy: upgrade 1.2.0 -> 1.2.1"
  • Revert "python3-ipy: drop recipe"
  • Revert "python3-smbus: fix wheel build"
  • Revert "python3-twofish: drop recipe"
  • ristretto: upgrade 0.11.0 -> 0.12.2
  • rocksdb: Exclude on ppc/musl
  • rocksdb: Use new atomic builtins on powerpc as well
  • rrdtool: upgrade 1.7.2 -> 1.8.0
  • rsyslog: update to 8.2202
  • rtc-tools: Add a recipe
  • rtc-tools: Update to 2022.02
  • safec: Upgrade to 3.7.1
  • samba: add 2 cves to allowlist
  • samba: add pyldb to rdepends for samba-python3
  • samba: fix pyext_PATTERN for cross compilation
  • samba: update cross-answers files
  • samba: upgrade 4.14.7 -> 4.14.13
  • sanlock: Fix build with wheels on
  • sanlock: port to setuptools
  • sanlock: update patch status
  • satyr: upgrade 0.38 -> 0.39
  • sdbus-c++: disable code generation tools
  • sdbus-c++-libsystemd: bugfix dev package is not installed
  • sdbus-c++-libsystemd: Bump SRCREV to last commit of 250-stable branch
  • sdbus-c++-libsystemd: Fix build on musl
  • sdbus-c++-libsystemd: Fix build with kernel 5.15+
  • sdbus-c++-libsystemd: Fix patch fuzz
  • sdbus-c++-libsystemd: upgrade 249 -> 250.3
  • sdbus-c++-libsystemd: Upgrade to 249.5
  • sdbus-c++: Link with libatomic for rv32
  • sdbus-c++: Link with libatomic on mips/ppc32
  • sdbus-c++-tools: upgrade 1.0.0 -> 1.1.0
  • ser2net: upgrade 4.3.3 -> 4.3.5
  • setuptools3_rust.bbclass: setuptoools Rust plugin
  • sg3-utils: set precise BSD license
  • simple-mtpfs: add dependency on autoconf-archive
  • simple-mtpfs: update to 0.4.0
  • smartmontools: upgrade 7.2 -> 7.3
  • smartmontools: use s-nail
  • smarty: Upgrade to 4.1.0
  • smbnetfs: upgrade 0.6.1 -> 0.6.3
  • smcroute: upgrade 2.5.3 -> 2.5.5
  • s-nail: add a maintained mail(1) fork
  • s-nail: Set VAL_MTA
  • s-nail: upgrade 14.9.23 -> 14.9.24
  • snappy: use main branch to fix fetch failure
  • snort: upgrade 2.9.18.1 -> 2.9.19
  • soci: update to 4.0.2
  • soci: upgrade 4.0.2 -> 4.0.3
  • span-lite: upgrade 0.10.1 -> 0.10.3
  • spdlog: remove header-only leftover
  • spdlog: Update the external fmt patch
  • spice-protocol: upgrade 0.14.3 -> 0.14.4
  • spice-protocol: upgrade to 1.14.3
  • spice: set correct LICENSE
  • spitools: upgrade 1.0.0 -> 1.0.1
  • sqlite-orm: Define cmake variable defaults
  • squashfs-tools-ng: upgrade 1.0.2 -> 1.1.4
  • srecord: add libgcrypt PACKAGECONFIG
  • srecord: build fix
  • srecord: properly initialize libtool
  • srecord: remove obsolete support for renamed libtool
  • srt: 1.4.2 -> 1.4.4
  • stm32flash: upgrade 0.6 -> 0.7
  • strongswan: 5.9.4 -> 5.9.5
  • strongswan: add integrity options
  • strongswan: add required kernel modules to RRECOMMENDS
  • strongswan: add tpm PACKAGECONFIG
  • strongswan: disable openssl PACKAGECONFIG
  • strongswan: provide PACKAGECONFIG for cureve25519
  • strongswan: remove redundant DEPENDS
  • strongswan: upgrade 5.9.3 -> 5.9.6
  • stunnel: Update to 5.63
  • st: upgrade 0.8.4 -> 0.8.5
  • surf: add a webkit 2.34 compatibility patch
  • surf: Add soup3 patch conditionally
  • sysdig: Fix build with ncurses 6.3+
  • sysdig: Upgrade to 0.28.0
  • syslog-ng: adjust control socket location
  • syslog-ng: update from 3.31.2 to 3.26.1
  • sysprof: Added json-glib into DEPENDS to fix build error.
  • sysprof: Fix build to work with llvm libunwind
  • sysprof: Remove libunwind on rv32
  • sysprof: update to 3.44.0
  • tbb: Disable LTO on rv64
  • tbb: enable native/nativesdk builds
  • tbb: Link with libatomic when using clang compiler on rv32
  • tbb: Upgrade to 2021.4.0
  • tbb: upgrade to 2021.5.0
  • tcpdump: upgrade 4.99.0 -> 4.99.1
  • tcpreplay: update HOMEPAGE
  • tcpreplay: upgrade 4.3.4 -> 4.4.1
  • tcpslice: upgrade 1.2a3 -> 1.5
  • tcsh: Do not install symlinks into /bin with usrmerge
  • tepl: Check for x11 in distro features
  • tepl: introspection is not valid meson option
  • tesseract-lang: switch from master branch to main
  • tesseract: upgrade 4.1.1 -> 4.1.3
  • tgt: move from meta-openstack
  • thingsboard-gateway: update to 2.8
  • thingsboard-gateway: upgrade 2.8 -> 2.9
  • thin-provisioning-tools: upgrade 0.8.5 -> 0.9.0
  • thrift: upgrade 0.14.2 -> 0.16.0
  • thunar: Depend on libxml-parser-perl-native
  • thunar-shares-plugin: Check for x11 in distro features
  • thunar: upgrade 4.16.8 -> 4.16.9
  • tiptop: Fix build with ncurses 6.3+
  • tiptop: update download URL and HOMEPAGE
  • tnftp: Add missing header stdc-predef.h
  • tnftp: upgrade 20151004 -> 20210827
  • tomoyo-tools: Define SBINDIR
  • tomoyo-tools: Drop md5sum
  • toybox: upgrade 0.8.5 -> 0.8.6
  • tracker: introspection is not valid meson option
  • tracker-miners: introspection is not valid meson option
  • tracker,tracker-miners: Upgrade to 3.2.1
  • tracker: upgrade 3.2.1 -> 3.3.0
  • tree: upgrade 1.8.0 -> 2.0.2
  • ttf-abyssinica: update to 2.100
  • ttf-dejavu: add UPSTREAM_CHECK_URI
  • ttf-vlgothic: Specify accurate BSD license type
  • ttf-vlgothic: update to 20200720
  • tvheadend: Disable dvbscan
  • tvheadend: Update to latest trunk
  • twm: upgrade 1.0.11 -> 1.0.12
  • udisks2: upgrade 2.9.3 -> 2.9.4
  • uftrace: update to 0.11
  • ufw: Fix build with usrmerge distro feature
  • ufw: Fix packaging errors found with ppc64
  • ufw: port to setuptools, use setuptools_legacy
  • ufw: Upgrade to 0.36.1 bugfix release
  • uim: Fix build with libtool 2.4.7
  • uml-utilities: Define LIB_DIR to be libdir relative
  • unattended-upgrades: add new recipe version 2.6
  • unattended-upgrades: Disable auto-detecting modules
  • unattended-upgrades: Inherit setuptools3_legacy
  • unattended-upgrades: Migrate to use wheels
  • unattended-upgrades: Package nonarch_libdir for systemd files
  • unattended-upgrades: remove PYPA_WHEEL
  • unbound: remove obsolete support for renamed libtool
  • unbound: upgrade 1.13.2 -> 1.15.0
  • unicode-ucd: set downloadfilename to include PV
  • unicode-ucd: upgrade 12.1.0 -> 14.0.0
  • unifex: add recipe
  • unixodbc: upgrade 2.3.7 -> 2.3.9
  • Update for setuptools_build_meta renamed to python_setuptools_build_meta
  • Update to new version of boost-uri
  • Upgrade libcamera
  • upower: add UPSTREAM_CHECK_GITTAGREGEX
  • upower: fix location of udev-rules with sysvinit
  • upower: upgrade 0.99.11 -> 0.99.17
  • uriparser: upgrade 0.9.5 -> 0.9.6
  • usbguard: Add inital recipe
  • usbguard: package simplification
  • usermode: upgrade 1.113 -> 1.114
  • v4l-utils: Update 1.20.0 -> 1.22.1
  • valijson: move out of hard dep on meta-networking
  • vboxguestdrivers: drop md5sum from SRC_URI.
  • vboxguestdrivers: fix build against 5.15 kernel/libc-headers headers
  • vboxguestdrivers: Fix build failure due to the last update.
  • vboxguestdrivers: upgrade 6.1.26 -> 6.1.34
  • vlc: Fix build with un-renameed native libtool
  • vlc: upgrade 3.0.12 -> 3.0.17-1 to fix build with ffmpeg5
  • websocketpp: Apply upstream proposed patch to fix a Scons 4.2.0+ build failure
  • weechat: Define LIBDIR
  • weechat: upgrade 3.0 -> 3.4.1
  • wireguard-tools: upgrade 1.0.20210315 -> 1.0.20210914
  • wireplumber: Add recipe
  • wireplumber: backport fix for default device setting
  • wireplumber: Improve configuration
  • wireplumber: Upgrade to version 0.4.9
  • wireshark: update to latest stable 3.4.11
  • wolfssl: update to 5.2.0
  • wpantund: Add missing dependency on boost
  • wpantund: add new recipe
  • wxwidgets: 3.1.4 -> 3.1.5
  • wxwidgets: Fix building without x11
  • wxwidgets: Fix checking for PACKAGECONFIG and DISTRO_FEATURES
  • wxwidgets: fix install errors
  • wxwidgets: fix libdir for multilib
  • wxwidgets: fix typo
  • wxwidgets: fix wx-config multilib issue
  • wxwidgets: git -> gitsm to fix build when no x11
  • xarchiver: upgrade 0.5.4.14 -> 0.5.4.17
  • xbindkeys: Add recipe
  • xdebug: upgrade 2.9.5 -> 3.1.1
  • xf86-video-ati: Upgrade to 19.1.0
  • xf86-video-nouveau: fixup driver for new X server ABI
  • xfce4-cpufreq-plugin: upgrade 1.2.5 -> 1.2.7
  • xfce4-cpugraph-plugin: upgrade 1.2.3 -> 1.2.5
  • xfce4-cpugraph-plugin: upgrade 1.2.5 -> 1.2.6
  • xfce4-datetime-setter: Fix build with meson 0.61+
  • xfce4-diskperf-plugin: upgrade 2.6.3 -> 2.7.0
  • xfce4-eyes-plugin: upgrade 4.5.1 -> 4.6.0
  • xfce4-notifyd: upgrade 0.6.2 -> 0.6.3
  • xfce4-panel: disable vala
  • xfce4-screenshooter: Add dependency on libxml-parser-perl-native
  • xfce4-screenshooter: upgrade 1.9.9 -> 1.9.10
  • xfce4-sensors-plugin: upgrade 1.3.95 -> 1.4.1
  • xfce4-sensors-plugin: upgrade 1.4.1 -> 1.4.2
  • xfce4-sensors-plugin: upgrade 1.4.2 -> 1.4.3
  • xfce4-terminal: Add missing gtk-doc dependency
  • xfce4-terminal: upgrade 0.8.10 -> 1.0.0
  • xfce4-whiskermenu-plugin: upgrade 2.5.3 -> 2.6.2
  • xfce4-whiskermenu-plugin: upgrade 2.6.2 -> 2.7.1
  • xfce.bbclass: Mark string as raw in a regexp
  • xfconf: inherit vala
  • xfsdump: remove obsolete support for renamed libtool
  • xfsdump: upgrade 3.1.9 -> 3.1.10
  • xl2tpd: update to 1.3.16
  • xmlrpc-c: clean up PACKAGECONFIG
  • xmlrpc-c: remove unused libxml2 dependency
  • xmlrpc-c: set precise BSD license
  • xmlrpc-c: use gnu-configize
  • xmlsec1: enable native build
  • xmlsec1: upgrade 1.2.32 -> 1.2.33
  • xorg-sgml-doctools: upgrade 1.11 -> 1.12
  • xorgxrdp: Add to exclusion list for now
  • xorg-xrdp: Upgraded from 0.2.5 to 0.2.18.
  • xrdp: Exclude from builds
  • xrdp: Fixed build error with openssl 3.0 and upgraded from 0.9.17 to 0.9.18.
  • xrdp: Upgrade to 0.9.17
  • xterm: upgrade 368 -> 372
  • yaml-cpp: bump 0.7.0
  • yavta: Upgrade to latest version and drop downstream patch
  • yelp: Add option to support webkit2gtk-4-0
  • yelp-tools: upgrade 41.0 -> 42.0
  • yelp: upgrade 41.1 -> 42.1
  • yelp-xsl: upgrade 41.0 -> 42.0
  • yelp,yelp-xsl,yelp-tools: Upgrade to 41 release
  • zchunk: upgrade 1.1.16 -> 1.2.0
  • zenity: Upgrade 3.32.0 -> 3.42.0

Meta Security

  • aide: Add depend on audit when audit is enabled.
  • aide: Update 01.17.4
  • apparmor: Add a python 3.10 compatability patch
  • apparmor: fix warning of remove operator combined with +=
  • apparmor: update to 3.0.4
  • bastille: Create /var/log/Bastille in runtime
  • chipsec: fix WARNING
  • clamav: add COMPATIBLE_HOST to fix build error
  • clamav: fix useradd warning
  • dm-verity-img.bbclass: Fix wrong override syntax for CONVERSION_DEPENDS
  • fscrypt: add distro_check on pam
  • fscrypt: update dependecy from go-dep-native to go-native
  • google-authenticator-libpam: update to 1.09
  • ima-evm-keys: don't use lnr
  • kas-security-alt: drop rust layer
  • layer.conf: enable apparmor for qemu machine
  • layer.conf: Update to use kirkstone
  • libest: does not build with openssl 3.x
  • lib-perl: prefix man pages to avoid conflicting with base perl
  • libtpm: update to 0.9.2
  • LICENSE: adopt SPDX standard names
  • LICENSE: update to SPDX standard names
  • linux-yocto_security.inc: add lkrg kfrags
  • lkrg-module: covert to git fetcher
  • lkrg-module: update to 0.9.2
  • meta-hardening: Fix override syntax
  • meta-integrity: drop strongswan bbappends
  • meta-parsec/README.md: fix for append operator combined with +=
  • meta-security-isafw: Fixes to work with oe-core master
  • meta-security : Use SPDX style licensing format
  • meta-tpm: drop strongswan bbappends
  • oeqa/cases/tpm2: fix and enhance test suite
  • opendnssec: blacklist do to ldns being blacklisted
  • openscap-daemon: fix wheels and License issues.
  • openscap-daemon: use renamaed python_setuptools_build_meta
  • openssl-tpm-engine: fix build issue with openssl 3
  • openssl-tpm-engine: fix warning for append operator combined with +=
  • packagegroup-security-tpm2.bb: remove dynamic pkgs
  • packagegroup-security-tpm2: drop ibmswtpm2
  • packagegroup-security-tpm: Fix QA Error
  • parsec-service: fix compile issue.
  • parsec-service: Only enable TPM is layer and DISTRO_FEATURE is defined.
  • Parsec-service: Update installation procedure
  • Parsec service. Update PACKAGECONFIG definitions and README.md
  • python3-fail2ban: fix compile issue on some hosts
  • python3-fail2ban: fix SPDX license.
  • python3-fail2ban: remove /run
  • python3-fail2ban: update to tip
  • python3-privacyidea: drop old package ref.
  • python3-privacyidea: fix QA ERROR
  • python3-privacyidea: update to 3.6.2
  • README.md: fix typo
  • recipes: Update SRC_URI branch and protocols
  • recipes: Use renamed SKIP_RECIPE varFlag
  • samhain.inc: Correct LICENSE to GPL-2.0-only
  • samhain: update to 4.4.7
  • scap-security-guide: Fix openembedded platform tests
  • smack: Use new CVE_CHECK_IGNORE variable
  • sssd: Create /var/log/sssd in runtime
  • Subject: [PATCH] Subject: python3-fail2ban: switch to legacy setuptools3
  • suricata: update to 6.0.4
  • swtpm: update to 0.7.1
  • tpm2-abrmd: update to 2.4.1
  • tpm2-openssl: add new pkg
  • tpm2-openssl: update to 1.1.0
  • tpm2-pkcs11_1.7.0: Drop dstat from DPENDS
  • tpm2-pkcs11: backport openssl 3.x build fixes
  • tpm2-pkcs11: fix RDEPENDS variable
  • tpm2-pkcs11: tpm2-pkcs11 module missing
  • tpm2-pkcs11: update to 1.8.0
  • tpm2-tools: Add missing rdepends
  • tpm2-tools: fix missing version number
  • tpm2-tools: update to 5.2
  • tpm2-tss-engine: fix version string and build with openssl 3.0
  • tpm2-tss: fix fapi package config
  • tpm2-tss: fix user perms
  • tpm2-tss: update to 3.2.0
  • tpm-tools: Fix pod2man race
  • Upgrade parsec-service to 1.0.0 and parsec-tool to 0.5.2

Meta Updater

  • aktualir: Bump to latest with TUF verification support.
  • aktualizr: Bump to latest for Secondary putRoot implementation.
  • aktualizr: Bump to latest, plus garage-sign.
  • aktualizr: Delete unused ca.cnf file.
  • aktualizr: Mark aktualizr-hwid as RRECOMMENDS, not RDEPENDS.
  • aktualizr: use https protocol to fetch it
  • aktualizr: use updated pkcs11 engines path for openssl 3
  • asn1c: use BSD-2-Clause instead of ambiguous BSD
  • classes/sota: no need to add wic when sota is enabled
  • Fix all shellcheck complaints.
  • fixed incorrect boolean in virtualsec.json
  • image_types_ota.bbclass: add support for none as OSTREE_BOOTLOADER
  • image_types_ota: use += when setting task depends for image_ota_ext4
  • layer.conf: update LAYERSERIES_COMPAT for kirkstone
  • nfs-utils: prefer tmpfiles instead of a custom service
  • ostree: patch to setup a curl request timeout
  • Replace tabs with spaces.
  • sota.bbclass: update for renamed ssl PACKAGECONFIG in curl recipe
  • sota.conf.inc: Cleanup for kirkstone.
  • sota: drop curl packageconfig settings for openssl
  • sota_sanity.bbclass: fix DeprecationWarning: invalid escape sequence d

Meta Virtualization

  • busybox-initrd: update to 1.35.0
  • ceph: 15.2.12 -> 15.2.15
  • ceph: inherit pkgconfig.bbclass
  • ceph: set CXXFLAGS and CFLAGS
  • cloud-init: inherit setuptools3_legacy
  • cloud-init: switch branch to main
  • cloud-init: update to 21.4
  • cni: add flannel plugin from separate repository
  • cni: add README
  • cni: add SRCREV_FORMAT
  • cni: don't provide kubernetes-cni by default
  • cni: fix protocol argument typo
  • cni: update to v1.0.1
  • conf: add kirkstone to layer compatibility
  • conf: drop honister from compatibility
  • config: introduce hostname generation hooks
  • conmon: update to v2.1.0
  • containerd-opencontainers: add CVE_VERSION setting
  • containerd: update to v1.6.1
  • containers: introduce podman-tui
  • cri-o: switch from master -> main
  • cri-o: update to 1.23.1
  • cri-o: update to use SKIP_RECIPE
  • cri-tools: update to v1.23.0
  • criu: fix QA issue about shebang too long
  • criu: remove :append and += combination
  • criu: update to 3.16.1
  • criu: Upgrade to 3.17 to fix restore and fix build
  • crun: bump to version 1.2
  • crun: fix offline builds
  • crun/oci-image-spec: specify https in github src_uri
  • crun: update runtime-spec branch to main
  • crun: update to 1.4.3
  • demo: add flask and k3s deployment files
  • dev86: fix a build race
  • docker-ce: add SRCREV_FORMAT
  • docker-ce: update to v20.10.12
  • docker-distribution: update to 2.7.1-latest
  • docker-distribution: update to 2.8.0
  • docker-moby: add SRCREV_FORMAT
  • docker-moby: update to v20.10.10
  • global: add explicit branch to all SRC_URIs
  • global: convert github SRC_URIs to use https protocol
  • global: convert github SRC_URIs to use https protocol
  • global: update licence values to SPDX values
  • go-{distribution,systemd}: convert github SRC_URIs to use https protocol
  • go-fsnotify: switch to main branch
  • go-fsnotify: update to v1.5.1
  • ipxe: Pin to use gcc
  • irqbalance: bump SRCREV to latest
  • irqbalance: update to 1.8.0-tip
  • k3s: Add additional required kernel modules
  • k3s: Add missing IP Virtual Server (ip_vs) feature to the kernel config
  • k3s: Add xt-statistic kernel module to rrecommends
  • k3s: clarify uprev version (1.22.6) and PV
  • k3s: do not use a go file as patch
  • k3s: Update k3s service configuration
  • k3s: update to 1.23.1
  • k8s: add kubernetes to host packagegroup
  • k8s: introduce host/controller initialization script
  • k8s: set to 1.22.3 release
  • k8s: update to 1.23.6
  • kata-containers: add protocol=https to SRC_URIs
  • kata-containers: add skip message
  • kernel: add 5.15 fragment enablement
  • kernel: drop 5.14 .inc
  • kubernetes: add README
  • kubernetes: add SRCREV_FORMAT
  • kubernetes: add sysctl.d configuration
  • kubernetes: install kubeadm and misc for nodes
  • kubernetes: introduce devupstream variant
  • kubernetes: update to 1.23.x series
  • kvmtool: update to -tip
  • libibverbs: update LICENSE
  • libvirt: backport patch to fix compile error
  • libvirt: fix CVE-2021-3667
  • libvirt: Fix error on undefining domain and segfault on libvirt_driver_qemu.so
  • libvirt: Fix keeping restarting
  • libvirt: fix QA packaging issue when multlib is enabled
  • libvirt: inhibit empty-dirs QA check
  • libvirt: uprev to 8.1.0
  • libvmi: Fix out of box build failure with xen disabled
  • libvmi: update to 0.14-tip
  • linux-yocto_virtualization.inc: remove :append and += combination
  • lopper: fix wheel build
  • lopper: update to 1.0.2
  • lopper: update to master-next
  • lopper: update to v1.0 and setuptools based project
  • lxc: update to 4.0.12
  • MAINTAINERS: add xtf and the raspberry pi dynamic layer for Xen
  • moby: update to v20.10.12
  • nagios: update to use SKIP_RECIPE
  • nerdctl: introduce recipe
  • nerdctl: move SRC_URI appends to include file
  • nerdctl: update to v0.18
  • netns: update to 0.5.3-tip
  • networking: introduce slirp dependency
  • oci-image-spec: update to 1.0.2
  • oci-image-tools: update to 1.0.0-rc3
  • oci-runtime-spec: update branch specification to main
  • oci-runtime-spec: update to 1.0.2-tip
  • oci-runtime-tools: update to 0.9.0
  • openvswitch: fix configure error with dpdk enabled
  • openvswitch: systemd: add option -p for mkir command
  • openvswitch: uprev from v2.15.1 to v2.15.3
  • openvswitch: uprev from v2.17.0-30-g2404d4536 to v2.17.1
  • ovs: update to v2.17.0
  • podman: add rdepend on nsenter
  • podman: check for ipv6 in DISTRO_FEATURES
  • podman-compose: switch 1.0.3 to stable branch
  • podman-compose: update to 1.0.3
  • podman: update to v4.0.1
  • python3-dtc: add SRCPV and fix missing symbol
  • python3-dtc: drop distutils3 usage
  • python3-dtc: fix missing files in sysroot
  • python3-dtc: fix packaging by using setuptools
  • python3-dtc: fix wheel build
  • python3-dtc: port to Python 3.10
  • python3-dtc: update to version v1.6.1-39-g4048aed
  • python3-sphinx: make a 4.2.0 specific recipe
  • qemuboot: Fix command line and enable other machines
  • qemuboot, xen-image-minimal: enable runqemu for qemuarm Xen images
  • qemu: convert missed override syntax
  • qemu-package-split.inc: Correct a typo
  • Revert "kernel: drop 5.14 .inc"
  • Revert "qemuboot, xen-image-minimal: enable runqemu for qemuarm Xen images"
  • Revert "Revert "kernel: drop 5.14 .inc""
  • runc-docker: update to 1.0.3
  • runc-docker: update to 1.1.0-tip
  • runc-docker: update to v1.1.0
  • runc-opencontainers: update to 1.1.0-tip
  • runc: update to v1.1.0
  • seabios: Upgrade to 1.16 release
  • singularity: fix build with automake-1.16.5
  • skopeo: refresh storage.conf
  • skopeo: update to 1.6.1
  • slip4netns: update to 1.2.0
  • slirp: update to 4.6.1-latest
  • umoci: switch branch to main
  • umoci: update to 0.4.7-tip
  • uxen-guest-tools: fix build against kernels 5.15+
  • uxen-guest-tools: fix build against kernels 5.4+
  • uxen-guest-tools: fix -DMODULE not working when building uxenhc module
  • vgabios: upgrade to 0.8a and cleanup recipe
  • virtualization/config: allow conditional use of yocto-cfg-fragments
  • virt-what: add new recipe
  • xen/4.16: fix gcc 12 build
  • xen: add missing pkgconfig inherit
  • xen: Add missing space in append to IMAGE_INSTALL
  • xen: Add recipes for stable Xen 4.16 release and update master
  • xen: Bump SRCREV of 4.15 recipes to 4.15.2
  • xen: Clear TUNE_CCARGS for Xen build for aarch64 machines
  • xen: Disable PCI on qemuarm with Xen
  • xen: drop patch to workaround prelink on aarch64
  • xen: enable qemuboot for arm32
  • xen: Fix class inherit in xen-image
  • xen-image-minimal: Install xen-acpi-processor package only for x86 machines
  • xen images, qemuboot: configure xenbr0 bridge for runqemu, testimage
  • xen: only package xencommon systemd components if systemd is enabled
  • xen: Override CC and CPP in make command line
  • xen, raspberry pi: replace linux-yocto-dev with linux-yocto 5.15
  • xen: Remove 4.14 recipes and related patches
  • xen-tools: correct xencommons initscript for systemd
  • xen-tools: don't declare xencommons as an initscript for systemd
  • xen-tools: Fix build with GCC 12
  • xen-tools: Load xen related kernel modules during system boot
  • xen-tools: remove unused systemd/sysvinit files
  • xen-tools: upgrade RSUGGESTS to RRECOMMENDS for ifupdown
  • xen: update to setuptools based lopper
  • xen: use vgabios 0.8a
  • xen, xen-tools: add recommendation for Qemu for non-hvm x86
  • xen,xen-tools: update xen to new releases
  • xvisor: Remove bb.error when builing for non-supported arch
  • xvisor: set PV
  • xvisor: uprev to latest master and fix python reference
  • yocto-cfg-fragments: introduce native provider of configuration fragments
  • yq: add SRCREV_FORMAT
  • yq: convert github SRC_URI to use https protocol

OpenEmbedded-Core

  • abi_version: Bump HASHEQUIV_HASH_VERSION
  • abi_version/sstate: Bump for hash equivalence fix
  • abi_version/sstate: Bump hashequiv and sstate versions due to git changes
  • acpica: upgrade 20210730 -> 20210930
  • acpica: upgrade 20210930 -> 20211217
  • acpid: upgrade 2.0.32 -> 2.0.33
  • Add buildtools-docs-tarball recipe
  • adwaita-icon-theme: submit patch upstream
  • adwaita-icon-theme: update 3.34/38 -> 41.0
  • adwaita-icon-theme: upgrade 41.0 -> 42.0
  • allarch: Fix interaction with qemu class
  • alsa-plugins: fix libavtp vs. avtp packageconfig
  • alsa-tools: Ensure we install correctly
  • alsa-ucm-conf: upgrade 1.2.6.2 -> 1.2.6.3
  • alsa: upgrade 1.2.5 -> 1.2.6
  • apmd: remove obsolete support for renamed libtool
  • apr: remove obsolete support for renamed libtool
  • apt: add apt selftest to test signed package feeds
  • apt: Do not install /var/log/apt for target
  • apt: drop unneeded chunk from a musl patch, submit the rest upstream
  • apt: upgrade 2.2.4 -> 2.4.5
  • arch-armv8-2a.inc: fix a typo in TUNEVALID variable
  • arch-armv8-5a.inc: Add tune include for armv8.5a
  • archiver: Configurable tarball compression
  • archiver: Default to xz compresison instead of gz
  • archiver: don't use machine variables in shared recipes
  • archiver: Fix typo
  • archiver: use bb.note instead of echo
  • armv9a/tune: Add the support for the Neoverse N2 core
  • asciidoc: set PIP_INSTALL_PACKAGE
  • asciidoc: update git repository
  • asciidoc: upgrade 9.1.0 -> 10.1.4
  • atk: upgrade 2.36.0 -> 2.38.0
  • at-spi2-core: upgrade 2.40.3 -> 2.42.0
  • at: take tarballs from debian
  • at: update 3.2.2 -> 3.2.4
  • at: upgrade 3.2.4 -> 3.2.5
  • autoconf: add missing Upstream-Status to patches
  • autoconf-archive: upgrade 2021.02.19 -> 2022.02.11
  • automake: update 1.16.3 -> 1.16.5
  • avahi: update CVE id fixed by local-ping.patch
  • babeltrace: Disable warnings as errors
  • baremetal-image: fix broken symlink in do_rootfs
  • base: Avoid circular references to our own scripts
  • base.bbclass: Add sysroot deps for repo fetcher
  • base.bbclass: Correct the test for obsolete license exceptions
  • base: Clean up module import compatibility code
  • base: Clean up unneeded len() calls
  • base: Don't add duplicates to sys.path
  • base: Drop git intercept
  • base-files: Ignore the empty-dirs QA error due to files in /var/volatile
  • base/insane: Import oe.qa by default
  • base/license: Rework INCOMPATIBLE_LICENSE variable handling
  • base-passwd: Disable shell for default users
  • base/staging: use HOST_PREFIX, not TARGET_PREFIX
  • base: Use repr() for printing exceptions
  • bash: submit patch upstream
  • bash: upgrade 5.1.8 -> 5.1.16
  • bind: all even versions now get long term maintenance windows
  • bind: inherit setuptools3-base instead of distutils
  • bind: remove -r option from rndc-confgen in initscript
  • bind: update 9.16.22 -> 9.18.2
  • binutils: Add fix for CVE-2021-45078
  • binutils: Add more detail to the ppc patch
  • binutils: Avoid Race condition in as.info
  • binutils: Bump to latest 2.38 release branch
  • binutils: Bump to latest 2.38 release branch
  • binutils-cross-canadian: enable gold for mingw
  • binutils : CVE-2019-1010204
  • binutils: CVE-2021-42574
  • binutils: don't expect libtool to be host-prefixed
  • binutils: Drop mips default target patch
  • binutils: Drop mips gold patch
  • binutils: Drop mips XLP support patch
  • binutils: Drop patch to wider sh regexp
  • binutils: Upgrade to 2.38 release
  • bison: prevent checking for textstyle.
  • bison: update 3.7.6 -> 3.8.2
  • bitbake.conf: Add BB_CURRENTTASK to BB_HASHEXCLUDE
  • bitbake.conf: Add entries for renamed variables
  • bitbake.conf: Add entries to warn on usage of removed variables
  • bitbake.conf: Add gpg-agent as a host tool
  • bitbake.conf: Correct BB_SIGNATURE_EXCLUDE_FLAGS
  • bitbake.conf: Drop unexports from a different era
  • bitbake.conf: Fix corruption of GNOME mirror url
  • bitbake.conf: Make TCLIBC and TCMODE lazy assigned
  • bitbake.conf: mark all directories as safe for git to read
  • bitbake.conf: Pass -D option to ranlib for determisim
  • bitbake.conf: Remove ERROR_QA from BB_HASHEXCLUDE_COMMON
  • bitbake.conf: Use wayland distro feature for native builds
  • blacklist: Replace class with SKIP_RECIPE variable
  • bluez5: Add fix for startup issues under systemd
  • bluez5: update 5.61 -> 5.64
  • bmap-tools: remove redundant PYPA_WHEEL
  • bmap-tools: remove redundant python3native inherit
  • bmap-tools: set PIP_INSTALL_PACKAGE, BASEVER
  • boost: add json lib
  • boost: allow searching for python310
  • boost: Fix build on 32bit arches with 64bit time_t defaults
  • boost: Fix build on arches with no atomics
  • boost: update 1.77.0 -> 1.78.0
  • bootchart2: Add missing python3-math dependency
  • bootchart2: Don't compile python modules
  • bootchart2: remove wait_boot logic
  • btrfs-tools: upgrade 5.13.1 -> 5.16.2
  • btrfs-tools: use setuptools3-base not distutils
  • build-appliance-image: Update to kirkstone head revision
  • build-appliance-image: Update to master head revision
  • build-appliance: Switch to kirkstone branch
  • buildhistory.bbclass: create the buildhistory directory when needed
  • buildhistory.bbclass: fix shell syntax when using dash
  • buildhistory: Drop support for older bitbakes
  • buildhistory: Fix do_package race issues
  • buildhistory: Fix package output files for SDKs
  • buildhistory: Fix srcrevs output
  • buildtools: Allow testsdk to access the network
  • buildtools-docs-tarball: Add test for building documentation using sphinx
  • buildtools-installer: Update to use 3.4
  • buildtools-tarball: include nativesdk-python3-pyyaml
  • buildtools-tarball: Only add cert envvars if certs are included
  • busybox: drop 0001-Use-CC-when-linking-instead-of-LD-and-use-CFLAGS-and.patch
  • busybox: Exclude .debug from depmod
  • busybox: fix CVE-2022-28391
  • busybox: fix CVE-2022-30065
  • busybox: refresh defconfig
  • busybox: update 1.34.0 -> 1.35.0
  • busybox: Use base_bindir instead of hardcoding /bin path
  • ca-certificates: update 20210119 -> 20211016
  • cairo: Add missing GPLv3 license checksum entry
  • cantarell-fonts: update 0.301 -> 0.303.1
  • cargo: Add missing nativesdk support
  • cases/buildepoxy.py: fix typo
  • ccache: upgrade 4.4 -> 4.5.1
  • classes: add setuptools3_legacy
  • classes/crate-fetch: Ensure crate fetcher is available
  • classes/create-spdx: Add packageSupplier field
  • classes/create-spdx: handle if IMAGE_LINK_NAME is empty
  • classes/create-spdx: Remove unnecessary package
  • classes/distutils: add warning of deprecation
  • classes/flit_core: rename to python_flit_core
  • classes/flit_core: use python_pep517_do_compile
  • classes/kernel: add variables to allow changing artifact extension
  • classes/kernel: allow disabling symlink creation
  • classes/lib/useradd: The option -P is deprecated
  • classes/meson: Add optional rust definitions
  • classes/native: Propagate dependencies to outhash
  • classes: Only allow network in existing network accessing code
  • classes/populate_sdk_base: Add setscene tasks
  • classes/python_pep517: add more comments
  • classes/python_pep517: consolidate stub do_configure
  • classes/python_pep517: implement a standard do_compile
  • classes/python_poetry_core: use python_pep517_do_compile
  • classes/qemuboot: allow IMAGE_LINK_NAME to be empty
  • classes: rootfs-postcommands: add skip option to overlayfs_qa_check
  • classes: rootfs-postcommands: avoid exception in overlayfs_qa_check
  • classes: rootfs-postcommands: include /etc/fstab in overlayfs_qa_check
  • classes/setuptools_build_meta: rename to python_setuptools_build_meta
  • classes/setuptools_build_meta: use python_pep517_do_compile
  • cmake: add missing licenses
  • cmake-native: Remove help docs from the native sysroot
  • cmake: remove bogus CMAKE_LDFLAGS_FLAGS definition from toolchain file
  • cmake: stop FetchContent from fetching content
  • cmake: support to create per-toolchain cmake file in SDK
  • cmake: update 3.21.2 -> 3.22.3
  • common-licences: remove ambiguous "BSD" license
  • conf/machine: bump qemu preferred versions to 5.15
  • conf/machine: fix QEMU x86 sound options
  • connman-conf: do nothing in qemu, do not touch eth0
  • connman-conf: ignore eth0 in qemu in a way that is not sysvinit-specific
  • connman: update 1.40 -> 1.41
  • convert-srcuri.py: use regex to check space in SRC_URI
  • convert-variable-renames: Fix output string
  • convert-variable-renames: Fix typo in description
  • copy_buildsystem: allow more layer paths
  • core-image-sato-sdk: allocate more memory when in qemu
  • core-image-testmaster: Rename to core-image-testcontroller
  • core-image-tiny-initramfs: Mark recipe as 32 bit ARM compatible
  • core-image-weston-sdk: synchronize with core-image-sato-sdk
  • coreutils: Disable statx for native build
  • coreutils: remove obsolete ignored CVE list
  • coreutils: Tweak packaging variable names for coreutils-dev
  • coreutils: update 8.32 -> 9.0
  • cracklib: patches submitted upstream
  • cracklib: update 2.9.5 -> 2.9.7
  • crate-fetch: Switch to version contained in bitbake
  • createrepo-c: inherit setuptools3-base not distutils
  • createrepo-c: upgrade 0.17.4 -> 0.19.0
  • create-spdx: add create_annotation function
  • create-spdx: Add kernel work-shared source
  • create-spdx: add support for SDKs
  • create-spdx: Avoid regex warning by quoting correctly
  • create-spdx.bbclass: Remove an unnecessary path from do_create_spdx[dirs]
  • create-spdx.bbclass: Simplify extraction of license text
  • create-spdx: cross recipes are native also
  • create-spdx: delete virtual/kernel dependency to fix FreeRTOS build
  • create_spdx: ensure is_work_shared() is unique
  • create-spdx: fix error when symlink cannot be created
  • create-spdx: Fix key errors in do_create_runtime_spdx
  • create-spdx: Get SPDX-License-Identifier from source
  • create-spdx: Protect against None from LICENSE_PATH
  • create-spdx: Set the Organization field via a variable
  • create-spdx: Use function rather than AVAILABLE_LICENSES
  • cronie: upgrade 1.5.7 -> 1.6.1
  • cryptodev-tests: do not use -Werror with openssl 3
  • cups: Add --with-dbusdir to EXTRA_OECONF for deterministic build
  • cups: exclude beta/rc versions from version check
  • cups: Fix missing installation of cups sysv init scripts
  • cups: fix typo in flags to disable avahi
  • cups: ignore CVE-2022-26691
  • cups: update 2.3.3op2 -> 2.4.2
  • curl: Backport CVE fixes
  • curl: backport openssl fix CN check error code
  • curl: configure with '--without-ssl' if ssl is disabled
  • curl: fix CVE-2021-22945 through -22947
  • curl: Rework openssl and random PACKAGECONFIGs
  • curl: submit patch upstream
  • curl: update 7.78.0 -> 7.82.0
  • cve-check: add coverage statistics on recipes with/without CVEs
  • cve-check: Add helper for symlink handling
  • cve-check: add json format
  • cve-check: add JSON format to summary output
  • cve-check: add lockfile to task
  • cve-check: add support for Ignored CVEs
  • cve-check: Allow warnings to be disabled
  • cve-check.bbclass: Added do_populate_sdk[recrdeptask].
  • cve-check: create directory of CVE_CHECK_MANIFEST before copy
  • cve-check: Fix report generation
  • cve-check: fix return type in check_cves
  • cve-check: fix symlinks where link and output path are equal
  • cve-check: get_cve_info should open the database read-only
  • cve-check: hook cleanup to the BuildCompleted event, not CookerExit
  • cve-check: move update_symlinks to a library
  • cve-check: no need to depend on the fetch task
  • cve-check: Only include installed packages for rootfs manifest
  • cve_check: skip remote patches that haven't been fetched when searching for CVE tags
  • cve-check: write empty fragment files in the text mode
  • cve-extra-exclusions: add db CVEs to exclusion list
  • cve-extra-exclusions: Add kernel CVEs
  • cve-extra-exclusions: Clean up and ignore three CVEs (2xqemu and nasm)
  • cve-update-db-native: let the user to drive the update interval
  • cve-update-db-native: make it possible to disable database updates
  • cve-update-db-native: update the CVE database once a day only
  • db: mark all patches as non-upstreamable
  • db: remove obsolete support for renamed libtool
  • dbus: merge dbus.inc into the recipe
  • dbus-test: merge into main dbus recipe
  • dbus: upgrade 1.12.20 -> 1.14.0
  • debian: Fix renaming packagedata dependencies
  • debianutils: update 4.11.2 -> 5.7
  • default-distrovars.inc: Remove the empty default for WHITELIST_GPL-3.0
  • default-distrovars.inc: Switch connectivity check to a yoctoproject.org page
  • deploy.bbclass: Remove an unnecessary path from do_deploy[dirs]
  • depmodwrapper-cross: add config directory option
  • depmodwrapper-cross: Fix missing $
  • depmodwrapper: Use nonarch_base_libdir for depmod.d
  • devpyshell: rename to pydevshell
  • devshell.bbclass: Allow devshell & pydevshell to use the network
  • devtool: deploy-target: Remove stripped binaries in pseudo context
  • devtool: explicitly set main or master branches in upgrades when available
  • devtool: Fix _copy_file() TypeError
  • devtool: sdk-update: Remove an unnecessary n from SSTATE_MIRRORS
  • devupstream: fix handling of SRC_URI
  • dhcpcd: add option to set DBDIR location
  • dhcpcd: upgrade 9.4.0 -> 9.4.1
  • diffoscope: upgrade 181 -> 208
  • diffstat: remove unneeded patch
  • diffutils: Fix build on ppc/musl
  • diffutils: Link with libbcrypt on mingw
  • disutils.bbclasses: move to meta-python
  • dnf: drop python3-distutils dependency
  • dnf: inherit setuptools3-base instead of distutils
  • dnf: upgrade 4.8.0 -> 4.11.1
  • dnf: Use renamed SKIP_RECIPE varFlag
  • docbook-xml: patch is not upstreamable
  • documentation: Document PACKAGE_SNAP_LIB_SYMLINKS
  • dpkg: Install dkpg-perl scripts to versioned perl directory
  • dpkg: replace a patch with a tweak to an already existing sed fixup
  • dpkg: update 1.20.9 -> 1.21.4
  • dropbear: break dependency on base package for -dev package
  • dtc: add PACKAGECONFIGs for tools and yaml
  • dtc: fix mingw build
  • dtc: merge .bb/.inc
  • dtc: use Meson to build
  • e2fsprogs: add alternatives handling of lsattr as well
  • e2fsprogs: fix CVE-2022-1304
  • e2fsprogs: update upstream status
  • e2fsprogs: upgrade 1.46.4 -> 1.46.5
  • ed: upgrade 1.17 -> 1.18
  • efivar: add musl libc compatibility
  • efivar: update 37 -> 38
  • elf: Discard input .note.gnu.build-id sections
  • elfutils: submit patch upstream
  • elfutils: update 0.185 -> 0.186
  • elfutils: update patch submitted upstream
  • ell: remove unneeded patch
  • ell: update to 0.49
  • enchant2: upgrade 2.3.1 -> 2.3.2
  • epiphany: Add packageconfig for libsoup2
  • epiphany: make libportal optional, and move it to meta-oe
  • epiphany: trim down DEPENDS
  • epiphany: update 40.3 -> 42.2
  • erofs-utils: update 1.3 -> 1.4
  • erofs-utils: Use SANE_USERSPACE_TYPES on ppc64
  • ethtool: update to 5.16
  • expat: Drop unneeded libtool patch, we use cmake
  • expat: Simplify ptest-runner
  • expat: Update HOMEPAGE to current url
  • expat: upgrade 2.4.1 -> 2.4.7
  • expect: do not install examples, drop related patch
  • expect: modify fixline1 script
  • externalsrc/devtool: Fix to work with fixed export funcition flags handling
  • featimage: refactor style
  • features_check/insane: Use hasOverrides datastore method
  • ffmpeg: Fix build on ppc32
  • ffmpeg: fix CVE-2021-38114
  • ffmpeg: Remove --disable-msa2 mips option
  • ffmpeg: submit patch upstream
  • ffmpeg: update 4.4 -> 5.0.1
  • files: add overlayfs-etc-preinit.sh.in
  • files: overlayfs-create-dirs: split ExecStart into two commands
  • files: overlayfs-etc: add overlay mount options to preinit
  • files: overlayfs-etc: wrap long lines of preinit file
  • file: upgrade 5.40 -> 5.41
  • findutils: add ptest
  • findutils: upgrade 4.8.0 -> 4.9.0
  • Fix rust-native build issue when debug is enabled
  • flac: upgrade 1.3.3 -> 1.3.4
  • flit_core: add variable to control where pyproject.toml is located
  • flit_core.bbclass: add helper for newer python packaging
  • flit_core: clean up configure/compile
  • flit_core: export do_configure and do_compile
  • flit_core: inherit setuptools3-base
  • flit_core: remove redundant python3-pip-native DEPENDS
  • flit_core: respect PIP_INSTALL_DIST_PATH
  • freetype: backport patch for CVE-2022-27404
  • freetype: backport patch for CVE-2022-27405
  • freetype: backport patch for CVE-2022-27406
  • freetype: remove obsolete support for renamed libtool
  • freetype: upgrade 2.11.0 -> 2.11.1
  • fribidi: upgrade 1.0.10 -> 1.0.12
  • gawk: reduce strictness of the time test
  • gawk: remove load-sensitive tests
  • gawk: replace AR patch with upstreamed patch
  • gawk: update 5.1.0 -> 5.1.1
  • gcc: Add CVE-2021-37322 to the list of CVEs to ignore
  • gcc: Add missing patch Upstream-Status
  • gcc-common.inc: Clean up the additions to MIRRORS
  • gcc-common.inc: Remove mirrors that are no longer available
  • gcc-cross-canadian: Add nativesdk-zstd dependency
  • gcc-cross-canadian: Fix cross canadian compiler for baremetal targets
  • gcc: depend on zstd-native
  • gcc: Drop broken/unneeded patch
  • gcc: Drop further unneeded precompiled header patch
  • gcc: Drop libgfortran patch
  • gcc: Drop mips default ABI patch
  • gcc: Drop no longer needed patch
  • gcc: Dropping mips workaround
  • gcc: Drop sdt (dtrace) header patch
  • gcc: Drop stdlib++ option patch
  • gcc: Drop testsuite failure fix patch
  • gcc: Fix compile of gcc plugins
  • gcc: Fix CVE-2021-35465
  • gcc: Fix CVE-2021-42574
  • gcc : Fix CVE-2021-46195
  • gcc: Fix typo in linux64.h install patch
  • gcc: Merge three related patches together
  • gcc: sanitizer: Fix tsan against glibc 2.34
  • gcc-source: Fix incorrect task dependencies from ${B}
  • gcc-target: fix glob to remove gcc-binary
  • gcc-target: move cc1plus to g++ package
  • gcc: Tweak Upstream-Status formatting
  • gcc: Update patches submitted/merged upstream
  • gcc: Update patch status submitted->backport
  • gcc: Update status of musl stddef.h patch
  • gcc: Upgrade to 11.3 release
  • gcompat: Do not use static-pie on ppc
  • gcompat: Fix build when usrmerge distro feature is enabled
  • gcompat: Update to latest
  • gdb: Add dependency on libgmp
  • gdb-common: Add --with-liblzma-prefix in xz PACKAGECONFIG.
  • gdb-cross: add dependency on gmp-native
  • gdb: Drop sh4 support patch
  • gdb: fix aarch64 remote debugging gdb/28355
  • gdbm: upgrade 1.19 -> 1.22
  • gdbm: upgrade 1.22 -> 1.23
  • gdb: Upgrade to 11.2
  • gettext: add MIT conditional as license
  • gettext: address automake 1.16.5 failures
  • ghostscript: fix CVE-2022-2085
  • ghostscript: update 9.54.0 -> 9.55.0
  • gi-docgen: set PIP_INSTALL_PACKAGE
  • gi-docgen: upgrade 2021.7 -> 2021.8
  • gi-docgen: upgrade 2021.8 -> 2022.1
  • git: build manpages from source subject to manpages PACKAGECONFIG
  • git: correct license
  • git: fix override syntax in RDEPENDS
  • git: Ignore CVE-2022-24975
  • git: make expat and curl into PACKAGECONFIG items
  • git: merge .inc into .bb
  • git: restore reproducibility on centos 7
  • git: update 2.33.1 -> 2.35.3
  • glew: update patch status
  • glib-2.0: Backport patches C++ variant of g_atomic_int_compare_and_exchange()
  • glib-2.0: Remove a leftover comment
  • glib-2.0: submit patch upstream
  • glib-2.0: update 2.68.4 -> 2.72.2
  • glibc: Backport fix for CVE-2021-43396
  • glibc: Drop make-native dependency
  • glibc: Drop patch for obsolete conflict issue
  • glibc: Drop patch to support/workaround prelinked apps on armv5
  • glibc: Drop ppc sqrt optimisations
  • glibc: Drop prelink patch
  • glibc: Extract common code to build tests to glibc-tests.inc
  • glibc: fix create thread failed in unprivileged process
  • glibc : Fix CVE-2021-3998
  • glibc : Fix CVE-2021-3999
  • glibc : Fix CVE-2022-23218
  • glibc : Fix CVE-2022-23219
  • glibc: Fix i586/c3 support
  • glibc: fix multilib headers conflict for arm
  • glibc: ptest: Add running glibc time related test suite (Y2038) with ptest
  • glibc: ptest: Fix glibc-tests package issue
  • glibc: Redo tzselect bash dependency problem
  • glibc-tests: Correct PACKAGE_DEBUG_SPLIT_STYLE
  • glibc-tests: Do not set SYSTEMD_SERVICE
  • glibc-tests: not clear BBCLASSEXTEND
  • glibc: unify wordsize.h between arm and aarch64
  • glibc: Upgrade to 2.35
  • glibc-version.inc: remove branch= from GLIBC_GIT_URI
  • glib-networking: update 2.68.2 -> 2.72.0
  • glib: upgrade 2.72.0 -> 2.72.1
  • glslang/spirv: synchronize with the rest of vulkan items
  • glslang: update 11.5.0 -> 11.8.0
  • gmp: add missing COPYINGv3
  • gmp: fix CVE-2021-43618
  • gmp: fix EXTRA_OECONF for mipsarchr6
  • gnu-config: update SRC_URI
  • gnu-config: update to latest revision
  • gnupg: Disable FORTIFY_SOURCES on mips
  • gnupg: update 2.3.1 -> 2.3.4
  • gnutls: update 3.7.2 -> 3.7.4
  • go: additional patches to help reproducibility
  • go.bbclass: Allow adding parameters to go ldflags
  • go.bbclass: disable the use of the default configuration file
  • gobject-introspection: Add -Dintrospection only when GIR_MESON_OPTION is not empty
  • gobject-introspection: fix default search path for girdir
  • gobject-introspection: replace prelink-rtld with objdump -p
  • gobject-introspection: upgrade 1.68.0 -> 1.72.0
  • go: correctly set debug-prefix-map and build directory
  • go: fix building without SECURITY_LDFLAGS
  • go-helloworld/glide: Fix urls
  • go-helloworld: remove unused GO_WORKDIR
  • go-helloworld: test at runtime
  • go-helloworld: update to latest revision
  • go: log build id computations
  • go: Remove three unnecessary paths from do_compile[dirs]
  • go: update 1.16.10 -> 1.17.10
  • gpgme: inherit setuptools-base not distuils
  • gpgme: upgrade 1.16.0 -> 1.17.1
  • gpg-sign: Add parameters to gpg signature function
  • gptfdisk: address ncurses 6.3 compatibility
  • gptfdisk: submit patch upstream
  • grep: Fix build on ppc/musl
  • groff: include references to corresponding upstream commits in a patch
  • grub2: fix CVE-2021-3981
  • grub-efi: Add option to include all available modules
  • grub-efi: Add xen_boot support when 'xen' is in DISTRO_FEATURES for aarch64
  • grub: Fix build with bintutils 2.38 on riscv
  • grub: ignore CVE-2021-46705
  • gsettings-desktop-schemas: upgrade 40.0 -> 42.0
  • gst-devtools: 1.18.4 -> 1.20.2
  • gst-examples: 1.18.4 -> 1.18.6
  • gst-plugins-bad: Add missing libxkbcommon vulkan dependency
  • gst-plugins-bad: Bump cache versions to avoid libxkbcommon sstate issues
  • gstreamer1.0: 1.18.4 -> 1.18.5
  • gstreamer1.0: disable flaky gstbin:test_watch_for_state_change test
  • gstreamer1.0-libav: 1.18.4 -> 1.20.2
  • gstreamer1.0: Minor documentation addition
  • gstreamer1.0-omx: 1.18.4 -> 1.20.2
  • gstreamer1.0-plugins-bad: 1.18.4 -> 1.20.2
  • gstreamer1.0-plugins-bad: clean up X11 dependencies
  • gstreamer1.0-plugins-bad: disable rsvg on x32
  • gstreamer1.0-plugins-bad: drop patch
  • gstreamer1.0-plugins-bad/ugly: use the GPL-2.0-or-later only when it is in use
  • gstreamer1.0-plugins-base: 1.18.4 -> 1.20.2
  • gstreamer1.0-plugins-base: add support for graphene
  • gstreamer1.0-plugins-base: libgst is already defined on PACKAGES_DYNAMIC
  • gstreamer1.0-plugins-good: 1.18.4 -> 1.20.2
  • gstreamer1.0-plugins-good: Fix libsoup dependency
  • gstreamer1.0-plugins-packaging: rename variables
  • gstreamer1.0-plugins-ugly: 1.18.4 -> 1.20.2
  • gstreamer1.0-python: 1.18.4 -> 1.20.2
  • gstreamer1.0-python: do not supply unknown g-i options
  • gstreamer1.0-python: Improve introspection option handling
  • gstreamer1.0-python: inherit setuptools3-base
  • gstreamer1.0-rtsp-server: 1.18.4 -> 1.20.2
  • gstreamer1.0: update licenses of all modules
  • gstreamer1.0: upgrade 1.18.5 -> 1.20.2
  • gstreamer1.0-vaapi: 1.18.4 -> 1.20.2
  • gtk+3: remove deprecated option
  • gtk+3: remove obsolete support for renamed libtool
  • gtk+3: upgrade 3.24.30 -> 3.24.34
  • gtk-doc: Fix potential shebang overflow on gtkdoc-mkhtml2
  • gtk-doc/meson: Fix typos
  • gtk-icon-cache: Allow using gtk4
  • gzip: upgrade 1.10 -> 1.12
  • harfbuzz: upgrade 2.9.0 -> 4.0.1
  • hdparm: upgrade 9.62 -> 9.63
  • help2man: upgrade 1.48.4 -> 1.49.1
  • icecc.bbclass: enable networking in all tasks
  • icecc.bbclass: fix syntax error
  • icecc.bbclass: replace deprecated bash command substitution
  • icecc: Improve variables/terminology
  • icu: fix make_icudata dependencies
  • icu: update 69.1 -> 70.1
  • ifupdown: upgrade 0.8.36 -> 0.8.37
  • igt-gpu-tools: address meson 0.60 compatibility
  • igt-gpu-tools: correct patch status
  • image: add overlayfs-etc image feature
  • image.bbclass: allow overriding dependency on virtual/kernel:do_deploy
  • image.bbclass: make sure do_rootfs run from a clean workspace
  • image.bbclass: Remove two unnecessary paths from do_rootfs[dirs]
  • imagefeatures: selftest: Change variable to be more descriptive
  • image: Include psplash only when screen machine feature is enabled
  • image-prelink: Remove bbclass
  • image_types: allow the creation of block devices on top of UBI volumes
  • image_types: hddimg and iso only work on x86
  • inetutils: drop CVE-2021-40491 patch
  • inetutils: update 2.1 -> 2.2
  • initramfs-framework: Add overlayroot module
  • initramfs-framework: move storage mounts to actual rootfs
  • initramfs-framework: unmount automounts before switch_root
  • initscripts: Clean up license handling/identifiers
  • init-system-helpers: upgrade 1.60 -> 1.62
  • insane: Accomodate llvm-objdump
  • insane: add Inactive-Upstream to Upstream-Status
  • insane.bbclass: Add a check for directories that are expected to be empty
  • insane.bbclass: add a check that Upstream-Status patch tag is present and correctly formed
  • insane.bbclass: host-user-contaminated: Correct per package home path
  • insane.bbclass: Make changes to QA_EMPTY_DIRS trigger package_qa to rerun
  • insane.bbclass: Make do_qa_patch() depend on if patch-fuzz is in ERROR_QA
  • insane.bbclass: make sure to close .patch files
  • insane.bbclass: Update insane.bbclass to work on FIPS enabled hosts
  • insane.bbclass: use multiprocessing for collecting 'objdump -p' output
  • insane,license,license_image: Allow treating license problems as errors
  • insane: move src-uri-bad checks to unpack stage
  • insane: remove unrecognised option check for Meson
  • insane: use HOST variables, not TARGET to determine the cross system
  • install/devshell: Introduce git intercept script due to fakeroot issues
  • ipk: Decode byte data to string in manifest handling
  • ipk: Import re in manifest module
  • iproute2: update 5.14.0 to 5.17.0
  • iptables: do not install /etc/ethertypes
  • iptables: use nft backend with libnftnl PACKAGECONFIG
  • iputils: update 20210722 to 20211215
  • iso-codes: upgrade 4.6.0 -> 4.10.0
  • itstool: add missing COPYING.GPL3
  • itstool: correct upstream version check
  • itstool: update 2.0.6 -> 2.0.7
  • iw: upgrade 5.9 -> 5.16
  • json-c: correct upstream version check
  • json-glib: upgrade 1.6.4 -> 1.6.6
  • kea: add missing Upstream-Status to a patch
  • kea: update 1.8.2 -> 2.0.2
  • kernel: add -dbg package
  • kernel: Add KERNEL_DEBUG_TIMESTAMPS variable
  • kernel.bbclass: Allow initramfs to be built from a separate multiconfig
  • kernel.bbclass: avoid config changes based on the availability of pahole
  • kernel.bbclass: Fix the do_strip() malfunction
  • kernel.bbclass: use common strip()
  • kernel.bbclass: Use KERNEL_IMAGEDEST instead of hardcoded boot path
  • kernel: Delete unused KERNEL_LOCALVERSION variable
  • kernel-devsrc: Add vdso.lds and other build files for riscv64 as well
  • kernel-devsrc: Check for gen_vdso_offsets.sh before copying on riscv
  • kernel-devsrc: do not copy Module.symvers file during install
  • kernel: export native PKGCONFIG variables
  • kernel-fitimage: Add missing dependency for UBOOT_ENV
  • kernel-fitimage: allow overriding FIT configuration prefix
  • kernel-fitimage.bbclass: change 'echo' to 'bbnote'
  • kernel-fitimage.bbclass: introduce FIT_SUPPORTED_INITRAMFS_FSTYPES
  • kernel-fitimage.bbclass: introduce get_fit_replacement_type function
  • kernel-fitimage: use correct kernel image
  • kernel: improve transformation from KERNEL_IMAGETYPE_FOR_MAKE
  • kernel: introduce python3-dtschema-wrapper
  • kernel: make kernel-base recommend kernel-image, not depend
  • kernel: provide virtual/kernel for all kernels
  • kernel: Rework kernel make flag to variable mappings
  • kernel-uboot.bbclass: Use vmlinux.initramfs when INITRAMFS_IMAGE_BUNDLE set
  • kernel-yocto.bbclass: Fixup do_kernel_configcheck usage of KMETA
  • kernel-yocto.bbclass: Reset to exiting on non-zero return code at end of task
  • kernel-yocto: conditionally enable stack protection checking on x86-64
  • kern-tools: bug fixes and kgit-gconfig
  • kern-tools-native: add missing license
  • kern-tools-native: check tags, not commits for new versions
  • kexec-tools: drop unneeded patch
  • kexec-tools: update 2.0.22 -> 2.0.23
  • keymaps: Clean up license handling
  • kmod: Add an exclude directive to depmod
  • kmod: Enable xz support by default
  • kmod: expand compression PACKAGECONFIGs
  • kmod: merge target/native recipes
  • kmod: remove obsolete ac_pwd manipulation
  • kmod: Update exclude patch to Accepted
  • kmscube: add build dependency on virtual/libgles3
  • kmscube: depend on virtual/libgbm
  • kmscube: fix build on OpenGL ES 3 dependencies not providing GLES3/gl3ext.h
  • kmscube: Fix build when x11 is absent in distro features
  • layer.conf: Add libarchive-native e2fsprogs-native exclusion from sysroot
  • layer.conf: Allow sysroot dependencies on perlcross-native to be skipped
  • layer.conf: Filter docs dependencies for efficiency
  • layer.conf: Update to use kirkstone
  • less: upgrade 590 -> 600
  • libacpi: Build libacpi also for 'aarch64' machines
  • libarchive: correct upstream version check
  • libarchive: upgrade 3.5.1 -> 3.6.1
  • libatomic-ops: upgrade 7.6.10 -> 7.6.12
  • libbsd: upgrade 0.11.3 -> 0.11.5
  • libcap: add pam_cap license
  • libcap: fix nativesdk-libcap relocate failure
  • libcap: update 2.51 -> 2.63
  • libc-glibc: Use libxcrypt to provide virtual/crypt
  • libcgroup: upgrade 2.0 -> 2.0.2
  • libcomps: inherit setuptools3-base not distutils
  • libcomps: remove unneeded patch
  • libcomps: upgrade 0.1.17 -> 0.1.18
  • libconvert-asn1-perl: upgrade 0.31 -> 0.33
  • libdazzle: upgrade 3.40.0 -> 3.44.0
  • libdnf: Add a dependency on util-linux
  • libdnf: fix the rpm sqlite-only target setup
  • libdnf: inherit setuptools3-base not distutils
  • libdnf: submit patches upstream
  • libdnf: update 0.63.1 -> 0.66.0
  • libdrm: upgrade 2.4.107 -> 2.4.110
  • libedit: upgrade 20210714-3.1 -> 20210910-3.1
  • liberation-fonts: update 2.1.4 -> 2.1.5
  • liberror-perl: Update sstate/equiv versions to clean cache
  • libevdev: upgrade 1.11.0 -> 1.12.1
  • libevent,btrfs-tools: fix Upstream-Status tag
  • libexif: update 0.6.22 -> 0.6.24
  • libffi: fix native build being not portable
  • libfm: submit patches upstream
  • libgcrypt: submit patch upstream
  • libgfortran: Set GFORTRAN
  • libgit2: update 1.1.1 -> 1.4.1
  • libgpg-error: mark patch as non-upstreamable
  • libgpg-error: submit patch upstream
  • libgpg-error: update 1.42 -> 1.44
  • libhandy: Backport a makefile header race
  • libhandy: update 1.2.3 -> 1.5.0
  • libhandy: Use upstream regex to check version of upgrade.
  • libical: build gobject and vala introspection
  • libical: Do not set CC explicitly for gir compiler
  • libical: Pass TOOLCHAIN_OPTIONS via CFLAGS
  • libical: upgrade 3.0.10 -> 3.0.14
  • libid3tag: move to meta-oe
  • libidn2: add Unicode-DFS-2016 license
  • libinput: update to 1.19.4
  • libjitterentropy: update 3.1.0 -> 3.4.0
  • libjpeg-turbo: upgrade 2.1.1 -> 2.1.3
  • libmd: upgrade 1.0.3 -> 1.0.4
  • libmicrohttpd: upgrade 0.9.73 -> 0.9.75
  • libmodulemd: upgrade 2.13.0 -> 2.14.0
  • libnewt: Use python3targetconfig to fix reproducibility issue
  • libnl: add missing Upstream-Status tag
  • lib/oe/qa,insane: Move extra error handling functions to library
  • lib/oe/reproducible: correctly set .git location when recursively looking for git repos
  • libpam: Backport ptest fix checking whether files exist
  • libpam: Fix build with DISTRO_FEATURES usrmerge
  • libpam: update 1.5.1 -> 1.5.2
  • libpam: use /run instead of /var/run in systemd tmpfiles
  • libpcap: Disable DPDK explicitly
  • libpcre2: upgrade 10.37 -> 10.40
  • libpcre/libpcre2: correct SRC_URI
  • libpipeline: upgrade 1.5.3 -> 1.5.5
  • libportal: update 0.4 -> 0.5
  • libptytty: add recipe
  • librepo: inherit setuptools3-base not distutils
  • librepo: upgrade 1.14.1 -> 1.14.3
  • librstd-rs: submit patches upstream
  • librsvg: add backports to fix big endian targets (e.g. mips)
  • librsvg: Bump to 2.52.0 -> 2.52.2
  • librsvg: Disable 64bit atomics in crossbeam for rv32
  • librsvg: Disable 64bit atomics on riscv32/mipsel in crossbeam
  • librsvg: do not enable nativesdk
  • librsvg: Fix vendored libc to work on riscv and musl
  • librsvg: inherit vala
  • librsvg: reenable nativesdk
  • librsvg: restore reproducibility
  • librsvg: set the needed atomic configuration flags directly per-target
  • librsvg: submit system-deps patch upstream
  • librsvg: update 2.40.21 -> 2.52.7 (transition to rust!)
  • librsvg: use only the target architecture to determine availability of atomic primitives
  • libsamplerate0: update 0.1.9 -> 0.2.2
  • libsdl2: Add libunwind-native to the libsdl2-native DEPENDS
  • libsdl2: Depend on virtual/egl
  • libsdl2: Disable libunwind dependency in native builds
  • libsdl2: fix build if egl.pc sets macros in cflags
  • libsdl2: Fix build when libunwind is not used
  • libsdl2: fix license
  • libsdl2: Fix X11 configure options
  • libsdl2: Move to CMake build
  • libsdl2: update 2.0.16 -> 2.0.20
  • libseccomp: Add missing files for ptests
  • libseccomp: Correct LIC_FILES_CHKSUM
  • libseccomp: update 2.5.2 -> 2.5.3
  • libseccomp: Upgrade to 2.5.2 and beyond
  • libsecret: upgrade 0.20.4 -> 0.20.5
  • libsndfile1: bump to version 1.0.31
  • libsndfile1: correct upstream version check
  • libsndfile: Fix missing external library support
  • libsolv: disable rpm bdb format support
  • libsolv: Enable correct qsort_r on musl
  • libsolv: upgrade 0.7.19 -> 0.7.22
  • libsoup-2.4: upgrade 2.72.0 -> 2.74.2
  • libsoup: add a 3.x recipe
  • libsoup: upgrade 3.0.1 -> 3.0.6
  • libssh2: skip one of the ptests until openssh 8.8 compatibility is fixed
  • libssh2: update 1.9.0 -> 1.10.0
  • lib/sstatesig: Fix find_siginfo to match sstate filename generation
  • libstd-rs: Apply patches to right version of libc
  • libstd-rs: Extend to nativesdk
  • libstd-rs: Fix build on riscv64/musl
  • libtasn1: upgrade 4.17.0 -> 4.18.0
  • libtool: change the default AR_FLAGS from "cru" to "cr"
  • libtool: don't prefix the installed binary
  • libtool: Recognise additional linker commandline options passed by clang
  • libtool: Update patchset to match those submitted upstream
  • libtool: Upgrade 2.4.6 -> 2.4.7
  • libucontext: Upgrade to 1.2 release
  • libunistring: address automake 1.16.5 failures
  • libunistring: update 0.9.10 -> 1.0
  • libunwind: Enable for rv64
  • libunwind: upgrade 1.5.0 -> 1.6.2
  • liburcu: upgrade 0.13.0 -> 0.13.1
  • libusb1: correct SRC_URI
  • libusb1: upgrade 1.0.24 -> 1.0.26
  • libuv: fix upstream version check
  • libuv: update 1.42.0 -> 1.44.1
  • libva: make buildable for native and nativesdk
  • libva: move PACKAGECONFIG options to libva.inc
  • libva: update 2.12.0 -> 2.14.0
  • libva-utils: upgrade 2.13.0 -> 2.14.0
  • libwebp: 1.2.1 -> 1.2.2
  • libwpe: upgrade 1.10.1 -> 1.12.0
  • libx11-compose-data: Update LICENSE to better reflect reality
  • libx11: Update LICENSE to better reflect reality
  • libx11: update patch status
  • libx11: update to 1.7.3.1
  • libxcrypt, libxcrypt-compat: upgrade 4.4.26 -> 4.4.27
  • libxcrypt: upgrade 4.4.25 -> 4.4.28
  • libxcvt: add recipe
  • libxi: update to 1.8
  • libxkbcommon: allow building of API documentation
  • libxkbcommon: remove obsolete util-macros dependency
  • libxkbcommon: split libraries into separate packages
  • libxkbcommon: update to 1.4.1
  • libxml2: add missing Upstream-Status tag
  • libxml2: Backport python3-lxml workaround patch
  • libxml2: fix CVE-2022-23308 regression
  • libxml2: mark patch as non-upstreamable
  • libxml2: move to gitlab.gnome.org
  • libxml2: submit patch upstream
  • libxml2: update patch status
  • libxml2: update to 2.9.14
  • libxml2: Use python3targetconfig to fix reproducibility issue
  • libxml-parser-perl: Add missing RDEPENDS
  • libxshmfence: Correct LICENSE to HPND
  • libxslt: Mark CVE-2022-29824 as not applying
  • libxslt: update to v1.1.35
  • license.bbclass: Bound beginline and endline in copy_license_files()
  • license.bbclass: implement ast.NodeVisitor.visit_Constant
  • license.bbclass: Remove the available_licenses() function
  • license: Drop AVAILABLE_LICENSES
  • license: expand_wildcard_licenses: add AGPL-3.0 wildcard
  • license_image.bbclass: close package.manifest file
  • license_image.bbclass: Make QA errors fail the build
  • license/insane: Show warning for obsolete license usage
  • license.py: Correct a comment
  • license.py: rename variables
  • license: Rework INCOMPATIBLE_LICENSE wildcard handling
  • licenses: Fix logic error introduced in rename
  • lighttpd: backport a fix for CVE-2022-22707
  • lighttpd: remove unneeded (since meson switch) patch
  • lighttpd: update 1.4.59 -> 1.4.64
  • linunistring: Add missing gperf-native dependency
  • linux-firmware: Add CLM blob to linux-firmware-bcm4373 package
  • linux-firmware: add support for building snapshots
  • linux-firmware: correct license for ar3k firmware
  • linux-firmware: package new Qualcomm firmware
  • linux-firmware: replace mkdir by install
  • linux-firmware: split ath3k firmware
  • linux-firmware: upgrade 20210818 -> 20220610
  • linux-libc-headers: update to v5.15
  • linux-libc-headers: update to v5.16
  • linux-yocto/5.10: amdgpu: updates for CVE-2021-42327
  • linux-yocto/5.10: base: enable kernel crypto userspace API
  • linux-yocto/5.10/cfg: add kcov feature fragment
  • linux-yocto/5.10: cfg/debug: add configs for kcsan
  • linux-yocto/5.10: features/security: Move x86_64 configs to separate file
  • linux-yocto/5.10: features/zram: remove CONFIG_ZRAM_DEF_COMP
  • linux-yocto/5.10: fix dssall build error with binutils 2.3.8
  • linux-yocto/5.10: Fix ramoops/ftrace
  • linux-yocto/5.10: ppc/riscv: fix build with binutils 2.3.8
  • linux-yocto/5.10: split vtpm for more granular inclusion
  • linux-yocto/5.10: update to v5.10.119
  • linux-yocto/5.15: arm defconfig fixes
  • linux-yocto/5.15: arm: poky-tiny cleanup and fixes
  • linux-yocto/5.15: aufs: fixes and optimization
  • linux-yocto/5.15: base: enable kernel crypto userspace API
  • linux-yocto/5.15: bpf: explicitly disable unpriv eBPF by default
  • linux-yocto/5.15/cfg: add kcov feature fragment
  • linux-yocto/5.15: cfg/debug: add configs for kcsan
  • linux-yocto/5.15: cfg/xen: Move x86 configs to separate file
  • linux-yocto/5.15: Enable MDIO bus config
  • linux-yocto/5.15: features/security: Move x86_64 configs to separate file
  • linux-yocto/5.15: fix arm 32bit -rt warnings
  • linux-yocto/5.15: fix arm defconfig warnings
  • linux-yocto/5.15: Fix CVE-2022-28796
  • linux-yocto/5.15: fix dssall build error with binutils 2.3.8
  • linux-yocto/5.15: fix ppc boot
  • linux-yocto/5.15: fix qemuarm graphical boot
  • linux-yocto/5.15: fix -standard kernel build issue
  • linux-yocto/5.15: introduce recipes
  • linux-yocto/5.15: kasan: fix BUG: sleeping function called from invalid context
  • linux-yocto/5.15: netfilter: conntrack: avoid useless indirection during conntrack destruction
  • linux-yocto/5.15: ppc/riscv: fix build with binutils 2.3.8
  • linux-yocto/5.15: riscv32: drop MAXPHYSMEM_1GB
  • linux-yocto/5.15: riscv64: drop MAXPHYSMEM_128GB
  • linux-yocto/5.15: split vtpm for more granular inclusion
  • linux-yocto/5.15: update to v5.15.44
  • linux-yocto: add libmpc-native to DEPENDS
  • linux-yocto: add libmpc-native to DEPENDS
  • linux-yocto-dev: add qemuriscv32
  • linux-yocto-dev: bump to v5.16+
  • linux-yocto-dev: introduce dt-validation PACKAGECONFIG
  • linux-yocto-dev: Set KBRANCH with =
  • linux-yocto-dev: update to v5.17+
  • linux-yocto-dev: update to v5.18+
  • linux-yocto-dev: use versioned branch as default
  • linux-yocto: drop 5.14 recipes
  • linux-yocto: enable powerpc debug fragment
  • linux-yocto: Enable powerpc-debug fragment for ppc64 LE
  • linux-yocto: export pkgconfig variables to devshell
  • linux-yocto: Ignore textrels for ppc64 kernel
  • linux-yocto: nohz_full boot arg fix
  • linux-yocto: remove redundant devupstream assignments
  • linux-yocto: Remove unnecessary, commented out qemuarm entry
  • linux-yocto-rt/5.10: update to -rt61
  • linux-yocto-rt/5.15: aufs: compile fix
  • linux-yocto-rt/5.15: update to -rt34
  • llvm: update 12.0.1 -> 13.0.1
  • local.conf/oeqa: Update BB_DISKMON_DIRS use
  • local.conf.sample.extended: Use new variable LICENSE_FLAGS_ACCEPTED
  • local.conf.sample: fix reference to extended configuration sample
  • local.conf.sample: https and no newline for SSTATE_MIRRORS
  • logrotate: add a link to upstream review for one of the patch
  • logrotate: update 3.18.1 -> 3.19.0, drop rotate-across-filesystems patches
  • logrotate: upgrade 3.19.0 -> 3.20.1
  • lrzsz: patch is not upstreamable
  • lsof: update 4.91 -> 4.94.0
  • ltp: Disable proc01 test
  • ltp: update 20210927 -> 20220121
  • ltp: Update to 20210927
  • lttng-modules: fix build against 5.18-rc7+
  • lttng-modules: fix build against v5.17+
  • lttng-modules: Fix build failure for 5.10.119+ and 5.15.44+ kernel
  • lttng-modules: fix shell syntax
  • lttng-modules: remove redundant devupstream assignments
  • lttng-modules: support kernel 5.18+
  • lttng-modules: update devupstream to latest 2.13
  • lttng-modules: update to 2.13.1
  • lttng-modules: upgrade 2.13.1 -> 2.13.3
  • lttng: submit patches upstream
  • lttng-tools: Backport ptest fix
  • lttng-tools: Disable problem tests
  • lttng-tools: replace ad hoc ptest fixup with upstream fixes
  • lttng-tools: upgrade 2.13.0 -> 2.13.4
  • lttng-ust: upgrade 2.13.0 -> 2.13.3
  • lua: add a recipe from meta-oe
  • lua: Backport fix for CVE-2021-43396
  • lua: fix CVE-2022-28805
  • lua: update 5.3.6 -> 5.4.4
  • lzip: upgrade 1.22 -> 1.23
  • lzo: Add further info to a patch and mark as Inactive-Upstream
  • m4: Fix build on musl/ppc
  • machine-sdk: clear ABIEXTENSION for class-crosssdk
  • maintainers.inc: Add myself as maintainer for curl
  • maintainers.inc: Add new python recipes
  • maintainers.inc: add python3-crypto and friends
  • maintainers.inc: fix up rust-cross entry
  • maintainers.inc: update email address
  • maintainers: update for kernel dtschema checking dependencies
  • makedevs: Don't use COPYING.patch just to add license file into ${S}
  • man-db: Fix build with clang
  • man-db: upgrade 2.9.4 -> 2.10.2
  • manpages: Fix override/append ordering and hence task signatures
  • man-pages: update to 5.13
  • mc: fix build if ncurses have been configured without wide characters
  • mdadm: Drop clang specific cflags
  • mdadm: fix testcase 00multipath failure
  • mdadm: install mdcheck
  • mdadm: update 4.1 -> 4.2
  • mesa: Add PACKAGECONFIG option for broadcom v3d Vulkan driver
  • mesa: align target- and native build
  • mesa: Allow building Mesa's OpenCL through PACKAGECONFIG
  • mesa: backport a patch to support compositors without zwp_linux_dmabuf_v1 again
  • mesa: Define broadcom packageconfig knob
  • mesa-demos: drop glx option and patch
  • mesa-demos: mark glew/glu patch as non-upstreamable
  • mesa: Enable svga for x86 only
  • mesa: Fix broadcom vulkan driver build on 32bit arches with 64bit time_t
  • mesa: Fix build on ARM systems without Neon
  • mesa.inc: package 00-radv-defaults.conf
  • mesa: make ligles3-dev RDEPENDS on libgles2-dev
  • mesa: make sure GLES3 headers are installed
  • mesa: PROVIDES virtual/libgles3
  • mesa: upgrade 21.2.1 -> 22.0.3
  • meson.bbclass: add cython binary to cross/native toolchain config
  • meson.bblcass: Remove empty egg-info directories before running meson
  • meson: configure and use generic exe_wrapper
  • meson: fold nativesdk into the main recipe
  • meson: Handle qemu riscv issues
  • meson: improve SDK's wrapper to make Wraps work
  • meson: inherit setuptools_build_meta
  • meson: install native file in sdk
  • meson: move lang args to the right section
  • meson: Robustify compiler detection logic
  • meson: set objcopy in the cross and native toolchain files
  • meson: submit patch upstream
  • meson: update 0.58.1 -> 0.61.3
  • meta: Add explict branch to git SRC_URIs
  • meta: Further LICENSE_FLAGS variable updates
  • meta/meta-selftest/meta-skeleton: Update LICENSE variable to use SPDX license identifiers
  • meta, meta-selftest: Replace more non-SPDX license identifiers
  • meta: Remove libsegfault and catchsegv
  • meta: remove obsolete PIP_INSTALL_PACKAGE
  • meta: Rename LICENSE_FLAGS variable
  • meta: rename pip_install_wheel.bbclass to python_pep517.bbclass
  • meta: rust: Bug fix for target definitions returning 'NoneType'
  • meta/scripts: Automated conversion of OE renamed variables
  • meta/scripts: Change BB_ENV_EXTRA_WHITE -> BB_ENV_PASSTHROUGH_ADDITIONS
  • meta/scripts: Handle bitbake variable renaming
  • meta/scripts: Improve internal variable naming
  • meta/scripts: Manual git url branch additions
  • meta: scripts - relocation script adapted to support big-endian machines
  • meta-skeleton: fix warnings for append operators combined with +=
  • meta: use ln -rs instead of lnr
  • minicom: Mark patches as backports
  • minicom: Upgrade 2.7.1 -> 2.8
  • mirrors: Add kernel.org sources mirror for downloads.yoctoproject.org
  • mirrors: Add missing gitsm entries for yocto/oe mirrors
  • mirrors: Add uninative mirror on kernel.org
  • mirrors.bbclass: Clean up the additions to MIRRORS
  • mirrors.bbclass: remove dead infozip mirrors
  • mirrors: Switch glibc and binutils to use shallow mirror tarballs
  • mmc-utils: upgrade to latest revision
  • mobile-broadband-provider-info: upgrade 20210805 -> 20220315
  • mobile-broadband-provider-info: upgrade 20220315 -> 20220511
  • modutils-initscripts: Change license PD -> MIT
  • mount-copybind: add MOUNT_COPYBIND_AVOID_OVERLAYFS env var to skip OverlayFS
  • mount-copybind: add rootcontext mountoption for overlayfs
  • mount-copybind: add SELinux support
  • mount-copybind: fix shellcheck warning
  • mpg123: upgrade 1.28.2 -> 1.29.3
  • msmtp: upgrade 1.8.15 -> 1.8.20
  • mtd-utils: upgrade 2.1.3 -> 2.1.4
  • mtools: upgrade 4.0.35 -> 4.0.38
  • multilib.bbclass: set rpm file color for 32-bit multilib image
  • multilib_global.bbclass: fix setting preferred version for canadian recipes
  • multilib: Use renamed SKIP_RECIPE varFlag
  • musl: Fix build when usrmerge distro feature is enabled
  • musl: Move to 1.2.3 release tag
  • musl: Update to latest master
  • musl: Update to tip of trunk
  • mutlilib: Handle WHITELIST_GPL-3.0 being unset
  • native/cross: Add ar wrapper for determinism
  • nativesdk: Handle chown/chgrp calls in nativesdk do_install tasks
  • nativesdk-packagegroup-sdk-host.bb: Update host tools for wayland
  • ncurses.inc: Remove a no longer relevant comment
  • ncurses: poll() works, but only on Linux
  • ncurses: update 6.2 -> 6.3
  • ncurses: update to patchlevel 20220423
  • ncurses: use COPYING file
  • neard: Switch SRC_URI to git repo
  • newlib: fix license checksums
  • newlib: Upgrade 4.1.0 -> 4.2.0
  • nfs-utils: upgrade 2.5.4 -> 2.6.1
  • nghttp2: add recipe from meta-oe
  • nghttp2: fix for multilib support
  • nghttp2: upgrade 1.45.1 -> 1.46.0
  • nghttp2: upgrade 1.46.0 -> 1.47.0
  • no-static-libs.inc: Fixes
  • npm: Add support for EXTRA_OENPM arguments
  • npm: Add variable NPM_NODEDIR with default value
  • npm: Remove unnecessary configs argument from npm run command
  • npm: Use configs for npm environment and args for npm run command
  • numactl: add missing Upstream-Status to a patch
  • oe-init-build-env: add quotes around variables to prevent word splitting
  • OELAYOUT_ABI: bump, avoid tmp/ breakage by removing old cross manifests
  • oe/license: implement ast.NodeVisitor.visit_Constant
  • oe-pkgdata-util: Adapt to the new variable override syntax
  • oeqa/buildtools: Switch to our webserver instead of example.com
  • oeqa/core/decorator: remove redundant code
  • oeqa/core/decorators/data: improve has logic
  • oeqa/core/utils/misc: remove redundant file
  • oeqa: fix warnings for append operators combined with +=
  • oeqa/parselogs: Fix quoting
  • oeqa: qemu: create missing directory for _write_dump
  • oeqa: rationalise skipifqemu decorators
  • oeqa/runtime/context: remove duplicate sys.path entries when looking for modules
  • oeqa/runtime/decorator/package.py: remove use of strToSet
  • oeqa/runtime: load modules using importlib
  • oeqa/runtime/parselogs: modified drm error in common errors list
  • oeqa/runtime/ping: Improve failure message to include more detail
  • oeqa/runtime/scp: Disable scp test for dropbear
  • oeqa/runtime: search sys.path explicitly for modules
  • oeqa/runtime/stap: improve systemtap test
  • oeqa/runtime/stap: increase buffer size
  • oeqa/runtime/stap: rewrite test
  • oeqa/sdk: drop the nativesdk-python 2.x test
  • oeqa/selftest: add test for git working correctly inside pseudo
  • oeqa/selftest/bblogging: Add logging tests for bb.build.exec_func with shell/python code
  • oeqa/selftest/bblogging: Split the test cases up for ease of testing
  • oeqa/selftest/bbtests: Update after license changes
  • oeqa/selftest/bbtests: Update to match changed bitbake output
  • oeqa/selftest/bbtests: Use YP sources mirror instead of GNU
  • oeqa/selftest/buildoptions: set PACKAGE_CLASSES in test_arch_work_dir_and_export_source
  • oeqa/selftest/cve_check: add tests for Ignored and partial reports
  • oeqa/selftest/cve_check: add tests for recipe and image reports
  • oeqa/selftest/devtool: ensure Git username is set before upgrade tests
  • oeqa/selftest: extend overlayfs test
  • oeqa/selftest: generalise test_devtool_virtual_kernel_modify
  • oeqa/selftest/oescripts: refactor skipping logic
  • oeqa: selftest: overlayfs: add test for image with fstab entry
  • oeqa/selftest: overlayfs helper function
  • oeqa/selftest: refactor common functions
  • oeqa/selftest: remove unused imports
  • oeqa/selftest/sstatetests: fix typo ware -> were
  • oeqa/selftest: tag tests that use runqemu
  • oeqa/selftest: test that newlib can build
  • oeqa/selftest/tinfoil: Fix intermittent event loss issue in test
  • oeqa/selftest/tinfoil: Improve tinfoil event test debugging
  • oeqa/selftest: unit tests for overlayfs-etc
  • oeqa/selftest/wic: add more arch-specific annotations
  • oeqa/selftest/wic: clean up only_for_arch decorator
  • oeqa/selftest/wic: cleanup WicTestCase.setUpLocal
  • oeqa/selftest/wic: don't hardcode kernel image type in test_wic_rm
  • oeqa/selftest/wic: rearrange tests
  • oeqa/selftest/wic: remove redundant asserts
  • oeqa/selftest/wic: use os.path.join to join paths
  • oeqa/selftest/wic: use os.rename instead of bb.utils.rename
  • oeqa/selftest/wic: use self.td instead of get_bb_var to save on bitbake calls
  • oeqa/sstate: Fix allarch samesigs test
  • oeqa: Update cleanup code to wait for hashserv exit
  • oeqa/utils/dump: Fix typo
  • oescripts: change compare logic in OEListPackageconfigTests
  • oe-selftest-image: Ensure the image has sftp as well as dropbear
  • oe/utils: allow naming threads in ThreadedPool
  • oe/utils: by default cap cpu_count() to 64 cores
  • oe/utils: log exceptions in ThreadedWorker functions
  • ofono: update to 1.34
  • opensbi-payloads: Add dependency on kernel if fdt is set
  • opensbi-payloads.inc: Use strings for fallback
  • opensbi: Upgrade to 1.0
  • openssh: break dependency on base package for -dev package
  • openssh: Default to not using sandbox when cross compiling
  • openssh: upgrade 8.7p1 -> 8.9
  • openssl: Add perl functionality test to do_configure
  • openssl: Add reproducibility fix
  • openssl: Backport fix for ptest cert expiry
  • openssl: Drop riscv32 upstreamed patches
  • openssl: export OPENSSL_MODULES in the wrapper
  • openssl: extract legacy provider module to a separate package
  • openssl: fix builds on ARMv8 targets without Aarch64
  • openssl: fix EVP_PKEY_CTX_get_rsa_pss_saltlen() not returning a value
  • openssl: minor security upgrade 3.0.2 -> 3.0.3
  • openssl: update 1.1.1l -> 3.0.4
  • openssl: Use linux-latomic target for ARC
  • opkg: Fix poor operator combination choice
  • opkg: upgrade 0.4.5 -> 0.5.0
  • opkg: use oe.qa.add_message istead of package_qa_add_message
  • opkg-utils: upgrade 0.4.5 -> 0.5.0
  • oqea/runtime/oe_syslog: Improve test
  • os-release: Add DISTRO_CODENAME as vardeps for do_compile
  • os-release: add os-release-initrd package
  • overlayfs: add debug information
  • overlayfs: add docs about skipping QA check & service dependencies
  • overlayfs: add systemd unit path prefix to FILES:${PN} array
  • overlayfs: all overlays unit
  • overlayfs-etc: add condition to package-management feature conflict
  • overlayfs-etc: mount etc as overlayfs
  • overlayfs: meta-selftest recipe fix
  • overlayfs: move templates to files directory
  • overlayfs: update notes on /etc
  • ovmf: Fix native build with gcc-12
  • ovmf: remove patch merged upstream
  • ovmf: submit patch upstream
  • ovmf: update 202105 -> 202202
  • own-mirrors.bbclass: Clean up the additions to PREMIRRORS
  • p11-kit: update 0.24.0 -> 0.24.1
  • package: Add sanity check for allarch packagegroups
  • package: Add support for kernel stripping
  • package.bbclass: Prevent perform_packagecopy from removing /sysroot-only
  • package.bbclass: Remove an unnecessary path from do_package[dirs]
  • packagedata.py: silence a DeprecationWarning
  • package_deb/ipk/rpm: Add more minimal do_build dependencies back
  • package: Ensure we track whether PRSERV was active or not
  • packagegroup-core-buildessential: Mark as TUNE_PKGARCH specific
  • packagegroup-core-full-cmdline: Drop compatibility mappings
  • packagegroup-core-ssh-dropbear: Add openssh-sftp-server recommendation
  • packagegroup-core-tools-profile: Enable systemtap for riscv64
  • packagegroup-core-tools-testapps: clear GOTOOLS for riscv32
  • packagegroup-core-x11-base: Drop dbus dependency
  • packagegroups-core-full-cmdline: Drop libraries packagegroup and gmp
  • package_ipk/deb: Fix specific version handling
  • package: Make package_debug_vars() return a dict
  • package_manager: fix missing dependency on gnupg when signing deb package feeds
  • package_manager: ipk: Fix host manifest generation
  • package_manager: sign DEB package feeds
  • package: Only snap libraries if they would be processed by ldconfig OS-12840
  • package: Pass dv (debug_vars) around instead of individual vars
  • package: rename LICENSE_EXCLUSION
  • package_rpm: use zstd instead of xz
  • package: Split out package_debug_vars from split_and_strip_files
  • pango: upgrade 1.48.9 -> 1.50.4
  • parselogs: add a couple systemd false positives
  • patch.bbclass: when the patch fails show more info on the fatal error
  • patchelf: Fix corrupted file mode patch
  • patchelf: upgrade 0.13 -> 0.14.5
  • patches: correct whitespace/spelling for Upstream-Status tags
  • patch: Fix exception reporting with repr()
  • patch.py: Initialize git repo before patching
  • patch.py: make sure that patches/series file exists before quilt pop
  • patch.py: Prevent git repo reinitialization
  • patch: Use repr() with exceptions instead of str()
  • pciutils: avoid lspci conflict with busybox
  • pcre2: CVE-2022-1586 Out-of-bounds read
  • perf-build-test/report: Drop phantomjs and html email reports support
  • perf: Enable libunwind packageconfig on riscv64
  • perf: sort-pmuevents: allow for additional type qualifiers and storage class
  • perf: sort-pmuevents: don't drop elements
  • perf: sort-pmuevents: really keep array terminators
  • perf: Tweak for mips n64
  • perl: Add dependency on make-native to avoid race issues
  • perl: Add missing RDEPENDS
  • perl: backport gdbm 1.2x compatibility fixes
  • perlcross: do not copy ${S}/patches into sysroot
  • perl-cross: submit patches upstream
  • perl-cross: update 1.3.6 -> 1.3.7
  • perl: do not build berkeley db module by default
  • perl: Enable threading
  • perl: Fix build with gcc-12
  • perl: generate alternative link for streamzip
  • perl: Improve and update module RPDEPENDS
  • perl: Makefile.PL: Fix _PATH_LOG for deterministic
  • perl: replace a patch with a config option
  • perl: submitted patch upstream
  • perl: update 5.34.0 -> 5.34.1
  • piglit: Remove virtual/libgl
  • piglit: submit patches upstream
  • piglit: upgrade to latest revision
  • pigz: fix one failure of command "unpigz -l"
  • pigz: upgrade 2.6 -> 2.7
  • pinentry: update 1.1.1 -> 1.2.0
  • pip_install_wheel: add a generic do_install for bootstrapping
  • pip_install_wheel.bbclass: add helper class
  • pip_install_wheel: clean up
  • pip_install_wheel: don't lazy assign PIPINSTALLARGS
  • pip_install_wheel: generate the wheels in directory we control outside of S
  • pip_install_wheel: improved wheel filename guess
  • pip_install_wheel: improve wheel handling
  • pip_install_wheel: install wheel with a glob
  • pip_install_wheel: Recompile modified files
  • pip_install_wheel: Use BPN instead of PN to construct PYPI_PACKAGE default
  • pip_install_wheel: Use --ignore-installed for pip
  • pkgconfig: remove obsolete support for renamed libtool
  • pkgconfig: Update to latest
  • poetry_core.bbclass: move from meta-python
  • poetry_core: Rename to python_poetry_core
  • poetry_core: update for renamed class pip_install_wheel to python_pep517
  • poky-tiny: enable qemuarmv5/qemuarm64 and cleanups
  • popt: add ptest
  • popt: fix override syntax in RDEPENDS
  • populate_sdk_base: remove unneeded dirs such as /dev
  • powerpc32-linux: Remove libc cached variables
  • powerpc: Remove invalid GLIBC_EXTRA_OECONF
  • powertop: address ncurses 6.3 compatibility
  • ppc/siteinfo: Fix differences between musl and glibc
  • ppp: fix build against 5.15 headers
  • prelink: Drop support for it
  • pseudo: Add fcntl64 wrapper
  • pseudo: Add patch to workaround paths with crazy lengths
  • pseudo: Fix handling of absolute links
  • psplash: upgrade to latest revision
  • ptest-packagelists: Add missing python3-jsonpointer entry
  • ptest-packagelists: Add missing python3-webcolors entry
  • ptest-packagelists: add python3-bcrypt and -pytz
  • ptest-packagelists: Handle glibc vs musl for ptest
  • ptest-packagelists.inc: add python3-cryptography
  • ptest-packagelists.inc: Add python3-pyasn1 to fast ptests list
  • ptest-packagelists: Remove qemu ptests for rv32
  • pulseaudio: conditionally depend on alsa-plugins-pulseaudio-conf
  • puzzles: Drop broken icon
  • puzzles: Refresh patches based upon upstream discussion
  • puzzles: Upgrade to latest git with patches merged
  • puzzles: upgrade to latest revision
  • py3o: Rename to python_py3o
  • pyo3.bbclass: move from meta-python
  • pypi.bbclass: Set CVE_PRODUCT to PYPI_PACKAGE
  • python3: Add a dependency on ncurses
  • python3: Add missing HOMEPAGE entries
  • python3: Add missing HOMEPAGE entries
  • python3-alabaster: Add new recipe
  • python3-asn1crypto: move from meta-python
  • python3-asn1crypto: upgrade 1.4.0 -> 1.5.1
  • python3-attrs: inherit setuptools_build_meta
  • python3-attrs: upgrade 21.2.0 -> 21.4.0
  • python3-babel: Add recipe from meta-oe/meta-python
  • python3: backport a fix so the test suite passes with OpenSSL 3.0.1
  • python3-bcrypt: move from meta-python
  • python3-certifi: Add from meta-oe/meta-python
  • python3-cffi: move from meta-python
  • python3-chardet: Add from meta-oe/meta-python
  • python3-cryptography: Add missing ptest tomli dependency
  • python3-cryptography: backport fix for leaky test
  • python3-cryptography: enforce identical version for -cryptography-vectors
  • python3-cryptography: Fix ptest result handling
  • python3-cryptography: mark test_create_certificate_with_extensions as expected to fail
  • python3-cryptography: move from meta-python
  • python3-cryptography: remove obsolete PIP_INSTALL_DIST_PATH
  • python3-cryptography: Upgrade to 36.0.2
  • python3-cryptography-vectors: Fix reproducibility
  • python3-cryptography-vectors: from meta-python
  • python3-cryptography-vectors: upgrade to 36.0.2
  • python3-cython: DISTUTILS -> SETUPTOOLS
  • python3-cython: upgrade 0.29.24 -> 0.29.28
  • python3-dbus: inherit setuptools3-base not distuils
  • python3-dbusmock: set PIP_INSTALL_PACKAGE
  • python3-dbusmock: update to 0.27.3
  • python3-docutil: Extend to nativesdk
  • python3-docutils: upgrade 0.17.1 -> 0.18
  • python3-docutils: upgrade 0.18 -> 0.18.1
  • python3: Do not detect multiarch when cross compiling
  • python3: Drop opt1 and opt2 pyc files from target
  • python3: drop unneeded multiprocessing module patch
  • python3-dtschema: upgrade 2021.10 -> 2021.12
  • python3-dtschema: upgrade 2021.12 -> 2022.1
  • python3: Ensure stale empty python module directories don't break the build
  • python3: fix reproducibility issue with python3-core
  • python3-flit-core: add recipe for 3.6.0
  • python3-flit-core: improve recipe
  • python3-flit-core: inherit pip_install_wheel
  • python3-flit-core: SUMMARY DESCRIPTION HOMEPAGE
  • python3-flit-core: upgrade 3.6.0 to 3.7.1
  • python3-gitdb: upgrade 4.0.7 -> 4.0.9
  • python3-git: inherit setuptools_build_meta
  • python3-git: update to 3.1.24
  • python3-git: upgrade 3.1.24 -> 3.1.26
  • python3-git: upgrade 3.1.26 -> 3.1.27
  • python3-hypothesis: upgrade 6.15.0 -> 6.39.5
  • python3-idna: Update license to Unicode-TOU
  • python3: ignore CVE-2015-20107
  • python3: ignore CVE-2022-26488
  • python3-imagesize: Add new recipe
  • python3-imagesize: upgrade 1.2.0 -> 1.3.0
  • python3-importlib-metadata: upgrade 4.6.4 -> 4.11.3
  • python3-iniconfig: inherit setuptools_build_meta
  • python3-installer: add installer module
  • python3-iso8601: move from meta-python
  • python3-jinja2: Correct HOMEPAGE
  • python3-jinja2: upgrade 3.0.1 -> 3.1.1
  • python3-jsonpointer: Update 2.1 to 2.2
  • python3-jsonschema: upgrade 3.2.0 -> 4.4.0
  • python3-libarchive-c: set PIP_INSTALL_PACKAGE
  • python3-libarchive-c: upgrade 3.1 -> 3.2
  • python3-libarchive-c: upgrade 3.2 -> 4.0
  • python3-magic: set PIP_INSTALL_PACKAGE
  • python3-magic: upgrade 0.4.24 -> 0.4.25
  • python3-mako: inherit setuptools_build_meta
  • python3-mako: upgrade 1.1.5 -> 1.1.6
  • python3-manifest: -pprint RDEPENDS on -profile
  • python3-markdown: upgrade 3.3.4 -> 3.3.6
  • python3-markdown: use setuptools_build_meta
  • python3: mark patch as inappropriate, with better explanation
  • python3-markupsafe: upgrade 2.0.1 -> 2.1.0
  • python3-markupsafe: upgrade 2.1.0 -> 2.1.1
  • python3-more-itertools: set PIP_INSTALL_PACKAGE
  • python3-more-itertools: upgrade 8.8.0 -> 8.12.0
  • python3native.bbclass: distutils -> sysconfig
  • python3-native: Drop opt-1 and opt-2 pyc files
  • python3-native: Remove all pyc files
  • python3-ndg-httpsclient: Add from meta-oe/meta-python
  • python3-nose: drop recipe
  • python3-numpy: add python3-json to RDEPENDS
  • python3-numpy: Fix pyc determinism issue
  • python3-numpy: move recipe to python directory
  • python3-numpy: set PIP_INSTALL_PACKAGE
  • python3-numpy: update 1.21.4 -> 1.22.3
  • python3-packaging: BBCLASSEXTEND nativesdk
  • python3-packaging: DEPENDS on python3-setuptools-native
  • python3-packaging: inherit setuptools_build_meta
  • python3-packaging: remove duplicate python3-setuptools-native DEPENDS
  • python3-packaging: upgrade 21.0 -> 21.3
  • python3-pathlib2: upgrade 2.3.6 -> 2.3.7
  • python3-pbr: upgrade 5.6.0 -> 5.8.1
  • python3-pip: clean up PYPA_WHEEL usage
  • python3-pip: correct license
  • python3-pip: Don't change shebang
  • python3-pip: Improve reproducibility
  • python3-pip: inherit setuptools3 not distuils3
  • python3-pip: inherit setuptools_build_meta
  • python3-pip-native: install scripts in ${bindir}
  • python3-pip: remove obsolete and confusing comment
  • python3-pip: remove redundant DEPENDS on python3-setuptools-native
  • python3-pip: update 21.2.4 -> 22.0.3
  • python3-pluggy: inherit setuptools_build_meta
  • python3-ply: move from meta-python
  • python3-poetry-core: move from meta-python
  • python3-poetry-core: remove obsolete PIP_INSTALL_PACKAGE
  • python3-pretend: move from meta-python
  • python3-psutil: move from meta-python
  • python3-psutil/python3-bcrypt: Add missing HOMEPAGE
  • python3-pyasn1: Add from meta-oe/meta-python
  • python3-pycairo: upgrade 1.20.1 -> 1.21.0
  • python3-pycparser: move from meta-python
  • python3-pycryptodome: update 3.12.0 -> 3.14.0
  • python3-pycryptodome: update to 3.12.0
  • python3-pycryptodome: upgrade 3.10.1 -> 3.11.0
  • python3-pycryptodome: upgrade 3.14.0 -> 3.14.1
  • python3-pyelftools: Depend on debugger, pprint
  • python3-pyelftools: upgrade 0.27 -> 0.28
  • python3-pygments: upgrade 2.10.0 -> 2.11.1
  • python3-pygments: upgrade 2.11.1 -> 2.11.2
  • python3-pygobject: do not supply unknown g-i options
  • python3-pygobject: Improve introspection handling
  • python3-pygobject: setuptools instead of distuils
  • python3-pygobject: upgrade 3.40.1 -> 3.42.0
  • python3-py: inherit setuptools_build_meta
  • python3-pyopenssl: Add from meta-oe/meta-python
  • python3-pyparsing: rdepends on python3-html
  • python3-pyparsing: update to 3.0.7
  • python3-pyrsistent: upgrade 0.18.0 -> 0.18.1
  • python3-pyrsistent: use setuptools_build_meta
  • python3-pysocks: Add from meta-oe/meta-python
  • python3-pytest: inherit setuptools_build_meta
  • python3-pytest-runner: Add from meta-oe/meta-python
  • python3-pytest-runner: upgrade 5.3.1 -> 6.0.0
  • python3-pytest-subtests: move from meta-python
  • python3-pytest-subtests: upgrade 0.6.0 -> 0.7.0
  • python3-pytest: upgrade 6.2.4 -> 7.1.1
  • python3-pytz: move from meta-python
  • python3-pytz: upgrade 2021.3 -> 2022.1
  • python3-py: upgrade 1.10.0 -> 1.11.0
  • python3-pyyaml: upgrade 5.4.1 -> 6.0
  • python3-pyyaml: use setuptools_build_meta
  • python3: Reduce util-linux dependency to util-linux-libuuid
  • python3: Remove problematic paths from sysroot files
  • python3-requests: Add from meta-oe/meta-python
  • python3-rfc3339/3986-validator: correct upstream version check
  • python3-ruamel-yaml: upgrade 0.17.16 -> 0.17.21
  • python3-scons: merge -native recipe
  • python3-scons: remove PIP_INSTALL_DIST_PATH
  • python3-scons: remove redundant FILES:${PN}-doc
  • python3-scons: upgrade 4.2.0 -> 4.3.0
  • python3-semantic-version: fix upstream verison check
  • python3-semantic-version: move from meta-python
  • python3-setuptools3: clean up PYPA_WHEEL usage
  • python3-setuptools: distutils/sysconfig fix
  • python3-setuptools: do not depend on distutils
  • python3-setuptools: inherit setuptools_base_meta
  • python3-setuptools: minor cleanup
  • python3-setuptools-rust-native: from meta-python
  • python3-setuptools-rust-native: remove obsolete PIP
  • python3-setuptools-rust-native: use setuptools_build_meta
  • python3-setuptools-scm: inherit setuptools_build_meta
  • python3-setuptools-scm: upgrade 6.0.1 -> 6.4.2
  • python3-setuptools: update to 59.5.0
  • python3: silence DeprecationWarnings in python3-config
  • python3-smartypants: patch hash bang to python3
  • python3-smmap: update to 5.0.0
  • python3-snowballstemmer: Add new recipe
  • python3-sphinx: Add a new recipe
  • python3-sphinxcontrib-applehelp: add new recipe
  • python3-sphinxcontrib-devhelp: Add new recipe
  • python3-sphinxcontrib-htmlhelp: Add new recipe
  • python3-sphinxcontrib-jsmath: Add new recipe
  • python3-sphinxcontrib-qthelp: Add new recipe
  • python3-sphinxcontrib-serializinghtml: Add new recipe
  • python3-sphinx-rtd-theme: Add new recipe
  • python3-sphinx-rtd-theme: correct upstream version check
  • python3-sphinx: Work around reproducibility issue
  • python3-subunit: merge inc; set PIP_INSTALL_PACKAGE
  • python3targetconfig: Use for nativesdk too
  • python3-tomli: add recipe for 1.2.1
  • python3-tomli: inherit flit_core
  • python3-tomli: upgrade 1.2.1 -> 2.0.1
  • python3-typing-extensions: fix upstream version check
  • python3-typing-extensions: move from meta-python
  • python3: update to 3.10.4
  • python3-urllib3: Add from meta-oe/meta-python
  • python3-urllib3: upgrade 1.26.8 -> 1.26.9
  • python3: use built-in distutils for ptest, rather than setuptools' 'fork'
  • python3-wheel: clean up PYPA_WHEEL usage
  • python3-wheel: inherit flit_core
  • python3-wheel: move 0.37.1 from meta-python
  • python3-wheel-native: install ${bindir}/wheel
  • python3-zipp: inherit setuptools_build_meta
  • python3-zipp: upgrade 3.5.0 -> 3.7.0
  • python: Avoid shebang overflow on python-config.py
  • python: import idna from meta-python
  • python: import jsonpointer from meta-python
  • python: import jsonschema from meta-python
  • python: import pyrsistent from meta-python
  • python: import rfc3339-validator from meta-python
  • python: import rfc3986-validator from meta-python
  • python: import rfc3987 from meta-pyton
  • python: import ruamel-yaml from meta-python
  • python: import strict-rfc3339 from meta-python
  • python: import vcversioner from meta-python
  • python: import webcolors from meta-python
  • python: introduce python3-dtschema
  • python_pep517: move PEP517_SOURCE_PATH to python_pep517
  • python_pep517: use installer instead of pip
  • python: Update now reproducibile builds are the default
  • qemu: Add fix for CVE-2022-1050
  • qemu: Add knob for enabling PMDK pmem support
  • qemu: Add packageconfig for libbpf support
  • qemu: add patch to set minimum kernel version for riscv32
  • qemu: Add selinux PACKAGECONFIG
  • qemu: add tpm string section to qemu acpi table
  • qemuarm64: Add tiny ktype to qemuarm64 bsp
  • qemuarm64: use virtio pci interfaces
  • qemuarmv5: use arm-versatile-926ejs KMACHINE
  • qemu: backport fixes for CVE-2022-26353 and CVE-2022-26354
  • qemu: backport patch for CVE-2021-4206
  • qemu: backport patch for CVE-2021-4207
  • qemu.bbclass: drop OLDEST_KERNEL reference
  • qemu.bbclass: Extend ppc/ppc64 extra options
  • qemuboot: Fix build error if UNINATIVE_LOADER is unset
  • qemuboot/runqemu: fully form the ip= kernel parameter
  • qemu: Build on musl targets
  • qemu: Depend on libepoxy instead of virtual/libgl
  • qemu: Disable for ppc32
  • qemu: Exclude building on riscv32
  • qemu: Fix build on aarch64/musl
  • qemu: Fix build on ppc64
  • qemu: Fix build on systems without MAP_SYNC
  • qemu: Fix build when x11 is not in distro features
  • qemu.inc: Remove empty egg-info directories before running meson
  • qemu: install qmp module without hardcoding the python version in oeqa scripts
  • qemuppc64.conf: Disable huge vmalloc
  • qemuppc64.conf: Remove commented prelink use
  • qemuppc64: Use smp = 2
  • qemu: remove obsolete support for renamed libtool
  • qemu: replace a gtk wrapper with directly setting environment from runqemu
  • qemuriscv: Use virtio-tablet-pci for mouse
  • qemu: update 6.0.0 -> 6.2.0
  • quilt: Disable external sendmail for deterministic build
  • quilt: upgrade 0.66 -> 0.67
  • re2c: upgrade 2.2 -> 3.0
  • readline: upgrade 8.1 -> 8.1.2
  • README.OE-Core.md: update URLs
  • recipes: Update github.com urls to use https
  • recipetool: Add logger info for missing license entries
  • recipetool: Add support for linenumbers to licenses.csv
  • recipetool: Change default paramter fallback_licenses of function split_pkg_licenses from None to []
  • recipetool/create_buildsys_python: Add support for more known licenses
  • recipetool/create_buildsys_python.py: less distutils
  • recipetool/devtool: Fix python egg whitespace issues in PACKAGECONFIG
  • recipetool/devtool: Further SPDX identifier cleanups
  • recipetool: extend curl detection when creating recipes
  • recipetool: Fix circular reference in SRC_URI
  • recipetool: handle GitLab URLs like we do GitHub
  • recipetool: ignore empty license files
  • recipetool: Move license md5sums into CSV files
  • recipetool: npm: Do not add package.json files to LIC_FILES_CHKSUM
  • recipetool: npm: Use README as license fallback
  • recipetool: Rework crunch_license to recognize more variants
  • recipetool: Separate licenses with & operator
  • recipetool: Set master branch only as fallback
  • recipetool: Simplify common source files skip in guess_license
  • recipetool: Skip common source files in guess_license
  • recipetool: Sort output of guess_license function to be deterministic
  • recipetool: Use SPDX license identifiers
  • recipeutils: Add missing get_srcrev() call
  • repo: Add recipe for 2.17.3
  • repo: upgrade 2.17.3 -> 2.22
  • repo: Use separate task for patching repo rev
  • reproducible_build: Drop now unneeded compiler warning
  • reproducible_build: Drop obsolete sstate workaround
  • reproducible: Drop BUILD_REPRODUCIBLE_BINARIES variable
  • reproducible: Merge code into base.bbclass
  • reproducible: Move class function code into library
  • reproducible: Move variable definitions to bitbake.conf
  • resolvconf: update 1.87 -> 1.91
  • Revert "adwaita-icon-theme: upgrade 41.0 -> 42.0"
  • Revert "bitbake.conf: mark all directories as safe for git to read"
  • Revert "cmake.bbclass: Set CXXFLAGS and CFLAGS"
  • Revert "cve-check: add lockfile to task"
  • Revert "libical: Pass TOOLCHAIN_OPTIONS via CFLAGS"
  • Revert "libsdl2: Add libunwind-native to the libsdl2-native DEPENDS"
  • Revert "mesa: make sure GLES3 headers are installed"
  • Revert "meta: rust: Bug fix for target definitions returning 'NoneType'"
  • Revert "qemu.bbclass: drop OLDEST_KERNEL reference"
  • Revert "weston-init: Pass --continue-without-input when launching weston"
  • rng-tools: enable macro JENT_CONF_ENABLE_INTERNAL_TIMER
  • rng-tools: upgrade 6.14 -> 6.15
  • rootfs-postcommands: amend systemd_create_users add user to group check
  • rootfs-postcommands.bbclass: correct comments
  • rootfs-postcommands.bbclass: Make two comments use the new variable syntax
  • rootfs-postcommands: fix symlinks where link and output path are equal
  • rootfs-postcommands: update systemd_create_users
  • rootfs.py: close kernel_abi_ver_file
  • rootfs.py: find .ko.zst kernel modules
  • rootfs_rpm.bbclass: distutils -> sysconfig module
  • rpcbind: install rpcbind.conf
  • rpcsvc-proto: upgrade 1.4.2 -> 1.4.3
  • rpm: fix CVE-2021-3521
  • rpm: remove tmp folder created during install
  • rpm: update 4.16.1.3 -> 4.17.0
  • rt-tests: update 2.1 -> 2.3
  • ruby: correctly set native/target dependencies
  • ruby: disable openssl extension
  • ruby: disable rdoc due to non-reproducibility
  • ruby: do not parallel install
  • ruby: Fix build on riscv/musl
  • ruby: fix DEPENDS append
  • ruby: fix Upstream-Status
  • ruby: update 3.0.2 -> 3.1.2
  • runqemu: add DEPLOY_DIR_IMAGE replacement in QB_OPT_APPEND
  • runqemu: additional setting to force software rendering with sdl 2.0.18
  • runqemu: Allow auto detection of the correct graphics options
  • runqemu: check the qemu PID has been set before kill()ing it
  • runqemu: correct vga-virtio option to keep virgl enabled
  • runqemu: Do not auto detect graphics if publicvnc is specified
  • runqemu: preload uninative libraries when host gl drivers are in use
  • runqemu: support rootfs mounted ro
  • runqemu: unbreak non-gl displays
  • runqemu: work without SERIAL_CONSOLES being defined
  • rust: Add snapshot checksums for powerpc64le
  • rust: add support for big endian 64-bit PowerPC
  • rust/cargo: exclude UNINATIVE_LOADER from task signature
  • rust-common.bbclass: rewrite toolchain wrappers in (native) python
  • rust-common: Drop LLVM_TARGET and simplify
  • rust-common: Ensure sstate signatures have correct dependencues for do_rust_gen_targets
  • rust-common: Fix for target definitions returning 'NoneType' for arm
  • rust-common: Fix native signature dependency issues
  • rust-common: Fix sstate signatures between arm hf and non-hf
  • rust-common: override RUST_LIBC for crosssdk
  • rust-cross: Add rust-crosssdk variant for nativesdk use
  • rust-cross: Fix directory not deleted for race glibc vs. musl
  • rust-cross: Replace TARGET_ARCH with TUNE_PKGARCH
  • rust-crosssdk: use ${RUST_LIBC} in ${PN}
  • rust: do not write ar into target json definitions
  • rust: drop PV from include file names
  • rust: fix issue building cross-canadian tools for aarch64 on x86_64
  • rustfmt: remove the recipe
  • rust: generate target definitions from (arch, abi), not just arch
  • rust-hello-world: add missing Upstream-Status to a patch
  • rust-hello-world: test at runtime
  • rust: Introduce arch_to_rust_arch()
  • rust: Introduce RUST_BUILD_ARCH
  • rust-llvm: apply the same reproducibility patch as for llvm proper
  • rust: update 1.54.0 -> 1.59.0
  • rxvt-unicode: Fix icon name
  • rxvt-unicode: upgrade 9.26 -> 9.30
  • sanity: Add warning for local hasheqiv server with remote sstate mirrors
  • sanity.bbclass: Add ftps to accepted URI protocols for mirrors sanity
  • sanity.bbclass: Update required gcc version to v7.5
  • sanity.conf: Require bitbake version 1.53.1
  • sanity: Don't warn about make 4.2.1 for mint
  • sanity: Drop TUNEABI, TUNEABI_WHITELIST, TUNEABI_OVERRIDE
  • sanity/lib: Replace usage of LooseVersion() with bb.utils.vercmp_string_op()
  • sanity: Show a warning that make 4.2.1 is buggy on non-ubuntu systems
  • sanity: skip make 4.2.1 warning for debian
  • sanity: Switch to make 4.0 as a minimum version
  • scons: support out-of-tree builds
  • screen: upgrade 4.8.0 -> 4.9.0
  • scripts: Add a conversion script to use SPDX license names
  • scripts: Add convert-variable-renames script for inclusive language variable renaming
  • scripts/autobuilder-worker-prereq-tests: jinja2 check
  • scripts/buildhistory-diff: drop use of distutils
  • scripts/checklayer/common.py: Fixed a minor grammatical error
  • scripts/contrib/oe-build-perf-report-email.py: remove obsolete check for phantomjs and optipng
  • scripts/convert-srcuri: Update SRC_URI conversion script to handle github url changes
  • scripts/documentation-audit: Use renamed LICENSE_FLAGS_ACCEPTED variable
  • scripts: fix file writing in convert-spdx-licenses
  • scripts: fix file writing in convert-variable-renames
  • scripts/git: Ensure we don't have circular references
  • scripts/lib/wic/help.py: Update Fedora Kickstart URLs
  • scripts/lnr: remove
  • scripts: Make git intercept global
  • scripts/oe-package-browser: Fix after overrides change
  • scripts/oe-package-browser: Handle no packages being built
  • scripts/patchreview: handle Inactive-Upstream status
  • scripts/runqemu: Fix memory limits for qemux86-64
  • scripts/runqemu-ifdown: Don't treat the last iptables command as special
  • scripts: Update to use exec_module() instead of load_module()
  • scripts: Various typo/grammar/punctuation fixes
  • scriptutils: Fix handling of srcuri urls
  • sdk: fix search for dynamic loader
  • seatd: add recipe
  • seatd: build systemd backend if DISTRO_FEATURE systemd is set
  • seatd: Disable overflow warning as error on ppc64/musl
  • seatd: upgrade to 0.6.4 (fixes CVE-2022-25643)
  • sed: Specify shell for "nobody" user in run-ptest
  • selftest/bbtests: Add tests for git floating tag resolution
  • selftest/devtool: Check branch in git fetch
  • selftest: devtool: Separate common functions and devtool sstate setup into two classes
  • selftest: drop distutils3 test from recipetool
  • selftest/imagefeatures/overlayfs: Always append to DISTRO_FEATURES
  • selftest/incompatible_lic: Remove references to AVAILABLE_LICENSES
  • selftest/lic_checksum: Add test for filename containing space
  • selftest/multiconfig: Test that multiconfigs in separate layers works
  • selftest: recipetool: Add test for handle_license_vars function
  • selftest: recipetool: Add test for split_pkg_licenses function
  • selftest/recipetool: Add tests for branch parameter and srcbranch option
  • selftest: recipetool: Correct the URI for socat
  • selftest/recipetool: Split tests into separate test classes
  • selftest/reproducible: drop go items from exception list
  • selftest: reproducible: Set maximum report size
  • selftest: wic: Add rawcopy plugin unpack test
  • selftest: wic: Disable graphic of qemu to support WSL
  • selftest: wic: Remove requirement of syslinux from test_rawcopy_plugin
  • serf: add a openssl 3 compatibility fix
  • serf: mark upstream as inactive
  • setuptools3-base: improve RDEPENDS assignment
  • setuptools3.bbclass: clean up
  • setuptools3.bbclass: refactor for wheels
  • setuptools3: refactor for no distutils bbclasses
  • setuptools3: respect PIP_INSTALL_DIST_PATH
  • setuptools3_rust.bbclass: move from meta-python
  • setuptools3_rust: Rename to python_setuptools3_rust
  • setuptools_build_meta: add variable to control where pyproject.toml is located
  • setuptools_build_meta.bbclass: add helper class
  • setuptools_build_meta: clean up configure/compile
  • setuptools_build_meta: remove python dependency
  • setuptools_build_meta: respect PIP_INSTALL_DIST_PATH
  • shaderc: update 2021.1 -> 2022.1
  • shadow: Disable the use of syslog() for the native tools
  • shadow-native: Simplify and fix syslog disable patch
  • shadow: upgrade 4.10 -> 4.11.1
  • shadow: upgrade 4.9 -> 4.10
  • shared-mime-info: fix meson 0.60 builds
  • site/common-musl: Enable qsort_r in glib
  • slang: Clean up the additions to PREMIRRORS
  • slang: mark patch as inappropriate for upstream submission
  • socat: upgrade 1.7.4.1 -> 1.7.4.2
  • socat: upgrade 1.7.4.2 -> 1.7.4.3
  • spdx: Add set helper for list properties
  • spdx.py: Add annotation to relationship
  • speex: fix CVE-2020-23903
  • spirv-headers: bump to b42ba6
  • spirv-headers: bump to last master
  • spirv-headers: PV should be 1.5.4
  • spirv-headers: upgrade 1.5.4 -> 1.5.5
  • spirv-tools: fix to use sdk-1.3.204 branch
  • spirv-tools: update 2021.2 -> 2021.3
  • spirv-tools: upgrade 2021.3 -> 2021.4
  • spirv-tools: upgrade 2021.4 -> 2022.1
  • sqlite3: upgrade 3.36.0 -> 3.38.5
  • squashfs-tools: correct upstream version check
  • squashfs-tools: fix CVE-2021-41072
  • squashfs-tools: follow-up fix for CVE-2021-41072
  • sstate: Account for reserved characters when shortening sstate filenames
  • sstate: add a function to get the sstate file name in sstate_checkhashes
  • sstate: additional debugging when fetch fails occur
  • sstate: Allow optimisation of do_create_spdx task dependencies
  • sstate: Allow validation of sstate singatures against list of keys
  • sstate: another fix for touching files inside pseudo
  • sstate: A third fix for for touching files inside pseudo
  • sstate.bbclass: count the files on mirrors using the pre local files
  • sstate: cleanup the sstate mirror progress check
  • sstate: do not add TARGET_ARCH to pkgarch for cross recipes.
  • sstate: don't silently handle all exceptions in sstate_checkhashes
  • sstate: explicitly name the checkhashes thread pool
  • sstate: Fixes for eSDK generation after zstd switch
  • sstate: fix touching files inside pseudo
  • sstate: fix up additional debugging when fetch fails occur
  • sstate: Improve failure to obtain archive message/handling
  • sstate: inside the threadedpool don't write to the shared localdata
  • sstate: only search on the mirrors for the missing files
  • sstate: Preserve permissions when extracting tar archive
  • sstate: Setup fetcher environment in advance
  • sstate: Show better exception information for failures
  • sstate: Switch to ZStandard compressor support
  • sstatetests: add a test for moving oe-core around in the filesystem
  • sstatetests: Add OLDEST_KERNEL to allarch tests
  • sstatetests: Correct a typo in a comment
  • staging: Add extra hash handling code
  • staging.bbclass: process direct dependencies in deterministic order
  • staging: Ensure we filter out ourselves
  • staging: Fix autoconf-native rebuild failure
  • staging: Fix rare sysroot corruption issue
  • staging: use relative path in sysroot_stage_dir()
  • strace: Don't run ptest as "nobody"
  • strace: fix build against 5.15 kernel/kernel-headers
  • strace: fix ptest failure in landlock
  • strace: remove obsolete musl-on-MIPS patch
  • strace: remove obsolete patch
  • strace: remove TOOLCHAIN assignment
  • strace: show test suite log on failure
  • strace: skip a number of load-sensitive tests
  • strace: update 5.14 -> 5.16
  • stress-ng: convert to git, website is down
  • stress-ng: submit patch upstream
  • stress-ng: upgrade 0.13.00 -> 0.13.12
  • subversion: remove obsolete support for renamed libtool
  • subversion: upgrade to 1.14.2
  • sudo: add /etc/sudoers to sudo-lib conffiles
  • sudo: submit patch upstream
  • sudo: update 1.9.7p2 -> 1.9.10
  • sudo: update multilib patch for sudo.conf
  • sysklogd: nobranch in SRC_URI is no longer necessary
  • sysklogd: upgrade 2.2.3 -> 2.3.0
  • sysstat: upgrade 12.4.3 -> 12.4.5
  • systemd: Add link-udev-shared PACKAGECONFIG
  • systemd: add missing include for musl
  • systemd: allow to create directory whose path contains symlink
  • systemd: Avoid a Python deprecation warning
  • systemd-bootchart: Revert inappropriate use of ${systemd_system_unitdir}
  • systemd-bootchart: submit musl patches upstream
  • systemd-boot: remove outdated EFI_LD comment
  • systemd-boot: restore reproducibility
  • systemd-conf: Revert inappropriate use of ${systemd_system_unitdir}
  • systemd: Correct 0001-pass-correct-parameters-to-getdents64.patch
  • systemd: Correct path returned in sd_path_lookup()
  • systemd: disable seccomp on mips32
  • systemd: Document future actions needed for set of musl patches
  • systemd: Do not install anything in /var/volatile
  • systemd: Drop 0001-test-parse-argument-Include-signal.h.patch
  • systemd: Drop 0002-don-t-use-glibc-specific-qsort_r.patch
  • systemd: Drop 0016-Hide-start_BUS_ERROR_MAP-and-stop_BUS_ERROR_MAP.patch
  • systemd: Drop redundant musl patches
  • systemd: enable KeepConfiguration= when running on network filesystem
  • systemd: Fix build regression with latest update
  • systemd: fix DeprecationWarning about regexps
  • systemd: Fix systemd-journal-gateway user/groups
  • systemd: Forward port musl patches
  • systemd: Minimize udev package size if DISTRO_FEATURES doen't contain sysvinit
  • systemd: move systemd shared library into its own package
  • systemd: Remove compare_fn_t type in musl-specific patch
  • systemd: Revert inappropriate use of ${systemd_system_unitdir}
  • systemd: systemd-systemctl: Support instance conf files during enable
  • systemd: update 0008-add-missing-FTW-macros-for-musl.patch
  • systemd: Update patch status
  • systemd: update 249.3 -> 250.5
  • systemtap: address ncurses 6.3 compatibility
  • systemtap: backport buffer size tuning patches
  • systemtap: Enable for riscv64
  • systemtap: Fix build with gcc-12
  • systemtap: fix vsprintf errors
  • systemtap: submit patch upstream
  • systemtap: upgrade 4.5 -> 4.6
  • systemtap: use setuptools-base not distutils
  • sysvinit: upgrade 2.99 -> 3.01
  • tar: filter CVEs using vendor name
  • tcf-agent: cleanup patches
  • tclibc-baremetal: Supply missing /bin/sh target in the baremetal sdk
  • tclibc-newlib: Supply missing /bin/sh target in newlib sdk
  • terminal.py: Restore error output from Terminal
  • testimage.bbclass: request the use of kvm by default
  • testimage: fix unclosed testdata file
  • testimage: inline updateTestData()
  • testimage: remove target_modules_path
  • testsdk.py: Clean up the additions to PREMIRRORS and SSTATE_MIRRORS
  • tiff: Add backports for two CVEs from upstream
  • tiff: Add jbig PACKAGECONFIG and clarify CVE-2022-1210
  • tiff: Add marker for CVE-2022-1056 being fixed
  • tiff: backport CVE fixes:
  • tiff: backport fix for CVE-2022-22844
  • tiff: mark CVE-2022-1622 and CVE-2022-1623 as invalid
  • toaster: Fix broken overrides usage
  • toolchain-scripts.bbclass: use double quotes for exported PS1
  • tune-cortexa72: Drop the redundant cortexa72-crc tune
  • tune-cortexa72: Enable the crc extension by default for cortexa72
  • tune-cortexa72: Fix a misspelt override in PACKAGE_EXTRA_ARCHS
  • tune-cortexa72: remove crypto for the default cortex-a72
  • tune-cortexa73: Introduce cortexa73-crypto tune
  • tzdata: Clean up
  • tzdata: Make it compatible with devtool modify
  • tzdata: Remove no longer relevant RCONFLICTS:${PN}
  • tzdata: Remove unnecessary RPROVIDES
  • tzdata: update 2021d -> 2021e
  • tzdata: update to 2022a
  • tzdata: upgrade 2021a -> 2021d
  • u-boot: Convert ${UBOOT_ENV}.cmd into ${UBOOT_ENV}.scr
  • u-boot: Correct the SRC_URI
  • u-boot: Fix condition for install_spl_helper
  • u-boot: Fix RISCV build with binutils 2.38
  • u-boot: Fix syntax error in ${UBOOT_ENV}.scr compilation
  • u-boot: Inherit pkgconfig
  • uboot-sign: Fix potential index error issues
  • uboot-sign: fix the concatenation when multiple U-BOOT configurations are specified
  • u-boot: Split do_configure logic into separate file
  • u-boot: upgrade 2021.07 -> 2021.10
  • u-boot: upgrade 2021.10 -> 2022.01
  • unfs3: add missing Upstream-Status tag
  • uninative: Add version to uninative tarball name
  • uninative: Upgrade to 3.5
  • uninative: Upgrade to 3.6 with gcc 12 support
  • unzip: fix CVE-2021-4217
  • unzip: Pass LDFLAGS to configure tests
  • unzip: Port debian fixes for two CVEs
  • unzip/zip: mark all patches as non-upstreamable
  • update_udev_hwdb: fix multilib issue with systemd
  • util-linux: Create u-a symlink for findfs utility
  • util-linux: update 2.37.2 -> 2.37.4
  • vala: submit patch upstream
  • vala: upgrade 0.52.5 -> 0.56.0
  • valgrind: Add util-linux-taskset ptest dependency
  • valgrind: Avoid accessing network in ptest task
  • valgrind: backport rseq work-around
  • valgrind: make run-ptest better
  • valgrind: mark ptest-specific patch as inappropriate
  • valgrind: remove duplicate and skipped tests from remove-for-aarch64
  • valgrind: remove unneeded patch
  • valgrind: skip boost_thread for aarch64 ptests
  • valgrind: submit arm patches upstream
  • valgrind: submit patch upstream
  • valgrind: update 3.17.0 -> 3.18.1
  • vim: 8.2.5083 -> 9.0.0005
  • vim: add patch number to CVE-2021-3778 patch
  • vim: do not report upstream version check as broken
  • vim: fix CVE-2021-3796, CVE-2021-3872, and CVE-2021-3875
  • vim: fix CVE-2021-3927 and CVE-2021-3928
  • vim: fix CVE-2021-3968 and CVE-2021-3973
  • vim: set PACKAGECONFIG idiomatically
  • vim: Update to 8.2.4524 for further CVE fixes
  • vim: update to include latest CVE fixes
  • vim: Upgrade 4269 -> 4134
  • vim: Upgrade 8.2.4314 -> 8.2.5083
  • vim: upgrade to 8.2 patch 3752
  • vim: upgrade to patch 4269
  • virglrenderer: Depend on virtual/egl
  • virglrenderer: fix CVE-2022-0135 and -0175
  • virglrenderer: update SRC_URI
  • virgl: skip headless test on alma 8
  • virgl: skip headless test on alma 8.6
  • virgl: skip headless test on specific older distros and fail otherwise
  • volatile-binds: add recipe variable to allow disabling OverlayFS
  • volatile-binds: Change DefaultDependencies from false to no
  • vte: upgrade 0.64.2 -> 0.66.2
  • vulkan-headers: upgrade 1.2.182 -> 1.2.191
  • vulkan-loader: inherit pkgconfig
  • vulkan-loader: upgrade 1.2.182 -> 1.2.191
  • vulkan-loader: upgrade 1.2.198.0 -> 1.2.198.1
  • vulkan-samples: Enable for architectures where it builds
  • vulkan-samples: Fix cmake errors about plain signature
  • vulkan-samples: update to latest revision
  • vulkan-samples: update to latest revision
  • vulkan-tools: upgrade 1.2.182 -> 1.2.191
  • vulkan: update 1.2.191.0 -> 1.2.198.0
  • vulkan: update 1.2.198 -> 1.3.204
  • vulkan: upgrade 1.3.204.0 -> 1.3.204.1
  • waf.bbclass: drop usage of distutils
  • waffle: add cmake-native to DEPENDS
  • waffle: add wayland-protocols when building with wayland
  • waffle: convert to git, website is down
  • waffle: The surfaceless-egl and gbm requires opengl
  • waffle: update 1.6.1 -> 1.7.0
  • waffle: Use the right dependencies as needed
  • wayland: drop unnecessary patch
  • wayland: Fix wayland-tools packaging
  • wayland-protocols: Change inherit order
  • wayland-protocols: upgrade 1.21 -> 1.25
  • wayland: provide wayland-client-native and wayland-protocols-native
  • wayland: upgrade 1.19.0 -> 1.20.0
  • webkitgtk: 2.34.4 -> 2.34.5
  • webkitgtk: add gperf-native to DEPENDS to fix build
  • webkitgtk: Add missing header locale.h
  • webkitgtk: Add packageconfig for libsoup2
  • webkitgtk: add PACKAGECONFIG for opengl-or-es
  • webkitgtk: Add reproducibility fix
  • webkitgtk: adjust patch status
  • webkitgtk: Depend on virtual/egl instead of virtual/libgl
  • webkitgtk: drop patch merged upstream
  • webkitgtk: drop unnecessary SSE disabling patch
  • webkitgtk: Fix build when x11 is not in distro features
  • webkitgtk: remove rejected patch
  • webkitgtk: remove unneeded patch
  • webkitgtk: submit patches upstream
  • webkitgtk: trim down DEPENDS
  • webkitgtk: update 2.32.3 -> 2.36.3
  • weston: Add a knob to control simple clients
  • weston-init: add use-pixman PACKAGECONFIG
  • weston-init: disable systemd watchdog option
  • weston-init: Pass --continue-without-input when launching weston
  • weston-init: replace deprecated/disabled fbdev with drm backend
  • weston-init: Use pixman on riscv64 qemu
  • weston-init: Use pixman rendering for qemuppc64
  • weston: mark patch as denied
  • weston: require wayland as a distro feature
  • weston: submit patch upstream
  • weston: upgrade 9.0.0 -> 10.0.0
  • weston: use same distro features for weston and westion-init
  • weston: wrapper for weston modules argument
  • wget: update 1.21.1 -> 1.21.3
  • wic: do not use PARTLABEL for msdos partition tables
  • wic: fix WicError message
  • wic: image for overlayfs-etc tests
  • wic: partition: Support valueless keys in sourceparams
  • wic/plugins/rootfs: Fix permissions when splitting rootfs folders across partitions
  • wic: rawcopy: Add support for packed images
  • wic: support rootdev identified by partition label
  • wic: Use custom kernel path if provided
  • wic: Use os.rename instead of bb.utils.rename
  • wic: use shutil.which
  • wireless-regdb: upgrade 2021.07.14 -> 2022.06.06
  • wpa-supplicant: Match package override to PACKAGES for pkg_postinst
  • wpa-supplicant: update 2.9 -> 2.10
  • wpebackend-fdo: Add -Wno-c++11-narrowing
  • wpebackend-fdo: upgrade 1.10.0 -> 1.12.0
  • x86-base.inc: replace intel i965 driver with crocus
  • x86: fix defconfig configuration warnings
  • xauth: upgrade 1.1 -> 1.1.1
  • xf86-input-libinput: update 1.2.0 -> 1.2.1
  • xf86-input-libinput: update to 1.2.0
  • xf86-video-intel: add dependencies; remove dri1
  • xf86-video-intel: update to latest commit
  • xkbcommon: add option for xkbregistry
  • xkbcommon: split xkbcli into a separate package
  • xkeyboard-config: update 2.34 -> 2.35.1
  • xkeyboard-config: update to 2.34
  • xorgproto: update to 2021.5
  • xserver-xorg: 21.1.2 -> 21.1.3
  • xserver-xorg: add missing libtirpc dependency
  • xserver-xorg: convert from autotools to meson
  • xserver-xorg: Fix build with gcc12
  • xserver-xorg: Remove orphaned comment
  • xserver-xorg: remove unneeded patch
  • xserver-xorg: update 1.20.13 -> 21.1.1
  • xserver-xorg: update CVE_PRODUCT
  • xserver-xorg: update to 21.1.2
  • xserver-xorg: whitelist two CVEs
  • xwayland: Add xkbcomp runtime dependency
  • xwayland: update 21.1.4 -> 22.1.1
  • xxhash: fix build with gcc 12
  • xxhash: upgrade 0.8.0 -> 0.8.1
  • xz: fix CVE-2022-1271
  • yocto-check-layer: add ability to perform tests from a global bbclass
  • yocto-check-layer: Add additional README checks
  • yocto-check-layer: add debug output for the layers that were found
  • yocto-check-layer: check for duplicate layers when finding layers
  • yocto-check-layer: disregard checks if referencing another README file
  • yocto-check-layer: Relax README case checks
  • zip: modify when match.S is built
  • zip: Pass ldflags to configure tests using linking
  • zip/unzip: mark all submittable patches as Inactive-Upstream
  • zlib: backport the fix for CVE-2018-25032
  • zlib: Pass ldflags to configure tests using linking
  • zstd: add libzstd package
  • zstd: submit patch upstream
  • zstd: update 1.5.0 -> 1.5.2

Meta ARM

  • androidclang: Skip useless-rpaths check
  • arm: add fvp-corestone1000
  • arm: add optee-ftpm recipe
  • arm-autonomy: Remove code from master as part of the deprecation plan
  • arm/boot-wrapper-aarch64: specify precise BSD license flavour
  • arm/boot-wrapper-aarch64: Upgrade to newer revision
  • arm-bsp: add zephyr for musca-s1
  • arm-bsp/boot-wrapper-aarch64: Add fvp-baser support for EL2 SMP payloads
  • arm-bsp/boot-wrapper-aarch64,u-boot: Clarify fvp-baser Upstream-Status
  • arm-bsp/boot-wrapper-aarch64: Update patches for fvp-baser-aemv8r64
  • arm-bsp/conf: fvp-baser-aemv8r64 model parameter update
  • arm-bsp/conf: Use real-time clock for fvp-baser-aemv8r64
  • arm-bsp/corstone1000: bump u-boot version to 2022.01
  • arm-bsp/corstone1000: remove the need for meta-arm-image
  • arm-bsp/corstone500: add image and container file
  • arm-bsp/corstone500: add wks container for image
  • arm-bsp/corstone500/docs: update for kas and runfvp
  • arm-bsp/corstone500: move to linux-yocto 5.15
  • arm-bsp/corstone500: move to linux-yocto 5.4
  • arm-bsp/corstone500: move to u-boot 2022.01
  • arm-bsp: create u-boot 2020.10 to resolve warning
  • arm-bsp/docs: Improve fvp-baser-aemv864 limitation
  • arm-bsp/docs,kas: Add SSH server to fvp-baser-aemv8r64 image
  • arm-bsp/docs: Minor fvp-baser-aemv8r64 fixes
  • arm-bsp/docs: Minor fvp-baser-aemv8r64 updates
  • arm-bsp/docs: Set required Kas version to 3.0 for fvp-baser-aemv8r64
  • arm-bsp/docs: Update fvp-baser-aemv8r64 docs
  • arm-bsp/edk2-firmware: drop N1SDP patches
  • arm-bsp/edk2-firmware: enable building EDK2 for Juno
  • arm-bsp/firmware-image-juno: remove default dependencies
  • arm-bsp/firmware-image-juno: update offset addresses for NOR flash images
  • arm-bsp: fix corstone u-boot
  • arm-bsp/fvp-arm32: synchonise kernel config
  • arm-bsp/fvp-base-arm32: use correct DeviceTree
  • arm-bsp/fvp-base: configure the FVP with v8.4 cores
  • arm-bsp/fvp-base: consolidate FVP configuration
  • arm-bsp/fvp-baser-aemv8r64: Fix PL011 and SP805 register sizes
  • arm-bsp/fvp-baser-aemv8r64: Update to the 5.15 kernel
  • arm-bsp/fvp-base: track latest linux-yocto
  • arm-bsp/fvp-common: set TEST_TARGET to OEFVPTarget
  • arm-bsp/fvp: enable virtio drivers
  • arm-bsp/hafnium: extend stage-1 mapping limit on TC
  • arm-bsp/hafnium: update bbappend for 2.6
  • arm-bsp/juno: also build EDK2 firmware
  • arm-bsp/juno: move to linux-yocto 5.15
  • arm-bsp/juno: use virtual/bootloader for u-boot/edk2
  • arm-bsp/kernel: Use 4 Gb of RAM in fvp-baser-aemv8r64
  • arm-bsp/linux: corstone1000: enable efi
  • arm-bsp/linux: corstone1000: Handle compatibility with different firmware versions
  • arm-bsp/linux: corstone1000: integrating ARM_FFA_TRANSPORT in v5.10 kernel
  • arm-bsp/linux: introducing corstone1000 FVP machine
  • arm-bsp/linux: setting the FFA_VERSION compatibility checks
  • arm-bsp/linux-yocto: drop redundant KMACHINE assignments
  • arm-bsp/linux-yocto: enable autofdo config only for TC1
  • arm-bsp/linux-yocto: Enable virtio-rng for fvp-baser-aemv8r64
  • arm-bsp/linux-yocto: fix patch status for the CS1K patch
  • arm-bsp/linux-yocto: remove old 5.6 recipe
  • arm-bsp/linux-yocto: remove redundant kernel hacking
  • arm-bsp/linux-yocto: remove unused 5.3 kernel
  • arm-bsp/linux-yocto: remove unused 5.7 kernel
  • arm-bsp/linux-yocto: remove upstreamed corstone1000 patch
  • arm-bsp/linux-yocto: upgrade 5.4 to 5.4.178
  • arm-bsp/linux-yocto: upgrade corstone1000 to 5.15
  • arm-bsp/machine: Add runfvp config for corstone1000
  • arm-bsp/machine: introducing corstone1000 MPS3 machine
  • arm-bsp/musca: update trusted-firmware-m platform names
  • arm-bsp/n1sdp: migrate to linux yocto kernel 5.15
  • arm-bsp/n1sdp: remove explicit preferred edk2-firmware version
  • arm-bsp/optee: add patch to support higher DRAM on TC
  • arm-bsp/optee: introducing corstone1000 FVP machine
  • arm-bsp/optee-os: add a rule in optee-os Makefile for secure partitions
  • arm-bsp/optee-os: add MHU device regions in the SP manifest
  • arm-bsp/optee-os: add openamp-virtio
  • arm-bsp/optee-os: cherry pick fixes from upstream integration branch
  • arm-bsp/optee-os: clean up TC patches
  • arm-bsp/optee-os: corstone1000: enabling smm-gateway partition
  • arm-bsp/optee-os: corstone1000: unpack sp_manifest_combined_se.dts in WORKDIR
  • arm-bsp/optee-os: increase core heap size
  • arm-bsp/optee-os-tadevkit: total-compute: Add optee-os-tadevkit
  • arm-bsp/optee-os: total-compute: Exchange patches to fix managed-exit
  • arm-bsp/optee-os: use SRCPV in the corstone1000 overrides
  • arm-bsp/optee-test: tc: Limit xtest to a single thread
  • arm-bsp/psa-arch-tests: change master to main for psa-arch-tests repo
  • arm-bsp/psa-arch-tests: corstone1000: build the test applications
  • arm-bsp/psa-arch-tests: corstone1000: configuring crypto and attestation test
  • arm-bsp/python3-imgtool: add the recipe
  • arm-bsp/python3-imgtool: remove, this is now in meta-python
  • arm-bsp: remove Corstone 700
  • arm-bsp/scp-firmware: add comment to explain where a UUID is defined
  • arm-bsp/scp-firmware: add patches related to MPMM for TC0
  • arm-bsp/scp-firmware: correctly set version in TC append
  • arm-bsp/scp-firmware: remove redundant SGI-575-specific do_install
  • arm-bsp/scp-firmware: specify version for bbappend
  • arm-bsp/scp-firmware: update for 2.9
  • arm-bsp/secure-partitions: add capsule update interface to SE proxy SP
  • arm-bsp/secure-partitions: add check for null attribute field
  • arm-bsp/secure-partitions: add common service component to ipc support
  • arm-bsp/secure-partitions: Add error cases to setVariable() and getNextVariableName()
  • arm-bsp/secure-partitions: add missing Signed-off-by tags to patches
  • arm-bsp/secure-partitions: add openamp rpc caller
  • arm-bsp/secure-partitions: Add psa client definitions for ff-m
  • arm-bsp/secure-partitions: add secure storage ipc backend
  • arm-bsp/secure-partitions: corstone1000: add mbed-crypto and nanopb to platform code
  • arm-bsp/secure-partitions: corstone1000: add openamp support in SE proxy SP
  • arm-bsp/secure-partitions: corstone1000: Add psa ipc attestation to se proxy
  • arm-bsp/secure-partitions: corstone1000: add psa ipc crypto backend
  • arm-bsp/secure-partitions: corstone1000: add smm-gateway partition
  • arm-bsp/secure-partitions: corstone1000: Change UID of variable index in SMM
  • arm-bsp/secure-partitions: corstone1000: Configure storage in SMM gateway
  • arm-bsp/secure-partitions: corstone1000: Increase SMM Gateway variable handling capacity
  • arm-bsp/secure-partitions: corstone1000: Setup its backend
  • arm-bsp/secure-partitions: corstone1000: Use address instead of pointers
  • arm-bsp/secure-partitions: corstone1000: using the default SHA
  • arm-bsp/secure-partitions: fixes required to run psa-arch-test
  • arm-bsp/secure-partitions: Implement mhu driver
  • arm-bsp/secure-partitions: rebase TS patches
  • arm-bsp/secure-partitions: Use secure storage ipc and openamp for se_proxy
  • arm-bsp/security: drop psa-arch-tests recipe
  • arm-bsp/security: move TS patches to corstone1000 directory
  • arm-bsp/security: replace mbedcrypto with mbedtls
  • arm-bsp/security: Revert set append write TS patch
  • arm-bsp/security: trusted-services to fix psa-arch-tests
  • arm-bsp: Set preferred u-boot version to 2021.10 for TC
  • arm-bsp/sgi575: use the default linux-yocto version
  • arm-bsp: space clean-up
  • arm-bsp/tc: CI-700 driver enablement in kernel.
  • arm-bsp/tc: enable tracing in Total Compute
  • arm-bsp: tc: use proper UUID in optee and linux kernel
  • arm-bsp/tf-a-tests: Add recipe to build and install TFTF
  • arm-bsp/tf-m: fix capsule instability issue for corstone1000
  • arm-bsp/tf-m: update git SHA
  • arm-bsp/trusted-firmware-a: Add FWU support for TC
  • arm-bsp/trusted firmware-a: corstone1000: implement EFI reset system
  • arm-bsp/trusted-firmware-a: corstone1000: remove unused patch files
  • arm-bsp/trusted-firmware-a: corstone1000: update Tfa SHA
  • arm-bsp/trusted-firmware-a: explicitly set the full PV for corstone1000
  • arm-bsp/trusted-firmware-a: introducing corstone1000 FVP machine
  • arm-bsp/trusted-firmware-a: move most BSPs to TF-A 2.6
  • arm-bsp/trusted-firmware-a: patch to change flash base address of FIP
  • arm-bsp/trusted-firmware-a: patch to identify which bank to load fip from
  • arm-bsp/trusted-firmware-a: remove TARGET_FPU build argument
  • arm-bsp/trusted-firmware-a: Update SHA for TC
  • arm-bsp/trusted-firmware-a: upgrade TC to 2.6
  • arm-bsp/trusted-firmware-a: use full option names in sgdisk call
  • arm-bsp/trusted-firmware-m: add OpenAMP to the CS1K build
  • arm-bsp/trusted-firmware-m: clean up corestone1000 do_install
  • arm-bsp/trusted-firmware-m: corsone1000: Fix circular dependency in SRCPV
  • arm-bsp/trusted-firmware-m: corstone1000: Aligning with TF-M master
  • arm-bsp/trusted-firmware-m: corstone1000: Aligning with TF-M master
  • arm-bsp/trusted-firmware-m: corstone1000: bump the version to 1.5
  • arm-bsp/trusted-firmware-m: corstone1000: firmware update changes
  • arm-bsp/trusted-firmware-m: corstone1000: remove unused patches
  • arm-bsp/trusted-firmware-m: corstone1000: set SRCREV_FORMAT
  • arm-bsp/trusted-firmware-m: corstone1000: signing trusted-firmware-a binaries
  • arm-bsp/trusted-firmware-m: corstone1000: update TF-M SHA
  • arm-bsp/trusted-firmware-m: introducing corstone1000 FVP machine
  • arm-bsp/trusted-firmware-m: remove INSANE_SKIP in corstone1000
  • arm-bsp/trusted-firmware-m: remove meaningless PACKAGECONFIGs
  • arm-bsp/trusted-firmware-m: update corstone1000 customisations for 1.4.1 update
  • arm-bsp/trusted-firmware-m: update CS1K bbappend for TF-M 1.5
  • arm-bsp/trusted-firmware-m: update CS1K bbappend for TF-M 1.5.0, again
  • arm-bsp/trusted-firmware-m: use SRCPV in the corstone1000 overrides
  • arm-bsp/trusted-services: corstone1000: add sysroot tasks dependency
  • arm-bsp/u-boot: add ethernet device and enable configs for SCT
  • arm-bsp/u-boot: add SDCard support for corstone1000 FVP
  • arm-bsp/u-boot: Add U-Boot for fvp-baser-aemv8r64
  • arm-bsp/u-boot: corstone1000: add the header file for invalidate_dcache_all function
  • arm-bsp/u-boot: corstone1000: adjust the environment and heap sizes
  • arm-bsp/u-boot: corstone1000: arm_ffa: removing the cast when using binary OR on FIELD_PREP macros
  • arm-bsp/u-boot: corstone1000: Disable mm_communicate failure log
  • arm-bsp/u-boot: corstone1000: Enable PSCI Reset
  • arm-bsp/u-boot: corstone1000: Enable SMM gateway
  • arm-bsp/u-boot: corstone1000: extend efi support
  • arm-bsp/u-boot: corstone1000: Fix efi debug issue
  • arm-bsp/u-boot: corstone1000: Fix GetVariable data size issue
  • arm-bsp/u-boot: corstone1000: Fix ISP1760 EFI boot issue
  • arm-bsp/u-boot: corstone1000: Fix SCT failures
  • arm-bsp/u-boot: corstone1000: Implement autoboot storage device selection
  • arm-bsp/u-boot: corstone1000: introducing Arm FF-A and MM support
  • arm-bsp/u-boot: corstone1000: introducing EFI capsule update
  • arm-bsp/u-boot: corstone1000: make capsule guid check platform agnostic
  • arm-bsp/u-boot: corstone1000: passing interface ID and event ID in register w4
  • arm-bsp/u-boot: corstone1000: Remove GetVariable() fix
  • arm-bsp/u-boot: corstone1000: remove the use of fdt_addr_r
  • arm-bsp/u-boot: corstone1000: setting the boot console output
  • arm-bsp/u-boot: Enable fdt overlays for fvp-baser-aemv8r64
  • arm-bsp/u-boot: fix EFI image load alignment
  • arm-bsp/u-boot: Fix fvp-baser-aemv8r64 fdt memory configuration issue
  • arm-bsp/uboot: fix null pointer exception for get_image_info
  • arm-bsp/u-boot: fvp-baser-aemv8r64 cache_state_modelled fixes
  • arm-bsp/u-boot: identify which bank to load kernel from
  • arm-bsp/u-boot: introducing corstone1000 FVP machine
  • arm-bsp/u-boot: introducing corstone1000 MPS3 machine
  • arm-bsp/u-boot: patch to change kernel flash address
  • arm-bsp/u-boot: populate ESRT table with image_info
  • arm-bsp/u-boot: remove old 2020.04 recipe
  • arm-bsp/u-boot: remove unused 2020.10 recipe
  • arm-bsp/uboot: send bootcomplete event to secure enclave
  • arm-bsp/u-boot: use latest u-boot for fvp-base
  • arm-bsp: use edk2-firmware instead of virtual/uefi-firmware
  • arm-bsp: use new u-boot version
  • arm/edk2-firmware: add PROVIDES virtual/bootloader
  • arm/edk2-firmware: correctly set the target prefix in Clang builds
  • arm/edk2-firmware: default to release builds
  • arm/edk2-firmware: don't PROVIDE virtual/uefi-firmware
  • arm/edk2-firmware: expand comment
  • arm/edk2-firmware: explicitly set level of parallelisation
  • arm/edk2-firmware: force debug builds when using Clang
  • arm/edk2-firmware: organise bbappend
  • arm/edk2-firmware: set a default invalid COMPATIBLE_MACHINE
  • arm/edk2-firmware: set EDK2_ARCH centrally
  • arm/edk2-firmware: set invalid platform names for better errors
  • arm/edk2-firmware: unbreak builds with latest Clang
  • arm/edk2-firmware: upgrade to 202105
  • arm/edk2-firmware: upgrade to 202111
  • arm/edk2-firmware: upgrade to 202202
  • arm/edk2-firmware: upgrade to edk2-firmware 202108
  • arm/ffa-debugfs: corstone1000: enabling FF-A Debugfs Linux driver
  • arm/ffa-debugfs-mod: remove kernel image runtime dependency
  • arm/ffa-debugfs-mod: remove redundant RPROVIDES
  • arm/fiptool-native: bumping the version to v2.5
  • arm/fiptool-native: improve OpenSSL build fix
  • arm/fvp: add more helper variables for the versioning
  • arm/fvp-base-a-aem: upgrade to 11.16.16
  • arm/fvp-base-a-aem: upgrade to latest release, 11.17.21
  • arm/fvp-base-r-aem: Automatically download FVP tarball
  • arm/fvp-base-r-aem: Update to version 11.17.21
  • arm/fvpboot: change the execution order of do_write_fvpboot_conf
  • arm/fvp: check that FVP binaries are present
  • arm/fvp-corstone1000: fix model location
  • arm/fvp-corstone1000: update to latest version
  • arm/fvp: generalise FVP_ARCH
  • arm/fvp-library: upgrade to 11.15_14
  • arm/fvp: upgrade N1 Edge and SGI575 ecosystem models to 11.15.26
  • arm/generic-arm64: use latest linux-yocto
  • arm/hafnium: add missing headers to native-dtc.patch
  • arm/hafnium: enable qemuarm64
  • arm/hafnium: fix kernel tool linking
  • arm/hafnium: upgrade to 2.6
  • arm/lib/oeqa: fix module lookup
  • arm/linux-yocto: fix boot failure in qemuarm64-secureboot
  • arm/oeqa: add basic runfvp test cases
  • arm/oeqa: add FVP testimage controller target
  • arm/oeqa: add no-op runtime test
  • arm/oeqa/fvp: fix scoping issues with the bootlog
  • arm/oeqa/fvp: handle the FVP process exiting
  • arm/oeqa/fvp: show more log from the FVP on failure
  • arm/oeqa/fvp: wrap bootlog output correctly
  • arm/opencsd: upgrade to 1.2.0
  • arm/optee-os: Fix build race condition when building fTPM
  • arm/optee-spdevkit: add missing header file in optee-spdevkit
  • arm/optee-spdevkit: fix non-corstone1000 builds
  • arm/optee-spdevkit: introducing the recipe
  • arm/optee-test: change DEPENDS to optee-os-tadevkit
  • arm/optee-test: use precise BSD license
  • arm/optee: Upgrade from 3.14 to 3.16
  • arm/psa-arch-tests: introduce the recipe
  • arm/psa-arch-tests: set PV correctly
  • arm/python3-cbor: remove, cbor2 is used now
  • arm/qemuarm64-sbsa: replace with qemu-generic-arm64
  • arm/sbsa-acs: reset PACKAGE_ARCH
  • arm/sbsa-acs: upgrade to 3.1
  • arm/sbsa-acs: upgrade to EDK2 202108
  • arm/scp-firmware: add 2.10
  • arm/scp-firmware: disable clang builds
  • arm/scp-firmware: upgrade to 2.9
  • arm/secure-partitions: allow network operations during do_configure
  • arm/secure-partitions: introducing a common file
  • arm/secure-partitions: introducing the recipe
  • arm/secure-partitions: pass TS_PLATFORM in the configure task
  • arm/secure-partitions: remove platform specific dependencies
  • arm/secure-partitions: remove the use of EXTRA_OEMAKE
  • arm-toolchain/armcompiler: upgrade to 6.17
  • arm-toolchain/external-arm-toolchain: fix missing license updates
  • arm-toolchain/external-arm-toolchain: install to libexecdir not datadir
  • arm-toolchain: Fetch prebuilt Android Clang, version r416183b
  • arm-toolchain/gcc-aarch64-none-elf: remove redundant LIC_FILES_CHKSUM
  • arm-toolchain/gcc-arm-none-eabi: remove old 2020-q2 recipe
  • arm-toolchain: remove armcompiler-specific licenses
  • arm-toolchain: Support linux-arm64-ack build with Android Clang
  • arm-toolchain/tcmode-external-arm: skip gcc-cross
  • arm-toolchain: update Arm GCC to 11.2
  • arm-toolchain: upgrade gcc-arm-none-eabi (GNU-RM) to 10.3-2021.10
  • arm/trusted-firmware-a: add new recipe for 2.6
  • arm/trusted-firmware-a: ensure native cert_create has -rpath
  • arm/trusted-firmware-a,fiptool-native: Fix fiptool execution
  • arm/trusted-firmware-a,fiptool-native: Fix fiptool execution wrt corstone1000
  • arm/trusted-firmware-a: improve OpenSSL build fix
  • arm/trusted-firmware-a: move SRCREV_FORMAT to common include
  • arm/trusted-firmware-a: remove obsolete TF-A 1.5
  • arm/trusted-firmware-a: remove TF-A 2.5
  • arm/trusted-firmware-m: enabling PACKAGECONFIG when using CMake
  • arm/trusted-firmware-m: remove python3-pyasn1-native DEPENDS
  • arm/trusted-firmware-m: remove stale patch
  • arm/trusted-firmware-m: set OpenSSL provider path
  • arm/trusted-firmware-m: setting the toolchain file path in PACKAGECONFIG
  • arm/trusted-firmware-m: stop FetchContent from fetching
  • arm/trusted-firmware-m: upgrade to 1.5.0
  • arm/trusted-firmware-m: use Ninja to build
  • arm/trusted-firmware-m: use python3-cbor2 instead of python3-cbor
  • arm/trusted-firmware-m: use relative paths for SRC_URI destsuffix
  • arm/u-boot: add patch to support higher DRAM on TC
  • arm: update Android common kernel and config
  • atp/atp-native: don't pass -Werror
  • atp/linux-yocto: use wildcards in the bbappend
  • corstone1000: Introducing ci and kas files
  • corstone1000: update meta-arm-image for kirkstone support.
  • external-arm-toolchain: Add support for Arm GCC 11.2 binary release
  • external-arm-toolchain-versions: Use ldd to get libc version
  • ffa-debugfs-mod: Pin to arm/aarch64 hosts
  • gem5/gem5-aarch64-native: fix fuzz in patch
  • gem5/gem5: fix the build with Python 3.10
  • gem5/gem5: specify precise BSD license flavour
  • gem5/gem-aarch64-native: remove duplicate --command-line
  • gem5/linux-yocto: use wildcards in the bbappend
  • kas/ci: add corstone500 platform
  • kas/corstone1000-base: update meta-arm-image SHA
  • kas: corstone1000: drop the use of the FVP script
  • kas: corstone1000: set HEADs to kirkstone and drop use of meta-arm-image
  • kas: corstone1000: update for new Kas include semantics in kas folder
  • kas: corstone1000: update meta-arm-image SHA
  • kas: corstone1000: update SE binary sizes
  • kas: corstone1000: update the FVP script repo SHA
  • kas/corstone1000.yml: refspec update for run-scripts
  • kas/fvp-baser-aemv8r64: Install ssh-pregen-hostkeys
  • kas: Update include syntax to kas 2.6
  • layers: Bump to use kirkstone
  • machine/qemuarm64-secureboot.conf: add optee-ftpm
  • meta-arm: add old version of python3-cryptography
  • meta-arm-bsp/security: corstone1000: add trusted services support
  • meta-arm-bsp: use old python3-crytography on platforms using TF-M
  • meta-arm/classes: Create wic_nopt class
  • meta-arm: Make generic-arm64 kernel cfg based on linux-yocto standard kernel type
  • meta-arm-toolchain: Use renamed BB_BASEHASH_IGNORE_VARS variable
  • meta-arm-toolchain: Use renamed SKIP_RECIPE var flags
  • meta: update license names
  • optee-ftpm: Install artifacts into nonarch_base_libdir
  • optee-ftpm: Limit to supported machines
  • optee-ftpm: Use the latest fTPM sources
  • optee: update optee-os.inc to support external TAs
  • qemuarm64-secureboot: disable the use of KVM
  • qemuarm64-secureboot: don't set append in extlinux.conf
  • qemuarm64-secureboot: remove redundant UBOOT_MACHINE
  • qemuarm64-secureboot: set root device correctly
  • Remove use of deprecated lnr command
  • Revert "meta-arm: add old version of python3-cryptography"
  • Revert "meta-arm-bsp: use old python3-crytography on platforms using TF-M"
  • Revert "trusted-firmware-a: Pin to use gcc for now"
  • runfvp: add an asyncio TODO
  • runfvp: add basic documentation
  • runfvp: check for telnet
  • runfvp: don't hide output when using terminals
  • runfvp: don't use f-string when there's no expressions
  • runfvp: Ensure new process group is in the foreground
  • runfvp: fix undefined variable in terminal selection login
  • runfvp: handle the fvp quitting before we kill it
  • runfvp: propagate the exit code correctly
  • runfvp: refactor terminal selection
  • runfvp: reset the process group on startup
  • runfvp: strip all suffixes from the image when calculating .fvpconf name
  • scripts/layer-overview: improve layer detection
  • scripts/machine-summary: don't mark denied patches as good
  • scripts/machine-summary: harvest more patch data
  • scripts/machine-summary: improve layer_path
  • scripts/machine-summary: link patches to cgit
  • scripts/machine-summary: put more version information into the context
  • scripts/machine-summary: refactor output to classes
  • scripts/machine-summary: remove default Format.render()
  • scripts/machine-summary: remove obsolete is_old test
  • scripts/machine-summary: show patch count in the overview
  • scripts/machine-summary: write per-machine reports with more details
  • tatus: remove file that shouldn't have been committed
  • trusted-firmware-a: don't use virtual/trusted-firmware-a
  • trusted-firmware-a: Mark qemuarm64-secureboot as compatible
  • trusted-firmware-a: move corstone1000 to TF-A 2.6
  • trusted-firmware-a: Pin to use gcc for now
  • Update for LICENSE_FLAGS_WHITELIST rename to ACCEPTED.
  • Update git: SRC_URIs

Meta Freescale

  • basler-camera: Upgrade to 4.2.2.16.0
  • classes/machine-overrides-extender: Allow filter out without an override
  • classes/machine-overrides-extender: Postpone filter out
  • conf: imx7ulpevk: Remove unrelated imx7ulp-com.dtb
  • conf: machine: imx8m: clean-up obsolete ATF load address
  • conf: machine: imx8mq-evk: add mainline bsp support
  • crconf: Don't set FILES
  • crconf: Set SBINDIR and MANDIR
  • cst: Correctly specify BSD variant for license
  • devregs: bump revision to dcc3e3f2
  • dynamic-layers: Update SOC overrides
  • Ensure we fail if old SoC overrides are in use
  • eth-config: Be specific about BSD license
  • EULA,SCR: Update for NXP release 5.10.72-2.2.0
  • ffmpeg: Downgrade ffmpeg 5.0.0 -> 4.4.1 for NXP BSP
  • firmware-imx-8m: Use mx8m-generic-bsp as COMPATIBLE_MACHINE
  • firmware-imx: Install HDMI firmware to standard location
  • firmware-imx: upgrade to 8.14
  • firmware-sof-imx: upgrade to 1.9.0-1
  • flib: Use specific BSD license
  • fmlib: set precise BSD license
  • fsl-eula-unpack.bbclass: Unpack NXP EULA archives last
  • fsl-vivante-kernel-driver-handler.bbclass: Fix multilib support
  • Generalize overrides subsystem for NXP and Mainline support
  • gstreamer1.0-libav: Remove unused patch files
  • gstreamer1.0-libav: Upgrade 1.18.0 -> 1.18.5
  • gstreamer1.0-plugins-bad: Upgrade 1.18.0.imx -> 1.18.5.imx
  • gstreamer1.0-plugins-base: Upgrade 1.18.0.imx -> 1.18.5.imx
  • gstreamer1.0-plugins-good: Upgrade 1.18.0.imx -> 1.18.5.imx
  • gstreamer1.0-plugins-ugly: Upgrade 1.18.0 -> 1.18.5
  • gstreamer1.0-rtsp-server: Remove unused patch file
  • gstreamer1.0-rtsp-server: Upgrade 1.18.0 -> 1.18.5
  • gstreamer1.0: Upgrade 1.18.0.imx -> 1.18.5.imx
  • gstreamer: Lockin the versions for imx machines
  • imx53ard: Remove machine due to its deadline
  • imx6ul: remove obsolete device tree entry
  • imx8dxl-ddr3l-evk: Fix BOARD_TYPE
  • imx8m: Set DDR4 machines to use IMX BSP only
  • imx8qm-mek: remove obsolete dtb
  • imx8x-mek.inc: Remove obsolete dtb for DSP
  • imx8x: The mx8x override is handled in extender so drop it
  • imx-alsa-plugins: Set recipe name and PV properly
  • imx-atf: add mark quotation to prevent build issue with ccache
  • imx-atf: enable clang support
  • imx-atf: remove dependency on C runtime
  • imx_atf: unexport variables instead of set in compile task
  • imx-atf: upgrade to lf-5.10.52-2.1.0
  • imx-atf: Upgrade to NXP release 5.10.72-2.2.0
  • imx-atf: Use mx8-generic-bsp as COMPATIBLE_MACHINE
  • imx-base.inc: add back mx23 support
  • imx-base.inc: Add missing mx8x overrides
  • imx-base.inc: Add support to include extra data for NIP devices
  • imx-base.inc: Decrease machine feature override priority
  • imx-base.inc: Enable Crypto for all 8X
  • imx-base.inc: Fix MACHINE_SOCARCH_SUFFIX for 8XLite
  • imx-base.inc: reduce code using imx-{mainline,nxp}-bsp overrides
  • imx-base.inc: Upgrade gstreamer1.0 1.18.0 -> 1.18.5
  • imx-base: Install the driver when nxp8987 in MACHINE_FEATURES
  • imx-boot-container: align with u-boot 2022.01
  • imx-boot-container-bootpart: drop wks file
  • imx-boot-container: resurrect imx-boot symlink
  • imx-boot: don't restrict to the nxp bsp only
  • imx-boot,u-boot-imx: Add bootloader image size to SD card image
  • imx-codec: upgrade to 4.6.2
  • imx-cst: Use specific BSD license
  • imx-dpu-g2d: upgrade to 1.9.4
  • imx-dsp: add recipe
  • imx-dsp-codec-ext: add recipe
  • imx-g2d: Consolidate G2D recipes in single folder
  • imx-g2d-samples: New recipe for G2D sample apps
  • imx-g2d-samples: Ping to imxgpu2d machines
  • imx-gpu-apitrace: Upgrade to 10.0.0
  • imx-gpu-g2d: Upgrade to 6.4.3.p2.4
  • imx-gpu-viv: Drop SOC-specific header installation
  • imx-gpu-viv: Expose Vulkan library version
  • imx-gpu-viv: Install SOC-specific binaries
  • imx-gpu-viv: Remove comment code which was unused
  • imx-gpu-viv: skip QA check for libgl-imx package
  • imx-gpu-viv: Upgrade to 6.4.3.p2.4
  • imx-gst1.0-plugin: Adjust libdrm dependency
  • imx-gst1.0-plugin: Enable to support i.MX Audio DSP Codec
  • imx-gst1.0-plugin: Upgrade 4.6.1 -> 4.6.4
  • imx-imkimage: fix a typo in a patch for print_fit_hab.sh
  • imx-imkimage: install print_fit_hab.sh
  • imx-lib: fix packaging
  • imx-lib: upgrade to 5.10.52_2.1.0
  • imx-mkimage: Fix a BL32 missing overriding in mkimage_fit_atf.sh
  • imx-mkimage: fix patch
  • imx-mkimage: Update to 5.10.72-2.2.0
  • imx-mkimage: use mkimage tool from sysroot
  • imx-parser: upgrade to 4.6.2
  • imx-sc-firmware: Upgrade to 1.11.0
  • imx-seco-libs: Update to 5.10.72-2.2.0
  • imx-seco: Upgrade to 3.8.4
  • imx-test: Update to 5.10.72-2.2.0
  • imx-test: upgrade to 5.10.52_2.1.0
  • imx-vpu-hantro-daemon: Upgrade to 1.1.1
  • imx-vpu-hantro: Mark PACKAGE_ARCH as MACHINE_SOCARCH
  • imx-vpu-hantro: Upgrade to 1.24.0
  • imx-vpu-hantro-vc: Upgrade to 1.6.0
  • imx-vpu-hantro[-vc]: upgrade to 5.10.52-2.1.0
  • imx-vpuwrap: upgrade to 4.6.2
  • isp-imx: don't deploy files also deployed by basler-camera
  • isp-imx: fix configure error
  • isp-imx: provide an libtinyxml2 8.0.0 recipe
  • isp-imx: refresh patch
  • isp-imx: start_isp.sh: fix NR_DEVICE_TREE_BASLER variable
  • isp-imx: Upgrade to 4.2.2.16.0
  • isp-imx: use bfd linker in case of ld-is-gold DISTRO_FEATURE (gold linker)
  • kernel-itbimage: Add support for cpio.zstd
  • kernel-module-imx-gpu-viv: 6.4.0.p2.4+fslc -> 6.4.3.p2.4+fslc
  • kernel-module-imx-gpu-viv: Upgrade to 6.4.3.p2.4
  • kernel-module-isp-vvcam: Upgrade to 4.2.2.16.0
  • kernel-module-nxp89xx: Add recipe based on NXP lf-5.10.72_2.2.0
  • kernel-module-nxp89xx: Pin to imx machine kernel
  • layers: Bump to use kirkstone
  • layer: Update LICENSE variable to use SPDX license identifiers
  • libdrm: remove unused patch
  • libdrm: Upgrade 2.4.207.imx -> 2.4.109.imx
  • libdrm: Upgrade to 2.4.107.imx
  • libimxdmabuffer: Upgrade to version 1.1.0
  • libsdl2: follow oe-core's move to cmake
  • linux-fslc-imx: add imx thermal merge fix
  • linux-fslc-imx: update to v5.10.109
  • linux-fslc: re-sync configs with upstream
  • linux-fslc: update to v5.15.32
  • linux-fslc: update version to v5.15.12
  • linux-fslc: upgrade to 5.15.x+fslc
  • linux-imx-headers: Upgrade to 5.10.72
  • linux-imx-headers: whitelist version.h header
  • linux-imx: Upgrade to 5.10.72
  • ls1028ardb/ls1088ardb/ls1088ardb-pb: Correct MACHINEOVERRIDES
  • mfgtool-initramfs-image: Switch to zstd compression
  • mx8dx: Normalize MACHINEOVERRIDES implementation
  • opencv: Backport updates from OE-Core
  • opencv: follow oe-core's variable name changes
  • opencv: imx: prevent warning about distutils
  • opencv: imx: stop fetching tiny-dnn
  • optee-client: fix an override syntax
  • optee-client: Fix incorrect packaging logic
  • optee-client: Upgrade 3.10.0.imx -> 3.15.0.imx
  • optee: For i.MX, require machine feature optee
  • optee-imx: clarify BSD license
  • optee-os: fix an override syntax
  • optee-os: Fix RPMB build break
  • optee-os: Install embedded TAs
  • optee-os: Upgrade 3.10.0.imx -> 3.15.0.imx
  • optee-os: Use SoC override for i.MX6UL, i.MX6ULL and i.MX6ULZ
  • optee-os: Use tee-raw.bin binary
  • optee-os: Use variable for includedir install
  • optee-test: Add missing license GPL-2.0
  • optee-test: Add runtime dependency on optee-os
  • optee-test: Cleanup install and FILES
  • optee-test: correct TA_DEV_KIT_DIR
  • optee-test: replace old pycrypto with pycryptodome
  • optee-test: Upgrade 3.10.0.imx -> 3.15.0.imx
  • optee-test: Use openssl embedded in optee-test
  • packagegroup-fsl-isp: Make is machine specific
  • packagegroup-fsl-isp: Mark as MACHINE_SOCARCH specific
  • Partially revert "qoriq-arm.inc: use weak defaults"
  • Partially revert "qoriq-arm.inc: use weak defaults"
  • qoriq-arm64.inc: use weak defaults
  • qoriq-arm.inc: use weak defaults
  • qoriq-atf: Do not use append with += operator
  • qoriq-atf: Fix BSD license to be specific
  • qoriq-atf: Remove mbedtls from dependence list
  • qoriq-base: weak defaults for u-boot/bootloader/kernel PREFERRED_PROVIDER
  • qoriq-base: weak defaults for WKS_FILE
  • README: Fix readme to refers kirkstone release
  • recipes: use https protocol and add explicit branch parameter
  • Revert "imx-vpu-hantro-daemon: Upgrade to 1.1.1"
  • Revert "imx-vpu-hantro: Upgrade to 1.24.0"
  • Revert "qoriq-arm64.inc: use weak defaults"
  • Revert "qoriq-base: weak defaults for WKS_FILE"
  • Revert "weston-init: fix some invalid overrides"
  • Rework machine definitions to reduce duplication
  • Rework recipes to use imx-generic-bsp more extensively
  • Rework recipes to use imx-nxp-bsp more extensively
  • u-boot-fslc: Add lzop as dependency
  • u-boot-fslc-mxsboot: add dependency on gnutls-native
  • u-boot-fslc-mxsboot: Restrict recipe for mxs-generic-bsp override
  • u-boot-fslc: upgrade to v2022.04+fslc
  • u-boot-imx: Restrict recipe for i.MX6, i.MX7 and i.MX8
  • u-boot-imx: Update to 5.10.72-2.2.0
  • Update EULA and SCR for NXP release 5.10.52-2.1.0
  • waffle: Forward port Separate-surfaceless-option-from-x11 patch as well
  • waffle: Forward port the patch to latest waffle
  • wayland-protocols: Upgrade 1.22.imx -> 1.25.imx
  • wayland-protocols: Upgrade to 1.22.imx
  • weston: Add vsync to cloned displays.
  • weston: Adjust base patch for fork
  • weston-init: Enable screen sharing
  • weston-init: fix some invalid overrides
  • weston-init: Set bindir properly in weston.ini
  • weston: Rework SRC_URI
  • weston: Update base portion of recipe
  • weston: Upgrade to L5.10.72-2.2.0 release
  • xf86-video-imx-vivante: drop vivante specific x11 driver

Meta Freescale 3rdparty

  • apalis-imx6: add missing space to append
  • colibri-imx6ull: fix mistyped override
  • congatec: Remove defconfig
  • congatec: Remove files because it is not being maintained
  • Generalize overrides subsystem for NXP and Mainline support
  • imx6dl-riotboard: Fix u-boot target
  • imx6q-dms-ba16: Remove files because it is not being maintained
  • imx6sl-warp: Fix u-boot suffix
  • imx7d-remarkable2: Remove bcm43456 firmware as it has no providers
  • layers: Bump to use kirkstone
  • linux-boundary: bump revision to 04f4286f
  • linux-boundary: bump revision to acef1311
  • linux-boundary: bump revision to bb58f0ee
  • linux-firmware: Use nonarch_base_libdir instead of hardcoding /lib
  • linux-kontron: defconfig: Rework to enable CONFIG_KPROBES
  • linux-kontron: Upgrade 5.4.41>5.10.95
  • linux-remarkable2_5.4.bb: Fix git revision
  • linux-toradex: imx: update to 5.4-2.3.x-imx
  • linux-toradex: vf: update to 4.4.291
  • machines: toradex: update
  • nitrogen8: Drop useless overrides for WKS_FILE_DEPENDS
  • nitrogen8mp: Define nxp as default BSP
  • nitrogen: Drop duplicated WKS dependencies
  • recipes: use https protocol and add explicit branch parameter
  • recipes: Use SPDX naming scheme for LICENSE field
  • Rework machine definitions to reduce duplication
  • ti-18xx-wlconf: Drop spurious dot from PV
  • ti-18xx-wlconf: Use nonarch_base_libdir instead of hardcoding /lib
  • u-boot-boundary: bump revision to 3d5e7f60
  • u-boot-boundary: fix fw_env.config management
  • u-boot-boundary: switch filesextrapaths to generic-bsp
  • u-boot-script-gateworks-imx.bb: Fix license checksum
  • u-boot-script-toradex: improve script
  • u-boot-script-toradex: Revert wrong override change
  • u-boot-toradex: drop inc file
  • u-boot-toradex: updated to latest

Meta Intel

  • compute-runtime: version update from 21.40.21182 to 22.08.22549
  • compute-runtime: version update from 22.08.22549 to 22.11.22682
  • conf: remove usage of X86_TUNE_DIR var
  • conf: set COMPATIBLE_MACHINE for dpdk-module
  • embree: 3.13.2 -> 3.13.3
  • embree: upgrade 3.13.1 -> 3.13.2
  • gmmlib: upgrade 21.2.1 -> 22.1.2
  • intel-common-pkgarch.inc: fix operator combination
  • intel-compute-runtime: fix patch fuzz
  • intel-compute-runtime: upgrade 22.11.22682 -> 22.22.23355
  • intel-crypto-mb: add recipe for ipp crypto library
  • intel-crypto-mb: upgrade 2021.3 -> 2021.5
  • intel-graphics-compiler: add PACKAGECONFIG for VectorCompiler
  • intel-graphics-compiler: define SRCREV_FORMAT
  • intel-graphics-compiler: fix compile issues
  • intel-graphics-compiler: upgrade 1.0.10395 -> 1.0.11279
  • intel-graphics-compiler: version update from 1.0.8744 to 1.0.10395
  • intel-media-driver: Enable ADL-N support
  • intel-media-driver: fix build with gcc12
  • intel-media-driver: Fixed double free issue.
  • intel-media-driver: upgrade 21.2.3 -> 22.3.1
  • intel-mediasdk: upgrade 21.2.3 -> 22.3.0
  • intel-microcode: upgrade 20210608 -> 20220510
  • intel-microcode: use microcode filter for package
  • intel-oneapi-compiler: add recipe for compiler (runtime only)
  • intel-oneapi-compiler: upgrade to 2022.0.1
  • intel-oneapi-compiler: use ocl-icd instead of opencl-icd-loader
  • intel-oneapi-ipp: add recipe for Intel OneAPI IPP library (runtime only)
  • intel-oneapi-ipp: upgrade 2021.3 -> 2021.4
  • intel-oneapi-ipp: upgrade to 2021.5.1
  • intel-oneapi-mkl: add recipe for mkl library (runtime only)
  • intel-oneapi-mkl: upgrade to 2022.0.1
  • ipmctl: dont install /var/log/ipmctl
  • ipmctl: upgrade 03.00.00.0387 -> 03.00.00.0438
  • ipp-crypto-mb: update to latest
  • ipsc: upgrade 1.16.1 -> 1.17.0
  • ispc: disable build for Windows, android and other targets
  • itt: Update LICENSE to use SPDX identifier
  • itt: upgrade 3.21.2 -> 3.23.0
  • ixgbe: upgrade 5.13.4 -> 5.14.6
  • ixgbevf: exclude from world builds
  • ixgbevf: upgrade 4.12.4 -> 4.14.5
  • layer.conf: include kirkstone in LAYERSERIES_COMPAT
  • layer.conf: Use only kirkstone as LAYERSERIES_COMPAT
  • level-zero: allow to generate empty package
  • level-zero: remove devtool comments
  • level-zero: upgrade 1.5.4 -> 1.7.15
  • libipt: upgrade 2.0.4 -> 2.0.5
  • libva-intel: upgrade 2.13.0 -> 2.14.0
  • libva-intel-utils: upgrade 2.13.0 -> 2.14.0
  • libva & libva-utils: upgrade 2.12.0 -> 2.13.0
  • libyami/libyami-utils: remove recipes
  • linux-intel/5.10: update to v5.10.115
  • linux-intel/5.15: add recipe
  • linux-intel/5.15: no need to disable bsp config audit
  • linux-intel/5.15: update to v5.15.43
  • linux-intel-rt/5.10: update to v5.10.115
  • linux-intel-rt/5.15: add recipe
  • linux-intel-rt/5.15: update to v5.15.43
  • linux-intel-rt/5.4: update to v5.4.143
  • llvm-project-source/10.0.1: backport fixes from LLVM 11
  • llvm-project-source: refresh patches
  • lms: upgrade 2127.0.0.0 -> 2141.0.0.0
  • lms: upgrade 2141.0.0.0 -> 2151.0.0.0
  • maintainers.inc: add missing entry for vc-intrinsics
  • maintainers.inc: include entry for intel-crypto-mb
  • media-driver: user registry key reentrant fix
  • meta: add explicit branch and protocol to SRC_URI
  • meta-intel.inc: set default kernel to LTS 5.15
  • meta-intel.inc: set default rt kernel to 5.15
  • meta-intel.inc: use zlib from oe-core by default
  • meta: rename CVE_CHECK_WHITELIST to CVE_CHECK_IGNORE
  • meta: update LICENSE to use SPDX identifiers
  • metee: upgrade 3.1.0 -> 3.1.3
  • oidn: upgrade 1.4.1 -> 1.4.3
  • onednn: upgrade 2.4 -> 2.4.4
  • onednn: upgrade 2.4.4 -> 2.5.2
  • onednn: upgrade 2.5.2 -> 2.5.3
  • onednn: upgrade 2.5.3 -> 2.6
  • onedpl: upgrade 2021.5.0 -> 2021.6.1
  • onevpl: Adding basic wayland dmabuf support to samples
  • onevpl: Add VDSFC CSC support for sample_decode
  • onevpl: Fix missing mutex init in sample common
  • onevpl: Fix missing uyvy input in sample_encode
  • onevpl-intel-gpu: Add VDSFC CSC support
  • onevpl-intel-gpu: ADL-S: Adding missing device ID
  • onevpl-intel-gpu: remove patch
  • onevpl-intel-gpu: upgrade 21.3.4 -> 22.1.0
  • onevpl-intel-gpu: upgrade 22.1.0 -> 22.3.2
  • onevpl: upgrade 2021.6.0 -> 2022.0.3
  • opencl-clang: upgrade 13.0.0 -> 14.0.0
  • open-model-zoo: add COMPATIBLE_HOST to fix build error
  • open-model-zoo: remove test-generator from DEPENDS
  • open-model-zoo: upgrade 2021.4.1 -> 2021.4.2
  • open-model-zoo: upgrade 2021.4.2 -> 2022.1
  • openvino-inference-engine: change branch name master -> main
  • openvino-inference-engine: fix upstream check
  • openvino-inference-engine: upgrade 2021.4.1 -> 2021.4.2
  • openvino-inference-engine: upgrade 2021.4.2 -> 2022.1
  • openvino-model-optimizer: fix upstream check
  • openvino-model-optimizer: remove test-generator from DEPENDS
  • openvino-model-optimizer: upgrade 2021.4.1 -> 2021.4.2
  • openvino-model-optimizer: upgrade 2021.4.2 -> 2022.1
  • openvkl: upgrade 1.0.1 -> 1.2.0
  • ospray: add COMPATIBLE_HOST to fix build error
  • ospray: upgrade 2.7.1 -> 2.9.0
  • ovmf: refresh patch
  • qemuboot-intel: fix audio option
  • qemuboot-intel.inc: remove vga and uvesafb parameters
  • qemu-intel.inc: backport of dependency fixes from oe-core
  • Remove support for building with LLVM 10
  • Remove support for gatesgarth
  • Revert "slimboot: add recipe for Slim Bootloader"
  • rkcommon: upgrade 1.7.0 -> 1.9.0
  • sbsigntool: Fix build with Openssl 3.0
  • slimboot: add recipe for Slim Bootloader
  • thermald: upgrade to v2.4.9
  • vc-intrinsics: update to latest
  • zlib-intel: remove recipe

Meta RaspberryPi

  • Add documentation for gpio-shutdown
  • armstubs: Upgrade to 20211101
  • bcm2835: Update to 1.71
  • bluez-firmware-rpidistro: Add compatibility to oe-core/create-spdx
  • conf/machine: add variant Wi-Fi/BT drivers for CM4 and Pi 400
  • docs: Add information for RTC devices
  • docs: Bump copyright year
  • docs: Detail the merging process of patches sent through the mailing list
  • docs: Drop mention of deprecated images
  • docs: link to latest documentation of kas
  • docs: untabify the few tabs in the file
  • docs: Update www.raspberrypi.com documentation links
  • extra-build-config: Add documentation for the ISOLATED_CPUS configuration variable
  • gstreamer1.0-plugins-bad: remove libmms PACKAGECONFIG and add gpl
  • gstreamer1.0-plugins-good: Update bbappend to 1.20
  • layers: Bump to use kirkstone
  • libwpe: Migrate build workaround from oe-core
  • linux-firmware-rpidistro: Update to 20210315-3+rpt4
  • linux-firmware-rpidistro: Use bullseye branch
  • linux-raspberrypi: Add recipe for 5.15 LTS kernel
  • linux-raspberrypi: add UBOOT_ENTRYPOINT to match LOADADDR
  • linux-raspberrypi: Update 5.10 recipe to 5.10.110
  • linux-raspberrypi: Update 5.15 recipe to 5.15.34
  • machine: add Pi Zero 2 W 32bits
  • mesa: Enable building vulkan driver
  • meta: update license names
  • meta: update variable names
  • Move the python3-adafruit recipes depending on meta-oe to dynamic layers
  • omxplayer: Use internal version of ffmpeg
  • packagegroup-rpi-test: Include more packages
  • parselogs: Update the error regexps to 5.10 kernel
  • pi-blaster: Uprev the recipe
  • picamera-libs: Adjust sourcedir
  • picamera-libs,python3-picamera: Limit visibility to 32 bit rpi machines
  • python3-adafruit-blinka: Disable on musl
  • python3-adafruit-circuitpython-register: Define PIP_INSTALL_PACKAGE
  • python3-adafruit-circuitpython-register: Upgrade to 1.9.8
  • python3-adafruit-platformdetect: Fix build with wheel
  • python3-adafruit-platformdetect: Upgrade to 3.22.1
  • python3-adafruit-pureio: Fix build with wheel
  • python3-adafruit-pureio: Uprade to 1.1.8
  • python3-picamera: Add picamera library
  • python3-rtimu: Port to using setuptools and fix build with wheel
  • python3-rtimu: Upgrade to 7.2.1
  • python3-sense-hat: Use specific BSD license
  • python: Unbolt wheel packaging PIP_INSTALL_PACKAGE band-aids
  • raspberrypi4-64: Switch to cortexa72 tune
  • raspberrypi4-64: Switch to using cortexa72-crc default tune
  • raspberrypi-firmware.inc: Move to using tarballs from rpi deb repo
  • raspberrypi-firmware: Update to 20220331
  • raspberrypi-firmware: Update to match 5.15.32
  • raspi-gpio: Uprev revision to current HEAD of master branch
  • README.md: Add contributing section
  • README.md: Don't advertise meta-oe dependency
  • recipes-bsp: Add support for gpio-shutdown
  • rpi-base.inc: Add MCP3008 ADC overlay
  • rpi-base.inc: Add vc4-fkms-v3d-pi4 overlay
  • rpi-base.inc: Cleanup redundant imgtyp variable
  • rpi-base.inc: enable i2c-gpio overlay
  • rpi-basic-image: Drop image
  • rpi-cmdline: Add ability to specify CPUs to add to the isolcpus list
  • rpi-config: don't trigger bbfatal for empty ENABLE_UART
  • rpi-config: Take into consideration ENABLE_UART value of 0
  • rpi-default-versions: Use 5.15 as default kernel
  • rpi-gpio: Port to PEP-517 packaging
  • rpi-gpio: Replace setuptool3 instead of distutils3
  • rpi-hwup-image: Drop image
  • rpio: Upgrade to 0.10.1
  • sdcard_image-rpi.bbclass: Use processed list of device trees
  • sdcard_image-rpi: fix DeprecationWarning
  • u-boot: always set fdt_addr with firmware-provided FDT address
  • u-boot: Remove the randundant patch
  • userland: Update to latest as of 20220323
  • weston-init: Add --continue-without-input option to weston
  • xserver-xorg: remove xshmfence configure option

Meta ST STM32MP

  • add fwupdate support
  • Add RPM dependency to lua
  • Add security.md
  • Add stm32mp13 machine support
  • ALSA-LIB: adapt to new version of KIRKSTONE
  • ARCHIVER: Update for fip build and release information
  • ARCHIVER: use variable for compression choice
  • BOOTFS: rename extlinux package
  • BUSYBOX: adapt to new version of KIRKSTONE
  • Class: build info management
  • CLASSES: EXTLINUX: add support of several splash screen
  • CLASSES: EXTLINUX: align UBOOT_EXTLINUX_CONSOLE with yocto/poky
  • CLASSES: FIP-UTILS-STM32MP: align FIP_CONFIG on TFA_CONFIG management way
  • CMSIS: add support for stm32mp13
  • CONF: add compatibility version
  • CONF: add more component on sdk
  • CONF: change name of boot partition on bootfs
  • CONF: correct examples to used according to devicetree package
  • CONF: disable CHECK for MTD
  • CONF: enable kernel config file deploy
  • CONF: put DEBUG and trace under flags
  • CONF: rename stm32mp1-disco and stm32mp1-eval
  • CONF: update OpenSTLinux compatibility
  • CONF:WIC: align WIC file content with devicetree name
  • DRM: bump to 2.4.110
  • EXTLINUX: rename recipes
  • GCC: baremetal: bump to gcc 10
  • GCNANO: 6.4.7
  • GCNANO-USERLAND: add symlinks to shared libs in /usr/lib for SDK usage
  • GCNANO-USERLAND: GCNano 6.4.3 Update Release "20210726"
  • HIDAPI: bump to 0.10.1
  • KERNEL: 5.15-stm32mp1-r1
  • KIRKSTONE: adapt to kirkstone
  • KIRKSTONE: license compatibility
  • KIRKSTONE: MISC
  • KIRKSTONE: SRC_URI compatibility
  • KIRSKSTONE: overwrite syntax
  • LAYER: add kirkstone compatibility
  • LINUX-EXAMPLE: GPIO: correct script errors
  • LINUX-STM32MP: update to v5.10-stm32mp-r2
  • M4Project: 1.6.0
  • M4PROJECTS: Update to v1.5.0
  • MACHINE: adapt to change of machine path
  • MACHINE: implement boot from NOR memory device
  • MACHINE: rework INITRD configuration
  • MACHINE: set partition configuration specific to fstype
  • Move to github recipes
  • OPENOCD: 0.11.0
  • OPENSSL: force OPENSSL_MODULES variable for sdk
  • OPTEE: 3.16.0-stm32mp1-r1
  • OPTEE: add OPENSSL_MODULES environment variable
  • OPTEE-OS-STM32MP: update archiver to manage dt config
  • OPTEE-OS-STM32MP: update to 3.12.0-stm32mp-r2
  • OPTEE: remote old depdendency
  • OPTEE-SDK: Add to SDK environment-setup the variables required to build OP-TEE TA.
  • PULSEAUDIO: adapt to new version of KIRKSTONE
  • PULSEAUDIO: adapt to pulseaudio 15
  • remoev gcnano link classe
  • Rename U-Boot stm32mp extlinux
  • Revert "CLASSES: unexport _PYTHON_SYSCONFIGDATA_NAME to allow devtool"
  • SDCARD: tools: adapt to firwmare update
  • SDK: extend recipes
  • st-image-partitions.inc: Avoid noisy warning for empty partitions
  • STM32mp-g0: add firmware for G0
  • STM32MP-G0: Update github information and clean up
  • Stm32wrapper4dbg: bump to 2.0
  • STM32WRAPPER4DBG: rework recipes to use only one
  • TF-A: correct bad detection of DTC version
  • TF-A-STM32MP: add file type for deploying image
  • TF-A-STM32MP: update to v2.4-stm32mp-r2
  • TF-A: v2.6-stm32mp1-r1
  • U-BOOT-fw-config: adapt to fwupdate
  • UBOOT-STM32MP-EXTLINUX: fix boot.cmd for overlay
  • U-BOOT-STM32MP-SPLASH: add portrait and landscape splash screen
  • U-BOOT-STM32MP: update to v2020.10-stm32mp-r2
  • U-BOOT: v2021.10-stm32mp1-r1
  • WIC: adapt to firwmare update

Meta Yocto

  • beaglebone-yocto: move kernel and dtb to packagegroup-core-boot
  • beaglebone-yocto: prefer u-boot
  • busybox: Add shell arithmetic to work with poky-tiny
  • gcsections: add nativesdk-cairo to exclude list
  • gma500-gfx-check: Update LICENSE to use an SPDX license identifier
  • layer.conf: Update to kirkstone namespace
  • linux-yocto/5.10: update genericx86 machines to v5.10.99
  • linux-yocto/5.15: update genericx86 machines to v5.15.22
  • local.conf.sample: fix reference to extended configuration sample
  • local.conf.sample: https and no newline for SSTATE_MIRRORS
  • local.conf.sample: Remove unnecessary n from the SSTATE_MIRRORS example
  • local.conf.sample: Update for 4.0 in sstate url
  • local.conf.sample: Update sstate url to new 'all' path
  • meta-poky: Update BB_DISKMON_DIRS use
  • meta-yocto-bsp: Introduce the v5.15 bbappend
  • oeqa/controllers: update for MasterImageHardwareTarget->Controller...
  • poky: Bump to 4.0 in preparation for release
  • poky.conf: bump version for 4.0.1 release
  • poky.conf: bump version for 4.0.2
  • poky.conf: Post release version bump
  • poky.conf: Remove unnecessary n from PREMIRRORS
  • poky.conf: update tested distro
  • poky: Drop PREMIRRORS entries for scms
  • poky: set default kernel to 5.15
  • poky-tiny: don't skip core-image-base and core-image-full-cmdline
  • poky-tiny: set QB_DEFAULT_FSTYPE correctly
  • poky-tiny: Use renamed SKIP_RECIPES varFlag
  • Rename LICENSE_FLAGS variable
  • yocto-bsp/5.14: drop recipes
  • yocto-bsp: change default to 5.15
  • yocto-bsps: update to v5.15.36

Meta Xilinx

  • arm-trusted-firmware: fix license description
  • boot.cmd.generic:add support for usb boot
  • device-tree: Allow the CONFIG_DTFILE to be a dts
  • device-tree: Allow the CONFIG_DTFILE to be a dts and cleanup
  • device-tree: Remove ultra96 mipi device tree files
  • device-tree: update license (fix obsolete license warning)
  • dfx-mgr: fix systemd service file
  • dfx-mgr: new SRCREV, remove libdfxgraph
  • dfx-mgr: new SRCREV, remove xrt
  • dt-processor: Avoid warning messages for baremetal
  • dt-processor.sh: Add -l argument to write local.conf to a file
  • dt-processor.sh: Remove SYSTEM_DTFILE Linux specific setting
  • embeddedsw: Update fsbl image name
  • Enable ProvenCore in ATF with MACHINE_FEATURES
  • extract-cdo: Avoid directly populating ${DEPLOY_DIR_IMAGE}
  • Fix ATF provencore enable not working
  • fpgamanager_custom: Split SRC_URI with space
  • fsbl-firmware: Move to explicit psu_init settings
  • gdb: Disable on-target GDB for microblaze
  • generic.conf: Update qemu config to remove duplicate options
  • iproute2: Provide 5.15.0 version, taken from Yocto Project master
  • kernel-module-vcu: Add vcu rules to video group
  • libdfx: update libdfx bb file to enable shared library support
  • linux-firmware-ti-bt: dbg package requires dev package which requires base
  • lopper.bbappend: Backport latest lopper from meta-virtualization (master)
  • lopper: Update SRCREV to upstream master
  • ltp: Disable ltp gdb dependency only on Microblaze
  • meta-xilinx-bsp: begin to support langdale
  • meta-xilinx-bsp: support kirkstone
  • meta-xilinx-core: Begin to support langdale
  • meta-xilinx-core: support kirkstone
  • meta-xilinx-standalone: Begin to support langdale
  • meta-xilinx-standalone-experimental: Change from lopper.py to lopper
  • meta-xilinx-standalone: support kirkstone
  • Move from 2021.2 to 2022.1
  • pmu-firmware.bbappend: Move k26 configuration to meta-som
  • python3-dtc: Bring in 1.6.1 from meta-virtualization
  • qemu: Update to 2022.1 release version
  • qemu-xilinux.inc: Override PACKAGECONFIG that are incompatible with current fork.
  • qemu-xilinx-native.inc: add meson and ninja
  • recipes-kernel: linux: add auto load support for usb2244 driver
  • Revert "device-tree: Allow the CONFIG_DTFILE to be a dts"
  • Revert "meta-xilinx-bsp: begin to support langdale"
  • Revert "meta-xilinx-core: Begin to support langdale"
  • Revert "meta-xilinx-standalone: Begin to support langdale"
  • Revert "TEMPORARY atf: set ATF_MEM_BASE, ATF_MEM_SIZE to bypass size issues with latest gcc version"
  • u-boot-xlnx: oe-core now provides an xxd-native if required
  • weston-init: Copy init and service file from openembedded-core
  • weston-init: Pass --continue-without-input when launching weston
  • weston-init: Use 644 permission for ini file
  • xilffs: Allow per recipe configuration
  • xilinx-core: drop lopper.bbappend
  • xrt_git.bb: Cleanup += usage
  • xrt_git:zocl_git:update commitid
  • xserver-nodm-init: limit the number of restart for service
  • zynqmp: xorg: Update xorg configuration file to use busid

Meta Xilinx Tools

  • ai-engine: move aie components to new repository
  • ai-engine: update recipe for 2022.1 release
  • device-tree.bbappend: Add dt include path
  • device-tree: Remove ultra96 mipi device tree files
  • device-tree: update license (fix obsolete license warning)
  • external-hdf: Avoid github protocol warning
  • fpgamanager_dtg.bbclass: Add support for Versal devices
  • fpgamanager_dtg.bbclass: Make shell.json optional input
  • fpgamanager_dtg: Check if dtbo exists before install
  • fpgamanager_dtg_dfx.bbclass: Add RP_PATH variable
  • fpgamanager_dtg_dfx.bbclass: Correct file name
  • fpgamanager_dtg_dfx.bbclass: New bbclass for DFX support
  • fpgamanager_dtg: DFX changes
  • fpgamanager_dtg: Split SRC_URI with space
  • fpgautil: Update the fpga manager userspace script
  • layer.conf: rename variable for the inclusive language
  • layer.conf: Set default version to 2022.1
  • layer.conf: support kirkstone
  • layer.conf: Support langdale
  • Move firmware to 2022.1
  • Revert "layer.conf: Support langdale"
  • u-boot-xlnx.bbappend:add kr260 revB support in fit blob
  • u-boot-xlnx.bbappend:update CC_DTBS_DUP variable
  • Updated SRCREV for 2022.1
  • various: Adjust branches to 2022.1 release
  • xsct-tarball.bbclass: Consider multiconfigs in check
  • xsct-tarball.bbclass: use "==" to perform string comparison
  • xsct-tarball: Update checksum to release candidate 0419
  • xsct-tarball: Update xsct URL and shasum to current version

Meta Tegra

  • argus: clean up license definitions
  • arm-trusted-firmware: disable array-bounds warnings-as-errors
  • arm-trusted-firmware, trusty: update for L4T R32.7.1
  • bootlogo: use linear gamma to match nvdisp window settings in cboot
  • cairo: update bbapend to conditionalize gl dependencies
  • cboot-extlinux: use INITRAMFS_LINK_NAME
  • cboot-t19x: bring forward missing patches from R32.5.x
  • cboot-t19x: fix boot slot detection patch for USB/SDcards
  • cboot: update for L4T R32.7.1
  • cboot: update to R32.7.2
  • classes: add cuda-gcc.bbclass
  • classes: add tegra_opengl_required.bbclass
  • conf/machine: add clara-agx-xavier-devkit
  • conf/machine: add CUDA_ARCHITECTURES variable
  • conf/machine: add Xavier NX FAB 301 BUP support
  • conf/machine: drop NVIDIA_PRODUCT settings
  • conf/machine: remove paths from KERNEL_DEVICETREE files
  • conf/machine: set PREFERRED_PROVIDER for virtual/libgles3
  • conf/machine: Use soft defaults for some machine variables
  • contrib/conf: update gstreamer-1.14 settings
  • contrib: drop vte recipe
  • contrib: fix libpython location in gstreamer1.0-python
  • contrib: gcc-linaro-baremetal: update LICENSE setting
  • contrib: gst-eaxmples: add branch parameter to SRC_URI
  • contrib: gstreamer1.0-python: remove distutils references
  • contrib: gstreamer-1.14: update LICENSE settings
  • contrib: import vte 0.64.2 recipe from OE-Core honister
  • contrib: remove gcc-compat.conf
  • contrib: remove recipes for gcc-7, gcc-8
  • contrib: update README
  • cuda.bbclass: inherit cuda-gcc, update CMake support
  • cuda.bbclass: update runtime dependency for tegra-libraries split
  • cuda-cudart: Add missing .so to nvidia docker pass-thorugh list.
  • cuda-driver: add target build-time dependency
  • cuda-nvprof: add dependency on tegra-libraries-cuda
  • cuda-samples: use CC_FOR_CUDA for the C compiler
  • cuda-shared-binaries: drop target runtime dependency
  • cuda-target-environment: inherit cuda-gcc, update CMake support
  • deepstream-5.1: update dependencies for tegra-libraries split
  • deepstream: drop recipe for 5.1
  • eglexternalplatform: update SRC_URI with branch parameter
  • egl-gbm: add recipe
  • egl-wayland: add numeric prefix to JSON file
  • egl-wayland: make opengl required in DISTRO_FEATURES
  • egl-wayland: update to 1.1.9
  • egl-wayland: use exactly 1.1.9 tag
  • external/oe-layer: update tensorrt-plugins to 8.2
  • external: opencv: rework config options and add dnn
  • external/openembedded-layer: fix tensorrt-plugins build error
  • external/openembedded-layer: update opencv bbappend
  • external/qt5-layer: fix egldevice backend for L4T 32.7.1
  • external/qt5-layer: set mode in eglfs by default
  • external: recipes-containers: update SRC_URIs
  • external: update v4l-utils runtime dependency on tegra plugins
  • external: v4l-utils: update bbappend
  • external/virtualization-layer: drop libnvidia-container-tools 0.9.0
  • external/virtualization-layer: fix libnvidia-container-tools git issue
  • external/virtualization-layer: update libnvidia-container-tools
  • gcc-8.5: update LICENSE setting
  • gcc-8: add configure setting for C++ include directory
  • gcc-8-cross-canadian: add version suffix to EXTRACANADIAN wrappers
  • gcc-8: rename include files to avoid conflicts with OE-Core
  • gstreamer1.0-plugins-nvcompositor: update for gstreamer 1.18
  • gstreamer1.0-plugins-nveglgles: add missing gtk-doc reference
  • gstreamer1.0-plugins-nvvidconv: add recipe for gstreamer 1.18
  • gstreamer1.0-plugins-tegra-binary-only: use deb package feed
  • gstreamer: make opengl required in DISTRO_FEATURES for gl-dependent recipes
  • gstreamer: rename 1.18.5 recipes to 1.20.0
  • gstreamer: update dependencies in recipes for tegra-libraries split
  • gstreamer: update LICENSE settings for NVIDIA plugins
  • gstreamer: update NVIDIA gstreamer plugins for L4T R32.7.1
  • image_types_tegra: use initramfs link name for tegra_kernel_image
  • jetson-agx-xavier-devkit: fix typo in TEGRA_BUPGEN_SPECS
  • jetson-nano-devkit: add BUP support for FAB 401
  • jetson-nano-devkit-emmc: add BUP support for FAB 401
  • jetson-xavier-nx-devkit-emmc: add BUP support for 16GB SKUs
  • kernel-bup-payload: support TEGRA_SIGNING_EXTRA_DEPS
  • l4t_bsp.bbclass: add variables for BSP debian packages
  • l4t-graphics-demos: add patch
  • l4t-graphics-demos: build weston-dmabuf-formats for wayland
  • l4t-graphics-demos: update for L4T R32.7.1
  • l4t-graphics-demos: update to JetPack 4.6 (rev 2)
  • layer.conf: drop honister from LAYERSERIES_COMPAT
  • layer.conf: update SIGGEN_EXCLUDE_SAFE_RECIPE_DEPS
  • libdrm-nvdc: switch to using deb package feed
  • libglvnd: PROVIDES virtual/libgles3
  • libglvnd: set branch parameter in SRC_URI
  • libglvnd: update dependencies on tegra-specific libraries
  • libglvnd: update LICENSE to use SPDX names
  • libglvnd: update to 1.4.0
  • libnvidia-container-tools-0.10.0: apply libtirpc patch
  • libnvidia-container-tools: clean up license settings
  • libnvvpi1: make opengl required in DISTRO_FEATURES
  • libnvvpi1: update dependencies for tegra-libraries split
  • libnvvpi1: update to 1.1.12
  • libnvvpi1: update to 1.2.3
  • libv4l2-minimal: update LICENSE setting
  • libv4l2-minimal: update runtime dependency on tegra plugins
  • libv4l2, v4l-utils: make opengl required in DISTRO_FEATURES
  • linux-tegra: add support for device tree overlays
  • linux-tegra: bump SRCREV
  • linux-tegra: disable FW_LOADER_USER_HELPER with systemd
  • linux-tegra: enable the regulatory database for wireless
  • linux-tegra: fix compilation when no dtb overlays are built
  • linux-tegra: update LICENSE setting
  • linux-tegra: update packaging RDEPENDS->RRECOMMENDS
  • linux-tegra: update SRCBRANCH, SRCREV
  • machine/include/tegra-common.inc: update xserver settings
  • mesa: add REDEPEND for libgbm on tegra-udrm-gbm
  • mesa-demos: update PACKAGECONFIG
  • mesa: update packaging
  • meta: update all R32.7.1 recipes to R32.7.2
  • meta: update l4t_bsp.bbclass and machine configs for L4T R32.7.1
  • meta: update LAYERSERIES_COMPAT for kirkstone
  • meta: update tensorrt recipes for tegra-libraries split
  • meta: update variables renamed in OE-Core
  • nsight-systems-cli: update to 2021.5.4.19-e642d4b
  • nvbufsurface-headers: update to 6.0.0-1
  • nvbufsurface-headers: update to to use headers from DS 6.0.1
  • nvgstapps: add patch to fix indentation
  • nvgstapps: disable deprecated declarations warnings
  • packagegroups: add CUDA-gcc toolchain to SDK packagegroups
  • perf: disable scripting for older kernel versions
  • perf: update bbappend
  • python3-tensorrt: switch to using setuptools3
  • python3-tensorrt: update to version 8.2
  • README.md, contrib/README.md: update for layer requirements
  • README.md: update for kirkstone branch
  • README.md: update for L4T R32.7.1/JetPack 4.6.1
  • README.md: update for L4T R32.7.2/JP 4.6.2
  • README.md: update note about CUDA and gcc
  • recipes-devtools: import gcc-8 recipes
  • recipes-devtools: rename 'gcc' to 'gcc-for-nvcc'
  • tar-l4t-workaround: fix up for current fetcher args
  • tegra-binaries: convert recipes to using deb pacakge feed
  • tegra-binaries: drop unused include files
  • tegra-binaries-patches: drop recipe
  • tegra-binaries: require opengl in DISTRO_FEATURES gl-dependent recipes
  • tegra-binaries: split tegra-libraries into multiple recipes
  • tegra-binaries, tegra-sources: update for L4T R32.7.1
  • tegra-boot-tools: add recipe for testing from git repo
  • tegra-boot-tools: update branch name in git recipe
  • tegra-boot-tools: update to v2.5.2
  • tegra-boot-tools: upgrade to version 3.0.0
  • tegra-bup-payload: use INITRAMFS_LINK_NAME
  • tegra-common.inc: prefer prebuilt trtexec by default
  • tegra-configs: add script to fix the nv_bootloader_payload_updater tool
  • tegra-configs-alsa: install ALSA config files for tegra210
  • tegra-debian-libraries-common.inc: restore container CSV mappings
  • tegra-drm-headers: add recipe
  • tegra-eeprom-tool: update to 1.3.0
  • tegra-flashvars: add flashvars for clara-agx-xavier-devkit
  • tegra-flashvars: drop AGX Xavier 8GB flashvars file
  • tegra-helper-scripts: fix board ID check in tegra194 helper
  • tegra-helper-scripts: fix boardid typo in tegra194-flash-helper
  • tegra-helper-scripts: fix stray whitespace
  • tegra-helper-scripts: skip mksparse when using --spi-only
  • tegra-helper-scripts: update board SKU handling for t186 platforms
  • tegra-libraries: convert recipes to using debian package feed
  • tegra-libraries-gbm: set DEBIAN_NOAUTONAME
  • tegra-libraries-gbm: stop overwriting mesa libgbm
  • tegra-libraries-multimedia: fix COMPATIBLE_MACHINE settings
  • tegra-libraries-multimedia: switch to unified recipe
  • tegra-libraries-multimedia: update to JetPack 4.6 rev 2
  • tegra-libraries-multimedia-v4l: Add missing .so to nvidia docker pass-thorugh list.
  • tegra-libraries-winsys: add missing L4T_DEB_TRANSLATED_BPN
  • tegra-mmapi: make opengl required in DISTRO_FEATURES
  • tegra-mmapi{,-samples}: update dependencies on tegra libraries
  • tegra-mmapi: update for L4T R32.7.1
  • tegra-mmapi: update to JetPack 4.6 (rev 2)
  • tegra-udrm-gbm: add new recipe
  • tegra-udrm-gbm: update to 1.0.1 for fixes to t186/t210
  • tegra-udrm-gbm: update to v1.0.2
  • tensorrt-core: update to 8.2.1
  • tensorrt: make opengl required in DISTRO_FEATURES
  • tensorrt-plugins-prebuilt: update to 8.2.1
  • tensorrt: refactor, adding recipes for trtexec
  • tensorrt-samples: update to 8.2.1
  • u-boot-bup-payload: support TEGRA_SIGNING_EXTRA_DEPS
  • u-boot-tegra: bump SRCREV
  • u-boot-tegra: update to v2022.01
  • Updating the l4t_payload_updator patch to work with R32.7.1
  • vulkan-loader: update bbappend
  • vulkan: update bbappends for 1.3.x
  • weston-10: add bbappend
  • weston: drop bbappends for weston 9 and weston-init
  • weston: drop weston-9 patches, add weston-10 bbappend
  • weston: enable deprecated wl-shell used by nveglglessink
  • weston: fix dmabuf synchronization for tegra
  • weston: port eglstreams client buffer support to weston 10.0
  • xserver-xorg: drop version 21 bbappend
  • xserver-xorg-nvidia: switch to using deb package feed
  • xserver-xorg-tegra: add patch for gcc 12 builds
  • xserver-xorg-tegra: import recipe for xserver-xorg 1.20.13
  • xserver-xorg-tegra: update LICENSE setting
  • xserver-xorg: udpate bbappend to 21.1.x
  • xwayland: update bbappend

Meta Sunxi

  • atf-sunxi: Fix warnings
  • conf: Added kirkstone compatible string
  • conf: Added orange-pi-pc2 config
  • conf: machine: Added nanopi r1 support
  • linux-mainline: Added 5.15 LTS kernel
  • linux-mainline: Fix kernel license warning
  • sunxi64.inc: Don't set UBOOT_BINARY
  • sunxi: Use 5.15 as kernel provider
  • u-boot: Added patch for adding nanopi r1 machine support
  • u-boot: Refresh path

Meta TI

  • abefw: remove OMAP4 Audio Back-End (ABE) firmware
  • alsa-state: remove asound.state for deprecated beagleboard
  • am62xx, j721s2: move "gpu" machine feature from machine to soc config
  • beaglebone: move kernel and dtb to packagegroup-core-boot
  • classes,recipes: remove K1/2 PDK RTOS support, FWs and IPC transports
  • cmem-mod: Fix kernel module packaging for usrmerge
  • cnm-wave-fw: Fix name of firmware for j721s2
  • cnm-wave-fw: lock the compatiable machine to j721s2-evm
  • cnm-wave-fw: Split firmware name into target and source
  • conf: Enable bmap file for wic images on legacy platforms
  • conf/machine: add preferences for 3D graphics providers
  • conf/machine/am57xx-evm: add overlay for OV10635 sensor
  • conf: machine: am62xx Add missing dtbo file
  • conf/machine: am62xx: Update build flag for low power mode
  • conf/machine: make default PREFERRED_PROVIDERs easy to override
  • conf/machine: remove default setting for xorg
  • conf/machine: remove Keystone1/2 SoC/machine configs
  • dmai: remove Davinci Multimedia Application Interface (DMAI)
  • doxygen: remove outdated version in favor of upstream
  • dspbios,biosutils: remove remnants of DSP/BIOS, predecessor to SYS/BIOS
  • dsptop: fix host contamination warning
  • ffa-debugfs-mod: Do not build for TI SOCs
  • formfactor: remove beagleboard-specific configs
  • gcc-linaro-baremetal: remove 7.2 version of GCC for baremetal Arm and Aarch64
  • hdvpss: remove DaVinci High-Definition Video Processing Subsystem (HDVPSS)
  • init-ifupdown: remove default /etc/interfaces file for beagleboard
  • ION is superseded now by DMA-BUF Heaps remove libion
  • ipc: ti-rpmsg-char: Update library to 0.4.0
  • ipc: ti-rpmsg-char: Update library to 0.4.1
  • k3conf: Update SRCREV to pick AM62x support
  • kselftests: remove outdated version in favor of upstream
  • libdce: upgrade to 3.00.15.00 and specify branch
  • linux-ti-staging: Bump to 08.03.00.003 release
  • linux-ti-staging/mainline: depend on libmpc-native and gmp-native
  • linux-ti-staging-rt: Bump to 08.03.00.003 release
  • linuxutils: remove Linux Utils helper package
  • machine: Add am62xx evm configuration
  • machine: Add j721s2 evm configuration
  • meta-ti: add MIT license file for the metadata and basic README
  • meta-ti: add README for meta-ti-extras and update maintainer
  • meta-ti-bsp: add SoC families for the J7 SoCs
  • meta-ti: convert licenses to SPDX format
  • meta-ti: correct and do not skip "installed-vs-shipped" QA check
  • meta-ti: create a sub-layer meta-ti-bsp from existing content
  • meta-ti-extras: add sub-layer with extra components that don't belong to BSP
  • meta-ti-extras: setup layer custom licenses
  • meta-ti: move beaglebone-specific components to meta-ti-extras
  • meta-ti: move BIOS,XDC,XDAIS, CGT,DSP libs and components to meta-ti-extras
  • meta-ti: move cuia to meta-ti-extras
  • meta-ti: move WiLink components to meta-ti-extras
  • meta-ti: remove remaining Keystone1/2 overrides
  • meta-ti: rename j7-evm to j721e-evm
  • meta-ti: set layer compatibility with kirkstone
  • meta-ti: update ambiguous "BSD" license with "BSD-3-Clause"
  • meta-ti: use nonarch_base_libdir for firmware installations
  • optee-os: Add support for alternate console
  • optee-os: fix build with OPTEEPAGER=y
  • optee-os, trusted-firmware-a: add leading whitespace when using append override
  • pru-icss_git.bb: add AM62x
  • pru-icss_git.bb: update to PSSP v6.1.0
  • recipes-bsp: Add cnm-wave-fw firmware recipe
  • recipes-bsp: remove Keystone1/2 LLDs
  • recipes-bsp: tifs-lpm-stub: Introduce new recipe
  • recipes-bsp/ti-rtos: Define the TARGET and ALTERNATE_TARGET as well.
  • recipes-bsp/ti-rtos: Use target_c7x_0 instead of just c7x
  • recipes-kernel: setup-defconfig: Use SRCPV to update KERNEL_LOCALVERSION
  • recipes-ti/ti-rtos-bin: Fix unavailable binary path
  • recipies-ti: ti-rtos-firmware: Fixup typo for rtos firmware
  • Revert "ti-sci-fw: Fix for k3-image-gen issue for combined boot images"
  • ti33x: move screen feature to machine configs
  • ti-cgt-pru: Update to version 2.3.3
  • ti-graphics: gpu enable and move all platforms to ddk 1.15
  • ti-img-rogue-driver: fix breakage with GCC 11
  • ti-img-rogue-umlibs: only the j721e SoC is currently supported
  • ti-ipc: use fuller path when including common files
  • ti-linux-fw: Bump to 08.03.00.002 release
  • ti-linux-fw: Bump up TIFS and DM to v2022.01
  • ti-ocf-crypto-module: remove OMAP3-specific OCF ctypto module
  • ti-rtos-bin: Add j721s2
  • ti-rtos-firmware: remove duplicate assignment
  • ti-rtos-firmware: use nonarch_base_libdir for deployment
  • ti-sgx-ddk-um: avoid unnecessary dependency on -dev package
  • ti-sgx-ddk-um: only the am65xx member of the k3 family is supported
  • trusted-firmware-a: Add support for alternate console
  • trusted-firmware-a: adjust ${BUILD_DIR} for meta-arm/master
  • trusted-firmware-a: upgrade to v2.6+
  • u-boot-ti-staging: Bump to 08.03.00.003 release
  • u-boot-ti: Support binman image generation
  • u-boot-ti: Use SRCPV instead of SRCREV for U_BOOT_LOCAL_VERSION
  • u-boot-ti: Use SRCREV to get short commit ID
  • uim-sysfs: Specify branch and protocol for git fetcher
  • uio-module-drv: Remove unneeded patch.
  • uio-module-drv-test: Fix build with clang
  • wl18xx-calibrator: explicitly specify source branch
  • wl18xx-fw: Make it support usrmerge
  • wlconf: explicitly specify source branch
  • wlconf: Use nonarch_base_libdir instead of hardcoding /lib
  • x-load: remove deprecated first stage X-Loader bootloader

Keep up to date with Foundries.io